package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/5 10:06
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabActDTO implements Serializable {
    private static final long serialVersionUID = -3147270974683759555L;

    @ApiModelProperty("坯id")
    private Long slabId;

    @ApiModelProperty("坯号")
    private String slabNo;

    @ApiModelProperty("状态代码")
    private String statusCode;

    @ApiModelProperty("复材类型")
    private String slabType;

    @ApiModelProperty("去向(目的库区)")
    private String stockCode;

    @ApiModelProperty("熔炼号")
    private String heatNo;

    @ApiModelProperty("制造命令号")
    private String pono;

    @ApiModelProperty("厚度")
    private BigDecimal actThick;

    @ApiModelProperty("宽度")
    private BigDecimal actWidth;

    @ApiModelProperty("长度")
    private BigDecimal actLength;

    @ApiModelProperty(value = "实际重量")
    private BigDecimal actWt;

    @ApiModelProperty("轧制方向")
    private String rollType;

    @ApiModelProperty("轧制目标厚度")
    private BigDecimal rollAimThick;

    @ApiModelProperty("轧制目标宽度")
    private BigDecimal rollAimWidth;

    @ApiModelProperty(value = "试样号")
    private String sampleLotNo;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "加工厂代码")
    private String factoryCode;

    @ApiModelProperty("明细数据")
    private List<PmCompositeSlabActLineDTO> actDTOList;

    @ApiModelProperty("提交-insert/保存-update")
    private String methodStatus;
}
