package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 收得率组合板计算过程信息记录表，记录收得率计算中必要参数
 * 
 * @author 曾俊 jun.zeng@hand-china.com
 * @since 2024/8/2 8:34
 */

@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabCalcDTO implements Serializable {

    private static final long serialVersionUID = -4899827253724264095L;

    @ApiModelProperty("取板方式_长度方向")
    private Integer pickModeLenDir;

    @ApiModelProperty("取板方式_宽度方向")
    private Integer pickModeWidDir;

    @ApiModelProperty("可能母板数")
    private Integer motherableNum;

    @ApiModelProperty("异宽个数")
    private Integer diffNum = 0;

    @ApiModelProperty("异宽下标")
    private List<Integer> diffLoc = new ArrayList<Integer>();

    @ApiModelProperty("可能母板长度")
    private List<BigDecimal> mLen = new ArrayList<BigDecimal>();

    @ApiModelProperty("热处理类型")
    private String type;

    @ApiModelProperty("异宽粗切位置数组")
    private List<Integer> diffCut = new ArrayList<Integer>();

    @ApiModelProperty("命令粗切位置数组")
    private List<Integer> commandCut = new ArrayList<Integer>();

    @ApiModelProperty("分段累计和，反映每块小板的终点位置")
    private List<BigDecimal> sum = new ArrayList<BigDecimal>();

    @ApiModelProperty("粗切长度上限")
    private BigDecimal cutMax;
    @ApiModelProperty("粗切长度下限")
    private BigDecimal cutMin;
    
    @ApiModelProperty("粗切长度下限")
    private BigDecimal sampleLenHead;
    @ApiModelProperty("尾部试材长度")
    private BigDecimal sampleLenTail;
    @ApiModelProperty("中部试材长度sample_len_mid")
    private BigDecimal sampleLenMid;
    @ApiModelProperty("试样长sample_length")
    private BigDecimal sampleLength;
    
    @ApiModelProperty("RS代码")
    private Integer rsCode ;
    
    @ApiModelProperty("RS代码")
    private String broadFlag;
    
    @ApiModelProperty("切边量")
    private BigDecimal trimWidth;
    
    @ApiModelProperty("临时板坯长")
    private BigDecimal lpre ;
    
}
