package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/22 14:21
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCtCollectPoolReqDTO implements Serializable {
    private static final long serialVersionUID = 4392219840330734822L;

    @ApiModelProperty("合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty("计划日期起")
    private Date planDateFrom;

    @ApiModelProperty("计划日期止")
    private Date planDateTo;

    @ApiModelProperty("紧急标记")
    private String urgOrderFlag;

    @ApiModelProperty("合同号")
    private String orderNoFrom;

    @ApiModelProperty("合同号")
    private String orderNoTo;

    @ApiModelProperty("板坯厚度")
    private BigDecimal slabThick;

    @ApiModelProperty("板坯宽度从")
    private BigDecimal slabWidthFrom;

    @ApiModelProperty("板坯宽度到")
    private BigDecimal slabWidthTo;

    @ApiModelProperty("板坯长度从")
    private BigDecimal slabLenFrom;

    @ApiModelProperty("板坯长度到")
    private BigDecimal slabLenTo;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("交货日期起")
    private String delivyDateFrom;

    @ApiModelProperty("交货日期至")
    private String delivyDateTo;
}
