package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/22 14:31
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCtCollectPoolResDTO implements Serializable {
    private static final long serialVersionUID = -6827011376435643711L;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("主产线")
    private String mscLineNo;

    @ApiModelProperty("全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty("额定板坯厚度")
    private BigDecimal nomSlabThick;

    @ApiModelProperty("额定板坯长度")
    private BigDecimal nomSlabLen;

    @ApiModelProperty("额定板坯最大长度")
    private BigDecimal slabMaxNomLen;

    @ApiModelProperty("额定板坯最小长度")
    private BigDecimal slabMinNomLen;

    @ApiModelProperty("额定板坯宽度")
    private BigDecimal nomSlabWidth;

    @ApiModelProperty("额定板坯最大宽度")
    private BigDecimal slabMaxNomWidth;

    @ApiModelProperty("额定板坯最小宽度")
    private BigDecimal slabMinNomWidth;

    @ApiModelProperty("额定板坯重量")
    private BigDecimal nomSlabWt;

    @ApiModelProperty("额定板坯最大重量")
    private BigDecimal slabMaxNomWt;

    @ApiModelProperty("额定板坯最小重量")
    private BigDecimal slabMinNomWt;

    @ApiModelProperty("炼钢计划日期")
    private Date planEndDate;

    @ApiModelProperty("炼钢最晚日期")
    private Date latestEndDate;

    @ApiModelProperty("可收池量")
    private BigDecimal canChooseWt;

    @ApiModelProperty("可收池块数")
    private Long canChooseNum;

    @ApiModelProperty("订货重量")
    private BigDecimal orderWt;

    @ApiModelProperty("订货最小重量")
    private BigDecimal orderWtMin;

    @ApiModelProperty("订货最大重量")
    private BigDecimal orderWtMax;

    @ApiModelProperty("交货日期")
    private String delivyDate;

    @ApiModelProperty("合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty("牌号")
    private String sgSign;

    @ApiModelProperty("牌号代码")
    private String sgCode;

    @ApiModelProperty("板坯位置代码")
    private String slabPlaceCode;

    @ApiModelProperty("板坯去向")
    private String slabDest;

    @ApiModelProperty("厂别,前两位为‘00’,值为‘A’, 前两位为‘10’,值为‘C’")
    private String mainBacklogCode;

    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ApiModelProperty("紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty("拖期标记")
    private String delayFlag;

    @ApiModelProperty("合同欠件数")
    private BigDecimal ordRemNum;

    @ApiModelProperty("精炼路径代码")
    private String refineRouteCode;

    @ApiModelProperty(value = "厚度公差上限")
    private BigDecimal thickTolMax;

    @ApiModelProperty(value = "厚度公差下限")
    private BigDecimal thickTolMin;

    @ApiModelProperty(value = "宽度下限")
    private BigDecimal widthMin;

    @ApiModelProperty(value = "宽度上限")
    private BigDecimal widthMax;

    @ApiModelProperty(value = "宽度公差上限")
    private BigDecimal widthTolMax;

    @ApiModelProperty(value = "宽度公差下限")
    private BigDecimal widthTolMin;

    @ApiModelProperty(value = "订货最小长度")
    private BigDecimal orderMinLen;

    @ApiModelProperty(value = "订货最大长度")
    private BigDecimal orderMaxLen;

    @ApiModelProperty(value = "长度公差上限")
    private BigDecimal lenTolMax;

    @ApiModelProperty(value = "长度公差下限")
    private BigDecimal lenTolMin;

    @ApiModelProperty(value = "超投重量")
    private BigDecimal overDevoWgtTotal;

    @ApiModelProperty(value = "超投数量")
    private BigDecimal overDevoNumTotal;

    @ApiModelProperty(value = "计划重量")
    private BigDecimal planWgt;

    @ApiModelProperty(value = "可收池量")
    private BigDecimal stockWgt;

    @ApiModelProperty(value = "超投件数")
    private BigDecimal overDevoNum;

    @ApiModelProperty(value = "超投标记")
    private String overDevoFlag;

}
