package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/9 17:43
 * @description
 */
@ExcelSheet(zh = "钢锭轧制规格及切边量基准表", en = "PmIngotSpecTrimBtDTO")
@Data
public class PmIngotSpecTrimBtDTO implements Serializable {
    private static final long serialVersionUID = -1942719948345787645L;

    @ApiModelProperty(value = "锭坯型")
    private String ingotType;

    @ApiModelProperty(value = "锭坯型")
    @ExcelColumn(zh = "锭坯型", en = "ingotType", order = 1)
    private String ingotTypeDesc;

    @ApiModelProperty(value = "是否保性能")
    private String guaranteeQuality;

    @ApiModelProperty(value = "是否保性能")
    @ExcelColumn(zh = "是否保性能", en = "guaranteeQuality", order = 2)
    private String guaranteeQualityDesc;

    @ApiModelProperty(value = "轧制厚度起")
    @ExcelColumn(zh = "轧制厚度起", en = "minRollThick", order = 3)
    private BigDecimal minRollThick;

    @ApiModelProperty(value = "轧制厚度止")
    @ExcelColumn(zh = "轧制厚度止", en = "maxRollThick", order = 4)
    private BigDecimal maxRollThick;

    @ApiModelProperty(value = "轧制宽度起")
    @ExcelColumn(zh = "轧制宽度起", en = "minRollWidth", order = 5)
    private BigDecimal minRollWidth;

    @ApiModelProperty(value = "轧制宽度止")
    @ExcelColumn(zh = "轧制宽度止", en = "maxRollWidth", order = 6)
    private BigDecimal maxRollWidth;

    @ApiModelProperty(value = "轧制长度起")
    @ExcelColumn(zh = "轧制长度起", en = "rollLenFrom", order = 7)
    private BigDecimal rollLenFrom;

    @ApiModelProperty(value = "轧制长度止")
    @ExcelColumn(zh = "轧制长度止", en = "rollLenTo", order = 8)
    private BigDecimal rollLenTo;

    @ApiModelProperty(value = "轧制产线号")
    private String rollLineNo;

    @ApiModelProperty(value = "轧制产线号")
    @ExcelColumn(zh = "轧制产线号", en = "rollLineNo", order = 9)
    private String rollLineNoDesc;

    @ApiModelProperty(value = "切边标记")
    private String withSideFlag;

    @ApiModelProperty(value = "切边标记")
    @ExcelColumn(zh = "切边标记", en = "withSideFlag", order = 10)
    private String withSideFlagDesc;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ApiModelProperty(value = "轧制方向代码")
    @ExcelColumn(zh = "轧制方向代码", en = "rollDirectCode", order = 11)
    private String rollDirectCodeDesc;

    @ApiModelProperty(value = "切边量")
    @ExcelColumn(zh = "切边量", en = "trimWidth", order = 12)
    private BigDecimal trimWidth;
}
