package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/6 10:50
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabOrderDTO implements Serializable {
    private static final long serialVersionUID = 6797382597222734363L;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("产销合同号")
    private String orderNoErp;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

    @ApiModelProperty("订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty("订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty("交货日期")
    private Date delivyDate;

    @ApiModelProperty("最终用户代码")
    private String finCustCode;

    @ApiModelProperty("标准牌号")
    private String sgCode;

    @ApiModelProperty("到站港")
    private String delivyPlaceName;

    @ApiModelProperty("船体分段号")
    private String hullSectionNo;

    @ApiModelProperty("是否分段管理")
    private String sectionManage;

    @ApiModelProperty("涂漆标记")
    private String needLecquering;

    @ApiModelProperty("奉送样标记代码")
    private String giveSampleCode;

    @ApiModelProperty("奉送试材长度")
    private BigDecimal sampleLenGive;
}
