package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/6 10:33
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabResDTO implements Serializable {
    private static final long serialVersionUID = 3649282061665403193L;

    @ApiModelProperty("出钢记号")
    private List<String> stNoList;

    @ApiModelProperty("板坯厚度")
    private List<PmPdCcSlabThickDTO> thickList;

    @ApiModelProperty("是否按照长度,Y/N")
    private String isLength;

    @ApiModelProperty("产线对应总重量")
    private Map<String, BigDecimal> mscLineWtMap;

    @ApiModelProperty("不同热处理模式对应总重量")
    private Map<String, BigDecimal> heatWtMap;

    @ApiModelProperty("涂漆板坯的总重量")
    private BigDecimal needLecqueringWt;
}
