package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/7 11:12
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabStoveParamDTO implements Serializable {
    private static final long serialVersionUID = -7063480372769575836L;

    @ApiModelProperty("板坯去向")
    private String slabDest;

    @ApiModelProperty("交货日期从")
    private Date steelLatestDateFrom;

    @ApiModelProperty("交货日期至")
    private Date steelLatestDateTo;

    @ApiModelProperty("热装标记")
    private String hotChargeFlag;

    @ApiModelProperty("板坯厚度")
    private String preCleanSlabThick;

    @ApiModelProperty("板坯宽度")
    private BigDecimal preCleanSlabWidthFrom;

    @ApiModelProperty("板坯宽度")
    private BigDecimal preCleanSlabWidthTo;

    @ApiModelProperty("板坯长度")
    private BigDecimal preCleanSlabLenFrom;

    @ApiModelProperty("板坯长度")
    private BigDecimal preCleanSlabLenTo;

    @ApiModelProperty("紧急标记")
    private String urgOrderFlag;

    @ApiModelProperty("内部钢种")
    private String outSgNo;

    @ApiModelProperty("热送区分")
    private String hotSendFlag;

    @ApiModelProperty("轴合同号")
    private String orderNo;

    @ApiModelProperty("产销合同号")
    private String orderNoErp;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

    @ApiModelProperty("船体分段号起")
    private String hullSectionNoFrom;

    @ApiModelProperty("船体分段号至")
    private String hullSectionNoTo;

    @ApiModelProperty("含可以优充次材料 Y/N")
    private String isContain;

    @ApiModelProperty("铸坯类型")
    private String ccType;
}
