package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/7 11:14
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabStoveResDTO implements Serializable {
    private static final long serialVersionUID = -4854790200167652016L;

    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;

    @ApiModelProperty("轴合同号")
    private String orderNo;

    @ApiModelProperty("产销合同号")
    private String orderNoErp;

    @ApiModelProperty("倒置标记")
    private String dzFlag;

    @ApiModelProperty("船体分段号")
    private String hullSectionNo;

    @ApiModelProperty("是否分段管理")
    private String sectionManage;

    @ApiModelProperty("涂漆标记")
    private String needLecquering;

    @ApiModelProperty("订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty("订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty("厚度公差范围")
    private BigDecimal thickDir;

    @ApiModelProperty("牌号")
    private String sgCode;

    @ApiModelProperty("炼钢最晚日期")
    private Date steelLatestDate;

    @ApiModelProperty("清理前板坯重量")
    private BigDecimal preCleanSlabWt;

    @ApiModelProperty("主产线")
    private String mscLineNo;

    @ApiModelProperty("热处理模式")
    private String hotTreatMethodCode;

    @ApiModelProperty("超声探伤代码")
    private String ultCode;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

    @ApiModelProperty("到站港")
    private String delivyPlaceName;

    @ApiModelProperty("输出出钢记号-内部钢种")
    private String outSgNo;

    @ApiModelProperty("精炼路径")
    private String rfPath;

    @ApiModelProperty("清理前板坯厚度")
    private BigDecimal preCleanSlabThick;

    @ApiModelProperty("清理前板坯宽度")
    private BigDecimal preCleanSlabWidth;

    @ApiModelProperty("清理前板坯长度")
    private BigDecimal preCleanSlabLen;

    @ApiModelProperty("清理前板坯最大长度")
    private BigDecimal preCleanSlabMaxLen;

    @ApiModelProperty("清理前板坯最小长度")
    private BigDecimal preCleanSlabMinLen;

    @ApiModelProperty("清理前板坯最大重量")
    private BigDecimal preCleanSlabMaxWt;

    @ApiModelProperty("清理前板坯最小重量")
    private BigDecimal preCleanSlabMinWt;

    @ApiModelProperty("进加热炉板坯厚度")
    private BigDecimal infurSlabThick;

    @ApiModelProperty("进加热炉板坯宽度")
    private BigDecimal infurSlabWid;

    @ApiModelProperty("进加热炉板坯长度")
    private BigDecimal infurSlabLen;

    @ApiModelProperty("进加热炉板坯最大长度")
    private BigDecimal infurSlabMaxLen;

    @ApiModelProperty("进加热炉板坯最小长度")
    private BigDecimal infurSlabMinLen;

    @ApiModelProperty("进加热炉板坯重量")
    private BigDecimal infurSlabWt;

    @ApiModelProperty("进加热炉板坯最大重量")
    private BigDecimal infurSlabMaxWt;

    @ApiModelProperty("进加热炉板坯最小重量")
    private BigDecimal infurSlabMinWt;

    @ApiModelProperty("炼钢计划日期")
    private Date steelPlanDate;

    @ApiModelProperty("紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty("板坯去向")
    private String slabDest;

    @ApiModelProperty("板坯热装标记")
    private String hotChargeFlag;

    @ApiModelProperty("热送区分")
    private String hotSendDiv;

    @ApiModelProperty("厚板组板状态")
    private String pdStatusHp;

    @ApiModelProperty("轧制目标厚度")
    private BigDecimal rollAimThick;

    @ApiModelProperty("轧制目标宽度")
    private BigDecimal rollAimWidth;

    @ApiModelProperty("轧制厚度公差上限")
    private BigDecimal rollThickTolMax;

    @ApiModelProperty("轧制厚度公差下限")
    private BigDecimal rollThickTolMin;

    @ApiModelProperty("二次开坯中间坯标记")
    private Long twoRollInterimFlag;

    @ApiModelProperty("奉送样标记")
    private String giveSampleFlag;

    @ApiModelProperty("指定长标记")
    private BigDecimal sampleLenGive;

    @ApiModelProperty("差欠总重量")
    private BigDecimal sumLackWt;

    @ApiModelProperty("差欠总件数")
    private BigDecimal sumLackNum;

    @ApiModelProperty(value = "以优充次顺序码")
    private Long betterToWorseSeq;

    @ApiModelProperty("铸坯类型")
    private String ccType;

    @ApiModelProperty("创建时间")
    private Date creationDate;

}
