package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.xisc.pm.domain.entity.PmPdSlab;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 二次开坯分割信息
 * @author jun.zeng
 *
 */
@Data
public class PmPdMidSplitDTO implements Serializable {

    private static final long serialVersionUID = -5066764536107319352L;
    
    @ApiModelProperty("中间坯长")
    private BigDecimal midSlabLen ;
    
    @ApiModelProperty("必要板坯长")
    private BigDecimal needSlabLen ;
    
    @ApiModelProperty("临时板坯长")
    private BigDecimal tmpSlabLen ;
    
    @ApiModelProperty("目标宽")
    private BigDecimal rollAimWidth ;
    
    @ApiModelProperty("目标厚")
    private BigDecimal rollAimThick;
    
    @ApiModelProperty("目标重")
    private BigDecimal rollWtHp ;
    
    @ApiModelProperty("目标长 ")
    private BigDecimal rollAimLen ;
    
    @ApiModelProperty("产线号")
    private String mscLineNo ;
    
    @ApiModelProperty("厚板组板状态")
    private String pdStatusHp ;
    
    @ApiModelProperty("组板板坯信息")
    private List<PmPdSlab> pmPdSlabs ;
    
    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;
    
}

