package com.xisc.pm.api.dto;

import com.xisc.pm.domain.entity.PmPdSlab;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 组板板坯分割信息
 * 
 * @author jun.zeng
 *
 */
@Data
public class PmPdSlabSplitDTO implements Serializable {
    
    private static final long serialVersionUID = 1497504776674434902L;
    
    @ApiModelProperty("板坯号")
    private String slabNo ;
    
    @ApiModelProperty("材料状态")
    private String slabStatus;
    
    @ApiModelProperty("内部钢种")
    private String stNo;
    
    @ApiModelProperty("责任人")
    private String remainDecideMaker;
    
    @ApiModelProperty("板坯长度")
    private BigDecimal slabActLen;
    
    @ApiModelProperty("板坯宽度")
    private BigDecimal slabActWid;
    
    @ApiModelProperty("板坯厚度")
    private BigDecimal slabActThk;
    
    @ApiModelProperty("材料实际重量")
    private BigDecimal slabActGwt;
    
    @ApiModelProperty("组板板坯重量")
    private BigDecimal pdSlabWt;
    
    @ApiModelProperty("剩余板坯长度")
    private BigDecimal remainSlabLen;
    
    @ApiModelProperty("分割前板坯重量")
    private BigDecimal slabActWgt;
    
    @ApiModelProperty("分割前板坯尺寸1")
    private BigDecimal slabDivLen1;
    
    @ApiModelProperty("分割前板坯尺寸2")
    private BigDecimal slabDivLen2;
    
    @ApiModelProperty("分割前板坯尺寸3")
    private BigDecimal slabDivLen3;
    
    @ApiModelProperty("炉别,默认C")
    private String furType = "C";
    
    @ApiModelProperty("后全程工序代码")
    private String nextWholeBacklogCode ;
    
    @ApiModelProperty("综判代码")
    private String complexDecideCode ;
    
    @ApiModelProperty(value = "全程工序顺序号")
    private Long wholeBacklogSeq;

    @ApiModelProperty(value = "全程工序代码")
    private String wholeBacklogCode;
    
    @ApiModelProperty(value = "制造命令号")
    private String pono;
    
    @ApiModelProperty(value = "后全程工序顺序号")
    private Long nextWholeBacklogSeq;
    
    @ApiModelProperty(value = "长板坯标记")
    private String slabFlag;
    
    @ApiModelProperty(value = "产品规范码")
    private String psc;

    @ApiModelProperty(value = "产品最终用途码")
    private String apn;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;
    
    @ApiModelProperty(value = "牌号（钢级）")
    private String sgSign;
    
    @ApiModelProperty(value = "余材原因代码")
    private String remainCauseCode;
    
    @ApiModelProperty(value = "锭坯型")
    private String slabType;
    
    @ApiModelProperty(value = "bdFlag")
    private String bdFlag ;
    
    @ApiModelProperty(value = "计划钢种")
    private String preStNo ;

    @ApiModelProperty("小工序代码")
    private String subBacklogCode ;
    
    @ApiModelProperty("组板板坯信息")
    private List<PmPdSlab> pmPdSlabs;

}