package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/27 18:10
 */
@ExcelSheet(zh = "钢板轧制规格及厚度余量基准表", en = "PmPlateThickAddvBt")
@Data
public class PmPlateThickAddvBtDTO implements Serializable {
    private static final long serialVersionUID = -888565703318761495L;

    @ApiModelProperty("主键ID")
    private Long pptabId;

    @ExcelColumn(zh = "强度级别代码", en = "stCode", order = 1)
    @ApiModelProperty(value = "强度级别代码")
    private String stCode;

    @ApiModelProperty(value = "组板方式")
    private String formPlateMode;

    @ExcelColumn(zh = "组板方式", en = "formPlateModeDesc", order = 2)
    @ApiModelProperty(value = "组板方式含义")
    private String formPlateModeDesc;

    @ExcelColumn(zh = "AD模式", en = "adTypeMode", order = 3)
    @ApiModelProperty(value = "AD模式")
    private String adTypeMode;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ExcelColumn(zh = "轧制方向代码", en = "rollDirectCodeDesc", order = 4)
    @ApiModelProperty(value = "轧制方向代码含义")
    private String rollDirectCodeDesc;


    @ApiModelProperty(value = "轧制模式")
    private String rollMode;

    @ExcelColumn(zh = "轧制模式", en = "rollModeDesc", order = 5)
    @ApiModelProperty(value = "轧制模式含义")
    private String rollModeDesc;


    @ApiModelProperty(value = "热处理模式")
    @ExcelColumn(zh = "热处理模式", en = "heatTreatMode", order = 6)
    private String heatTreatMode;

    @ApiModelProperty(value = "轧制产线号")
    private String rollLineNo;

    @ExcelColumn(zh = "轧制产线号", en = "rollLineNoDesc", order = 7)
    @ApiModelProperty(value = "轧制产线号")
    private String rollLineNoDesc;

    @ExcelColumn(zh = "钢板厚度起", en = "plateThickFrom", order = 8)
    @ApiModelProperty(value = "钢板厚度起")
    private BigDecimal plateThickFrom;

    @ExcelColumn(zh = "钢板厚度止", en = "plateThickTo", order = 9)
    @ApiModelProperty(value = "钢板厚度止")
    private BigDecimal plateThickTo;

    @ExcelColumn(zh = "组合板宽度起", en = "combinePlateWidthFrom", order = 10)
    @ApiModelProperty(value = "组合板宽度起")
    private BigDecimal combinePlateWidthFrom;

    @ExcelColumn(zh = "组合板宽度止", en = "combinePlateWidthTo", order = 11)
    @ApiModelProperty(value = "组合板宽度止")
    private BigDecimal combinePlateWidthTo;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    @ExcelColumn(zh = "组合板长度下限", en = "combinePlateLenMin", order = 12)
    @ApiModelProperty(value = "组合板长度下限 ")
    private BigDecimal combinePlateLenMin;

    @ExcelColumn(zh = "组合板长度上限", en = "combinePlateLenMax", order = 13)
    @ApiModelProperty(value = "组合板长度上限")
    private BigDecimal combinePlateLenMax;

    @ExcelColumn(zh = "厚度余量", en = "combinePlateLenMax", order = 14)
    @ApiModelProperty(value = "厚度余量")
    private BigDecimal thickAddv;

    @ExcelColumn(zh = "备注说明", en = "remark", order = 15)
    @ApiModelProperty(value = "备注说明")
    private String remark;
}
