package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 
 * 2024-07-29 15:50:20
 *
 */
@Data
@ApiModel("生产合同待收池查询DTO")
public class PmProContPoolRequestDTO implements Serializable {
    
    private static final long serialVersionUID = 765781649197055074L;

    public final static String ORDER_NO = "orderNo";
    
    @ApiModelProperty("租户ID")
    private Long tenantId;
    
    @ApiModelProperty("合同号列表")
    private List<String> orderNoList ;
    
    @ApiModelProperty("合同号")
    private String orderNo ;
    
    @ApiModelProperty("交货日期起")
    private Date delivyDateFrom ;
    
    @ApiModelProperty("交货日期止")
    private Date delivyDateTo ;
    
    @ApiModelProperty("交货日期起")
    private String delivyDateFromStr ;
    
    @ApiModelProperty("交货日期止")
    private String delivyDateToStr ;
    
    @ApiModelProperty("内部钢种,支持模糊查询")
    private String stNo ;
    
    @ApiModelProperty("牌号")
    private String sgSign ;
    
    @ApiModelProperty("船体分段号起")
    private String hullSectionFrom;
    
    @ApiModelProperty("船体分段号止")
    private String hullSectionTo;
    
    @ApiModelProperty("订货厚度起")
    private BigDecimal orderThickFrom;
    
    @ApiModelProperty("订货厚度止")
    private BigDecimal orderThickTo;
    
    @ApiModelProperty("是否涂漆,值集：PM.NEED_LECQUERING")
    private String needLecquering;
    
    @ApiModelProperty("设计产线号")
    private String mscLineNo;
    
    @ApiModelProperty("产销合同号")
    private String orderNoErp;
    
    private int pageFlag = 0;
    
}
