package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-30 09:50:20
 *
 */
@Data
@ApiModel("生产合同管理查询DTO")
public class PmProContRequestDTO implements Serializable {
    
    private static final long serialVersionUID = -4894884463383954242L;

    @ApiModelProperty("租户ID")
    private Long tenantId;

    @ApiModelProperty("组板中标记")
    private String isOnPdFlag;
    
    @ApiModelProperty("有无欠量")
    private String isPdLackFlag;
    
    @ApiModelProperty("合同号起")
    private String orderNoFrom;
    
    @ApiModelProperty("合同号止")
    private String orderNoTo;
    
    @ApiModelProperty("交货日期起")
    private Date delivyDateFrom;
    
    @ApiModelProperty("交货日期止")
    private Date delivyDateTo;
    
    @ApiModelProperty("标准牌号")
    private String sgSign;
    
    @ApiModelProperty("内部钢种")
    private String stNo;
    
    @ApiModelProperty("订货厚度起")
    private BigDecimal orderThickFrom;
    
    @ApiModelProperty("订货厚度止")
    private BigDecimal orderThickTo;
    
    @ApiModelProperty("订货宽度起")
    private BigDecimal orderWidthFrom;
    
    @ApiModelProperty("订货宽度止")
    private BigDecimal orderWidthTo;
    
    @ApiModelProperty("订货长度起")
    private BigDecimal orderLenFrom;
    
    @ApiModelProperty("订货长度止")
    private BigDecimal orderLenTo;
    
    @ApiModelProperty("厚板品种代码")
    private String prodCodeHp;
    
    @ApiModelProperty("到站港")
    private String delivyPlaceName;
    
    @ApiModelProperty("船体分段号起")
    private String hullSectionFrom;
    
    @ApiModelProperty("船体分段号止")
    private String hullSectionTo;
    
    @ApiModelProperty("是否合同封锁")
    private String isOrderHoldFlag;
    
    @ApiModelProperty("AD控制类型")
    private String adTypeCode;
    
    @ApiModelProperty("产销合同号")
    private String orderNoErp;
    
    @ApiModelProperty("合同类型代码不包括")
    private String orderTypeCodeEx;
    
    @ApiModelProperty("设计产线号")
    private String mscLineNo;
    
    private Long joinCtMainFlag = 0L ;

}
