package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-29 15:50:20
 *
 */
@Data
@ApiModel("生产合同组板收得率计算接口参数DTO")
public class PmProContYieldResposeDTO implements Serializable {

    private static final long serialVersionUID = 304934364145181849L;

    @ApiModelProperty("租户ID")
    private Long tenantId;

    @ApiModelProperty("组合板宽")
    private BigDecimal combinePlateWidth;

    @ApiModelProperty("组合板长")
    private BigDecimal combinePlateLen;
    
    @ApiModelProperty("必要板坯长")
    private BigDecimal needSlabLen;
    
    @ApiModelProperty("必要板坯重")
    private BigDecimal needSlabWt;
    
    @ApiModelProperty("进炉板坯长")
    private BigDecimal infurSlabLen;
    
    @ApiModelProperty("进炉板坯长")
    private BigDecimal infurSlabWt;
    
    @ApiModelProperty("基准收得率")
    private BigDecimal normYield;
    
    @ApiModelProperty("轧制收得率")
    private BigDecimal rollYield;
    
    @ApiModelProperty("命令收得率")
    private BigDecimal commandYield;
    
    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;
    
    @ApiModelProperty("清理前坯长")
    private BigDecimal preCleanSlabLen;
    
    @ApiModelProperty("清理前坯重")
    private BigDecimal preCleanSlabWt;
    
    @ApiModelProperty("目标重")
    private BigDecimal rollWtHp;
    
    @ApiModelProperty("目标厚")
    private BigDecimal taim;
    
    @ApiModelProperty("目标宽")
    private BigDecimal waim;
    
    @ApiModelProperty("目标长")
    private BigDecimal laim;
    
    @ApiModelProperty("清理前板坯长度上限")
    private BigDecimal preCleanSlabMaxLen;
    @ApiModelProperty("清理前板坯长度下限")
    private BigDecimal preCleanSlabMinLen;
    @ApiModelProperty("清理前板坯重量上限")
    private BigDecimal preCleanSlabMaxWt;
    @ApiModelProperty("清理前板坯重量下限")
    private BigDecimal preCleanSlabMinWt;
    @ApiModelProperty("进加热炉板坯长度上限")
    private BigDecimal infurSlabMaxLen;
    @ApiModelProperty("进加热炉板坯长度下限")
    private BigDecimal infurSlabMinLen;
    @ApiModelProperty("进加热炉板坯重量上限")
    private BigDecimal infurSlabMaxWt;
    @ApiModelProperty("进加热炉板坯重量下限")
    private  BigDecimal infurSlabMinWt;
    
    
    
    /*****************/
    @ApiModelProperty("立辊使用标记")
    private String edgerUseFlag = "Y";
    
    @ApiModelProperty("展宽MAS使用标记")
    private String broadMasUseFlag= "N";
    
    @ApiModelProperty("成形MAS使用标记")
    private String formMasUseFlag="N";
    
    @ApiModelProperty("组合板的头部切舍量,组板基表头部切舍量+MAX(合同的头部切舍量)")
    private BigDecimal headCut ; 
    @ApiModelProperty("组合板的尾部切舍量,组板基表尾部切舍量+MAX(合同的尾部切舍量)")
    private BigDecimal tailCut ;
    
    @ApiModelProperty("板坯加料")
    private BigDecimal slabAddv;
    
    @ApiModelProperty("轧制目标公差上下限")
    private BigDecimal rollThickTolMax;
    @ApiModelProperty("轧制目标公差上下限")
    private BigDecimal rollThickTolMin;
    
    @ApiModelProperty("添加附加材料标记")
    private Long addSlabFlag ;
    
    @ApiModelProperty("RS代码")
    private Integer rsCode ;
    
    @ApiModelProperty("展宽标记")
    private String broadFlag;
    
    @ApiModelProperty("合同重之和")
    private BigDecimal sumPlateWt;
    
    @ApiModelProperty("钢锭是否保性能")
    private String guaranteeQuality;
    
    // 自动组板记录组板中间结果
    private PmCompositeSlabCalcDTO pmCompositeSlabCalc ;
    
    // 转置标记
    private Long transFlag ;
}
