package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2025/1/13 17:46
 * @description
 */
@Data
public class PmProductionPlanResDTO implements Serializable {
    private static final long serialVersionUID = -7099692896360088051L;

    @ApiModelProperty("制造命令号")
    private String pono;

    @ApiModelProperty("板坯号")
    private String slabNo;

    @ApiModelProperty("命令板坯号")
    private String ponoSlabNo;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("标准牌号")
    private String sgSign;

    @ApiModelProperty("板坯目标厚度")
    private BigDecimal slabTargThk;

    @ApiModelProperty("板坯目标宽度")
    private BigDecimal slabTargWid;

    @ApiModelProperty("板坯目标长度")
    private BigDecimal slabTargLen;

    @ApiModelProperty("热装标记")
    private String hotChargeFlag;

    @ApiModelProperty("产品规范码")
    private String psc;

    @ApiModelProperty("产品最终用途码")
    private String apn;

    @ApiModelProperty("冶金规范码")
    private String msc;

    @ApiModelProperty("标准")
    private String sgStd;

    @ApiModelProperty("全程工序途经码")
    private String wholeBacklog;

    @ApiModelProperty("厚板流向代码")
    private String plateDtCode;

    @ApiModelProperty("厚板品种代码")
    private String prodCodeHp;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("长板坯标记")
    private String slabFlag;

    @ApiModelProperty("钢级")
    private String stGrade;

    @ApiModelProperty("计重方式")
    private String wtMethodCode;

    @ApiModelProperty("BD材标记")
    private Long bdFlag;

    @ApiModelProperty("原合同号")
    private String oldOrderNo;
}
