package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 10:18
 */
@Data
public class PmRuntimeContractLineDTO implements Serializable {
    private static final long serialVersionUID = 7021156917172889589L;


    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "设计产线号")
    private List<String> designProdLineCodeList;

    @ApiModelProperty(value = "钢种组编码")
    private List<String> steelGroupCodeList;

    @ApiModelProperty(value = "交货日期起")
    private Date delivyDateFrom;

    @ApiModelProperty(value = "交货日期至")
    private Date delivyDateTo;

    @ApiModelProperty(value = "订货用户中文名")
    private String orderCustCname;

    @ApiModelProperty(value = "收货用户中文名")
    private String consignCustCname;

    @ApiModelProperty(value = "标准牌号")
    private String sgSign;

    @ApiModelProperty(value = "产销合同号")
    private String orderNoErp;

    @ApiModelProperty("厚度起")
    private BigDecimal thickFrom;

    @ApiModelProperty("厚度至")
    private BigDecimal thickTo;

    @ApiModelProperty("宽度起")
    private BigDecimal widthFrom;

    @ApiModelProperty("宽度至")
    private BigDecimal widthTo;

    @ApiModelProperty("长度起")
    private BigDecimal lenFrom;

    @ApiModelProperty("长度至")
    private BigDecimal lenTo;

}
