package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/9 15:31
 */

@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInFurnaceDTO implements Serializable {
    private static final long serialVersionUID = -4904700465573741320L;

    @ApiModelProperty("炉号")
    private Long furnaceSeq;

    @ApiModelProperty("板坯信息")
    private List<PmSlabPoolInPreLineDTO> lineList;

    @ApiModelProperty("实际炉重(炉内板坯总重量)")
    private BigDecimal actualWt;

    @ApiModelProperty("实际目标炉重")
    private BigDecimal actualAimInitWt;

    @ApiModelProperty("实际炉重上限")
    private BigDecimal actLowLimitWt;

    @ApiModelProperty("实际炉重下限")
    private BigDecimal actUpperLimitWt;
}
