package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/9 15:00
 */

@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInPreLineDTO implements Serializable {
    private static final long serialVersionUID = 9036756097382518726L;

    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;

    @ApiModelProperty("主工序代码")
    private String mainBacklogCode;

    @ApiModelProperty("铸坯类型")
    private String ccType;

    @ApiModelProperty("板坯位置代码")
    private String slabPlaceCode;

    @ApiModelProperty("坯长")
    private BigDecimal nomSlabLen;

    @ApiModelProperty("坯重")
    private BigDecimal nomSlabWt;

    @ApiModelProperty("坯厚")
    private BigDecimal nomSlabThick;

    @ApiModelProperty("坯宽")
    private BigDecimal nomSlabWidth;

    @ApiModelProperty(value = "以优充次顺序码")
    private Long betterToWorseSeq;


    @ApiModelProperty("内部钢种")
    private String nomStNo;

    @ApiModelProperty("轴合同号")
    private String orderNo;

    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty("材料申请类型")
    private String appType;

    @ApiModelProperty("炼钢申请日期(炼钢计划日期)")
    private Date steelAppDate;

    @ApiModelProperty("结晶器宽度")
    private BigDecimal moldWid;

    @ApiModelProperty("结晶器厚度")
    private BigDecimal moldThick;

    @ApiModelProperty("钢坯类型")
    private String billetType;

    @ApiModelProperty(value = "无委坯说明")
    private String description;

    @ApiModelProperty(value = "实际热装标记")
    private String orderHotChargeFlag;

    @ApiModelProperty("合并板坯的另外虚拟板坯号")
    private String mergeVirtualSlabNo;

    @ApiModelProperty(value = "合并板坯的以优充次顺序码")
    private Long mergeBetterToWorseSeq;

}
