package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/8 13:58
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInReqParamDTO implements Serializable {
    private static final long serialVersionUID = 7021382225971735120L;

    @ApiModelProperty(value = "主工序代码")
    private String mainBacklogCode;

    @ApiModelProperty("内部钢种")
    private String nomStNo;

    @ApiModelProperty("组炉责任者")
    private String userId;

    @ApiModelProperty("申请炼钢日期起")
    private Date steelPlanDateFrom;

    @ApiModelProperty("申请炼钢日期至")
    private Date steelPlanDateTo;

    @ApiModelProperty("板坯厚度")
    private BigDecimal nomSlabThick;

    @ApiModelProperty("板坯宽度")
    private BigDecimal nomSlabWidth;

    @ApiModelProperty("钢锭型")
    private String ingotType;

    @ApiModelProperty("船体分段号从")
    private String hullSectionNoFrom;

    @ApiModelProperty("船体分段号至")
    private String hullSectionNoTo;

    @ApiModelProperty("板坯去向")
    private String slabDest;

    @ApiModelProperty("铸坯类型")
    private String ccType;

    @ApiModelProperty("热装标记")
    private String orderHotChargeFlag;

    @ApiModelProperty("热送标记")
    private String nomHotSendFlag;

    @ApiModelProperty("组炉规则")
    private Long id;

    @ApiModelProperty("含可以优充次材料 Y/N")
    private String isContain;
}
