package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/8 16:52
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInResDTO implements Serializable {
    private static final long serialVersionUID = -4190138688118319248L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;

    @ApiModelProperty("坯长")
    private BigDecimal nomSlabLen;

    @ApiModelProperty("坯重")
    private BigDecimal nomSlabWt;

    @ApiModelProperty("坯厚")
    private BigDecimal nomSlabThick;

    @ApiModelProperty("坯宽")
    private BigDecimal nomSlabWidth;

    @ApiModelProperty("内部钢种")
    private String nomStNo;

    @ApiModelProperty("轴合同号")
    private String orderNo;

    @ApiModelProperty("交货期")
    private Date delivyDate;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("牌号")
    private String sgSign;

    @ApiModelProperty("热装标记")
    private String orderHotChargeFlag;

    @ApiModelProperty("热送标记")
    private String nomHotSendFlag;

    @ApiModelProperty("精炼路径")
    private String rfPath;

    @ApiModelProperty("板坯位置代码")
    private String slabPlaceCode;

    @ApiModelProperty("紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty("二火标记")
    private String ouMemo4;

    @ApiModelProperty("固定板坯长度标记")
    private String fixSlabLenFlag;

    @ApiModelProperty("探伤标记")
    private String ultCode;

    @ApiModelProperty("订货厚度")
    private BigDecimal orderQThick;

    @ApiModelProperty("订货宽度")
    private BigDecimal orderQWidth;

    @ApiModelProperty("船体分段号")
    private String hullSectionNo;

    @ApiModelProperty("奉送样标记")
    private String giveSampleFlag;

    @ApiModelProperty("是否分段管理")
    private String sectionManage;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

    @ApiModelProperty(value = "到站港")
    private String delivyPlaceName;

    @ApiModelProperty("是否是无委板坯(Y/N)")
    private String isChargFurnace;

    @ApiModelProperty(value = "以优充次顺序码")
    private Long betterToWorseSeq;


    @ApiModelProperty("主工序代码")
    private String mainBacklogCode;

    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty("材料申请类型")
    private String appType;

    @ApiModelProperty("炼钢申请日期(炼钢计划日期)")
    private Date steelAppDate;

    @ApiModelProperty("结晶器宽度")
    private BigDecimal moldWid;

    @ApiModelProperty("结晶器厚度")
    private BigDecimal moldThick;

    @ApiModelProperty("钢坯类型")
    private String billetType;

    @ApiModelProperty("连铸机类型")
    private String ccType;

    @ApiModelProperty(value = "无委坯说明")
    private String description;

    @ApiModelProperty(value = "是否二次开坯")
    private Long midFlag;
}
