package com.xisc.pm.api.dto;

import com.xisc.pm.domain.entity.PmCmdLargePlt;
import com.xisc.pm.domain.entity.PmContMscTech;
import com.xisc.pm.domain.vo.MmPlateVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/17 13:52
 * @description
 */
@Data
public class ProcessGenerateStrategyDTO implements Serializable {

    @ApiModelProperty(value = "材料设计类型")
    private String matDesignKind;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "轧制产线号")
    private String rollLineNo;

    @ApiModelProperty(value = "缓冷代码")
    private String coolCode;

    @ApiModelProperty(value = "厚板流向代码")
    private String plateDtCode;

    @ApiModelProperty(value = "钢板形状代码")
    private String shpCode;

    @ApiModelProperty(value = "全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty(value = "命令大板表")
    private PmCmdLargePlt pmCmdLargePlt;

    @ApiModelProperty(value = "钢板数据")
    private MmPlateVO mmPlateVO;

    @ApiModelProperty(value = "")
    private Long mmHtmrsltNum;

    @ApiModelProperty(value = "是否探伤")
    private String isUt;

    @ApiModelProperty(value = "合同产线数据")
    private PmContMscTech axisPmContMscTech;

    @ApiModelProperty(value = "超声探伤扫查模式代码")
    private String utCheckCode;

    @ApiModelProperty(value = "是否抛丸")
    private String shotFlag;

    @ApiModelProperty(value = "是否抛丸")
    private String shotHt;

    @ApiModelProperty(value = "超声探伤时期代码")
    private String utPdCode;

    @ApiModelProperty(value = "租户")
    private Long tenantId;

    @ApiModelProperty(value = "是否有见证点标记")
    private String witnessStatus;

    @ApiModelProperty(value = "探伤标准个数")
    private  int ultDetectStd;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;
}
