package com.xisc.pm.api.dto.ctevent;

import java.io.Serializable;
import java.math.BigDecimal;

import com.xisc.pm.infra.util.Utils;

import io.swagger.annotations.ApiModelProperty;

/**
 * 生产合同组板完成事件（余材）
 * 
 * @author jun.zeng
 *
 */
public class ProMatContBoardEndDTO implements Serializable {

    private static final long serialVersionUID = 434796153106056585L;

    @ApiModelProperty("合约号")
    private String contractNum;
    
    @ApiModelProperty("合同号")
    private String orderNo;
    
    @ApiModelProperty("母材料号（虚拟板坯号/板坯号）")
    private String moMatNo;
    
    @ApiModelProperty("材料号（子板号）")
    private String matNo;
    
    @ApiModelProperty("产线号")
    private String mscLineNo;
    
    @ApiModelProperty("产品标记")
    private Long ppFlag;
    
    @ApiModelProperty("材料厚度")
    private BigDecimal thk;
    
    @ApiModelProperty("材料宽度")
    private BigDecimal wid;
    
    @ApiModelProperty("材料长度")
    private BigDecimal len;
    
    @ApiModelProperty("材料单重")
    private BigDecimal wgt;
    
    @ApiModelProperty("组板状态码")
    private String pdMatStatus;
    
    @ApiModelProperty("进程状态码")
    private String procCd;
    
    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;
    
    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "标准牌号")
    private String sgSign;
    
    @ApiModelProperty(value = "计划状态")
    private String recSts ;
    
    public ProMatContBoardEndDTO() {
    }

    public ProMatContBoardEndDTO(String orderNo) {
        super();
        this.orderNo = orderNo;
        this.procCd = "14A";
        this.contractNum = Utils.removeLastThreeChars(orderNo);
        this.recSts = "1";
    }

    /**
     * @return the contractNum
     */
    public String getContractNum() {
        return contractNum;
    }

    /**
     * @param contractNum the contractNum to set
     */
    public ProMatContBoardEndDTO setContractNum(String contractNum) {
        this.contractNum = contractNum;
        return this;
    }

    /**
     * @return the orderNo
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * @param orderNo the orderNo to set
     */
    public ProMatContBoardEndDTO setOrderNo(String orderNo) {
        this.orderNo = orderNo;
        return this;
    }

    /**
     * @return the moMatNo
     */
    public String getMoMatNo() {
        return moMatNo;
    }

    /**
     * @param moMatNo the moMatNo to set
     */
    public ProMatContBoardEndDTO setMoMatNo(String moMatNo) {
        this.moMatNo = moMatNo;
        return this;
    }

    /**
     * @return the matNo
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * @param matNo the matNo to set
     */
    public ProMatContBoardEndDTO setMatNo(String matNo) {
        this.matNo = matNo;
        return this;
    }

    /**
     * @return the mscLineNo
     */
    public String getMscLineNo() {
        return mscLineNo;
    }

    /**
     * @param mscLineNo the mscLineNo to set
     */
    public ProMatContBoardEndDTO setMscLineNo(String mscLineNo) {
        this.mscLineNo = mscLineNo;
        return this;
    }

    /**
     * @return the ppFlag
     */
    public Long getPpFlag() {
        return ppFlag;
    }

    /**
     * @param ppFlag the ppFlag to set
     */
    public ProMatContBoardEndDTO setPpFlag(Long ppFlag) {
        this.ppFlag = ppFlag;
        return this;
    }

    /**
     * @return the thk
     */
    public BigDecimal getThk() {
        return thk;
    }

    /**
     * @param thk the thk to set
     */
    public ProMatContBoardEndDTO setThk(BigDecimal thk) {
        this.thk = thk;
        return this;
    }

    /**
     * @return the wid
     */
    public BigDecimal getWid() {
        return wid;
    }

    /**
     * @param wid the wid to set
     */
    public ProMatContBoardEndDTO setWid(BigDecimal wid) {
        this.wid = wid;
        return this;
    }

    /**
     * @return the len
     */
    public BigDecimal getLen() {
        return len;
    }

    /**
     * @param len the len to set
     */
    public ProMatContBoardEndDTO setLen(BigDecimal len) {
        this.len = len;
        return this;
    }

    /**
     * @return the wgt
     */
    public BigDecimal getWgt() {
        return wgt;
    }

    /**
     * @param wgt the wgt to set
     */
    public ProMatContBoardEndDTO setWgt(BigDecimal wgt) {
        this.wgt = wgt;
        return this;
    }

    /**
     * @return the matStatus
     */
    public String getPdMatStatus() {
        return pdMatStatus;
    }

    /**
     * @param pdMatStatus the matStatus to set
     */
    public ProMatContBoardEndDTO setPdMatStatus(String pdMatStatus) {
        this.pdMatStatus = pdMatStatus;
        return this;
    }

    /**
     * @return the procCd
     */
    public String getProcCd() {
        return procCd;
    }

    /**
     * @param procCd the procCd to set
     */
    public ProMatContBoardEndDTO setProcCd(String procCd) {
        this.procCd = procCd;
        return this;
    }

    /**
     * @return the wholeBacklogCode
     */
    public String getWholeBacklogCode() {
        return wholeBacklogCode;
    }

    /**
     * @param wholeBacklogCode the wholeBacklogCode to set
     */
    public ProMatContBoardEndDTO setWholeBacklogCode(String wholeBacklogCode) {
        this.wholeBacklogCode = wholeBacklogCode;
        return this;
    }

    /**
     * @return the stNo
     */
    public String getStNo() {
        return stNo;
    }

    /**
     * @param stNo the stNo to set
     */
    public ProMatContBoardEndDTO setStNo(String stNo) {
        this.stNo = stNo;
        return this;
    }

    /**
     * @return the sgSign
     */
    public String getSgSign() {
        return sgSign;
    }

    /**
     * @param sgSign the sgSign to set
     */
    public ProMatContBoardEndDTO setSgSign(String sgSign) {
        this.sgSign = sgSign;
        return this;
    }

    /**
     * @return the recSts
     */
    public String getRecSts() {
        return recSts;
    }

    /**
     * @param recSts the recSts to set
     */
    public void setRecSts(String recSts) {
        this.recSts = recSts;
    }
    
}
