package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author BKGY  MYT
 */
@ExcelSheet(zh = "不可替代订单表", en = "PmIrsubableCont")
@Data
public class PmIrsubableContDTO {
    @ApiModelProperty("主键ID")
    private Long id;

    @ExcelColumn(zh = "合同号", en = "orderNo", order = 1)
    @ApiModelProperty(value = "合同号", required = true)
    private String orderNo;

    @ExcelColumn(zh = "牌号", en = "sgSign", order = 2)
    @ApiModelProperty(value = "牌号")
    private String sgSign;

    @ExcelColumn(zh = "内部钢种", en = "sgStd", order = 3)
    @ApiModelProperty(value = "内部钢种")
    private String sgStd;

    @ExcelColumn(zh = "订货厚度", en = "orderThick", order = 4)
    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ExcelColumn(zh = "订货宽度", en = "orderWidth", order = 5)
    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ExcelColumn(zh = "订货长度", en = "orderLen", order = 6)
    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;

    @ExcelColumn(zh = "交货日期", en = "delivyDate", order = 7)
    @ApiModelProperty(value = "交货日期")
    private Date delivyDate;

    @ExcelColumn(zh = "创建时间", en = "creationDate", order = 8)
    @ApiModelProperty(value = "创建时间")
    private Date creationDate;

    @ExcelColumn(zh = "创建人", en = "createdBy", order = 9)
    @ApiModelProperty(value = "创建人")
    private Long createdBy;

    @ExcelColumn(zh = "修改时间", en = "lastUpdateDate", order = 10)
    @ApiModelProperty(value = "修改时间")
    private Date lastUpdateDate;

    @ExcelColumn(zh = "修改人", en = "lastUpdatedBy", order = 11)
    @ApiModelProperty(value = "修改人")
    private Long lastUpdatedBy;
}
