package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/25 14:13
 */
@ExcelSheet(zh = "结晶器规格基准表", en = "PmMoldSpecBtDTO")
@Data
public class PmMoldSpecBtDTO implements Serializable {
    private static final long serialVersionUID = 3077364604709769586L;

    @ExcelColumn(zh = "连铸机类型", en = "ccType", order = 1)
    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ExcelColumn(zh = "连铸机描述", en = "ccDesc", order = 2)
    @ApiModelProperty(value = "连铸机描述")
    private String ccDesc;

    @ExcelColumn(zh = "铸造厚", en = "castThick", order = 3)
    @ApiModelProperty(value = "铸造厚")
    private BigDecimal castThick;


    @ExcelColumn(zh = "铸造宽", en = "castWidth", order = 4)
    @ApiModelProperty(value = "铸造宽")
    private BigDecimal castWidth;

    @ApiModelProperty(value = "设计产线号")
    private String mscLineNo;

    @ExcelColumn(zh = "设计产线号", en = "mscLineNo", order = 5)
    @ApiModelProperty(value = "设计产线号")
    private String mscLineNoDesc;
}
