package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 */
@ExcelSheet(zh = "钢板轧制规格基准表", en = "PmPlateSpecBt")
@Data
public class PmPlateSpecBtDTO {
    @ApiModelProperty("主键ID")
    private Long pptabId;

    @ExcelColumn(zh = "强度级别代码", en = "stCode", order = 1)
    @ApiModelProperty(value = "强度级别代码", required = true)
    private String stCode;

    @ApiModelProperty(value = "组板方式", required = true)
    private String formPlateMode;

    @ExcelColumn(zh = "组板方式", en = "formPlateModeDesc", order = 2)
    @ApiModelProperty(value = "组板方式")
    private String formPlateModeDesc;

    @ApiModelProperty(value = "AD模式，分为D和ND")
    private String adTypeMode;

    @ExcelColumn(zh = "AD模式，分为D和ND", en = "adTypeModeDesc", order = 3)
    @ApiModelProperty(value = "AD模式，分为D和ND")
    private String adTypeModeDesc;

    @ApiModelProperty(value = "轧制模式, * 匹配所有轧制模式", required = true)
    private String rollMode;

    @ExcelColumn(zh = "轧制模式", en = "rollModeDesc", order = 4)
    @ApiModelProperty(value = "轧制模式, * 匹配所有轧制模式")
    private String rollModeDesc;

    @ApiModelProperty(value = "全程热处理类型，Q（全程热处理类型含Q），* 匹配全部热处理类型", required = true)
    private String wholeHeatTreatmentType;

    @ExcelColumn(zh = "全程热处理类型", en = "wholeHeatTreatmentTypeDesc", order = 5)
    @ApiModelProperty(value = "全程热处理类型，Q（全程热处理类型含Q），* 匹配全部热处理类型")
    private String wholeHeatTreatmentTypeDesc;

    @ExcelColumn(zh = "轧制产线号", en = "rollLineNo", order = 6)
    @ApiModelProperty(value = "轧制产线号", required = true)
    private String rollLineNo;

    @ExcelColumn(zh = "钢板厚度起", en = "plateThickFrom", order = 7)
    @ApiModelProperty(value = "钢板厚度起", required = true)
    private BigDecimal plateThickFrom;

    @ExcelColumn(zh = "钢板厚度止", en = "plateThickTo", order = 8)
    @ApiModelProperty(value = "钢板厚度止", required = true)
    private BigDecimal plateThickTo;

    @ExcelColumn(zh = "组合板宽度起", en = "combinePlateWidthFrom", order = 9)
    @ApiModelProperty(value = "组合板宽度起", required = true)
    private BigDecimal combinePlateWidthFrom;

    @ExcelColumn(zh = "组合板宽度止", en = "combinePlateWidthTo", order = 10)
    @ApiModelProperty(value = "组合板宽度止", required = true)
    private BigDecimal combinePlateWidthTo;

    @ExcelColumn(zh = "组合板长度上限", en = "combinePlateLenMax", order = 11)
    @ApiModelProperty(value = "组合板长度上限", required = true)
    private BigDecimal combinePlateLenMax;

    @ExcelColumn(zh = "备注说明", en = "remark", order = 12)
    @ApiModelProperty(value = "备注说明")
    private String remark;

    @ApiModelProperty(value = "租户ID", required = true)
    private Long tenantId;
}
