package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/27 17:24
 */
@ExcelSheet(zh = "钢板轧制规格对应收得率基准表", en = "PmPlateSpecYieldBt")
@Data
public class PmPlateSpecYieldBtDTO implements Serializable {
    private static final long serialVersionUID = -3080720386129705394L;

    @ApiModelProperty("主键ID")
    private Long ppsybId;

    @ExcelColumn(zh = "最终用途码", en = "apn", order = 1)
    @ApiModelProperty(value = "最终用途码")
    private String apn;

    @ExcelColumn(zh = "内部钢种", en = "stNo", order = 2)
    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ExcelColumn(zh = "连铸机类型", en = "ccTypeDesc", order = 3)
    @ApiModelProperty(value = "连铸机类型含义")
    private String ccTypeDesc;

    @ExcelColumn(zh = "钢板厚度起", en = "plateThickFrom", order = 4)
    @ApiModelProperty(value = "钢板厚度起")
    private BigDecimal plateThickFrom;

    @ExcelColumn(zh = "钢板厚度止", en = "plateThickTo", order = 5)
    @ApiModelProperty(value = "钢板厚度止")
    private BigDecimal plateThickTo;

    @ExcelColumn(zh = "组合板宽度起", en = "combinePlateWidthFrom", order = 6)
    @ApiModelProperty(value = "组合板宽度起")
    private BigDecimal combinePlateWidthFrom;

    @ExcelColumn(zh = "组合板宽度止", en = "combinePlateWidthTo", order = 7)
    @ApiModelProperty(value = "组合板宽度止")
    private BigDecimal combinePlateWidthTo;

    @ExcelColumn(zh = "收得率", en = "yield", order = 8)
    @ApiModelProperty(value = "收得率")
    private BigDecimal yield;

    @ExcelColumn(zh = "最大收得率", en = "maxYield", order = 9)
    @ApiModelProperty(value = "最大收得率")
    private BigDecimal maxYield;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    @ApiModelProperty(value = "轧制产线号")
    private String rollLineNo;

    @ExcelColumn(zh = "轧制产线号", en = "rollLineNo", order = 10)
    @ApiModelProperty(value = "轧制产线号含义")
    private String rollLineNoDesc;
}
