package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/27 20:22
 */
@ExcelSheet(zh = "余材组板内部钢种以优充次对照表", en = "PmSlabReplBt")
@Data
public class PmSlabReplBtDTO implements Serializable {
    private static final long serialVersionUID = -2226182570743181872L;

    @ApiModelProperty("主键ID")
    private Long psrbId;

    @ExcelColumn(zh = "以优充次顺序码", en = "betterToWorseSeq", order = 1)
    @ApiModelProperty(value = "以优充次顺序码")
    private Long betterToWorseSeq;

    @ExcelColumn(zh = "当前出钢记号", en = "curStNo", order = 2)
    @ApiModelProperty(value = "当前出钢记号")
    private String curStNo;

    @ExcelColumn(zh = "替代出钢记号", en = "replStNo", order = 3)
    @ApiModelProperty(value = "替代出钢记号")
    private String replStNo;

    @ApiModelProperty(value = "生效标记")
    private String validFlag;

    @ExcelColumn(zh = "生效标记", en = "validFlag", order = 4)
    @ApiModelProperty(value = "生效标记含义")
    private String validFlagDesc;

    @ExcelColumn(zh = "备注", en = "remark", order = 5)
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
