package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/23 17:26
 */
@ExcelSheet(zh = "钢板厚度余量基准表", en = "PmThickAddvBtDTO")
@Data
public class PmThickAddvBtDTO implements Serializable {

    private static final long serialVersionUID = 6901026172200659732L;

    @ApiModelProperty(value = "公差类型代码")
    private String tolTypeCode;

    @ExcelColumn(zh = "公差类型代码", en = "tolTypeCode", order = 1)
    @ApiModelProperty(value = "公差类型代码")
    private String tolTypeCodeDesc;

    @ApiModelProperty(value = "全程热处理类型，Q（全程热处理类型含Q），* 匹配全部热处理类型")
    private String wholeHeatTreatmentType;

    @ExcelColumn(zh = "全程热处理类型", en = "wholeHeatTreatmentTypeDesc", order = 2)
    @ApiModelProperty(value = "全程热处理类型含义")
    private String wholeHeatTreatmentTypeDesc;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ExcelColumn(zh = "产线号", en = "mscLineNoDesc", order = 3)
    @ApiModelProperty(value = "产线号")
    private String mscLineNoDesc;

    @ExcelColumn(zh = "钢板厚度起", en = "plateThickFrom", order = 4)
    @ApiModelProperty(value = "钢板厚度起")
    private BigDecimal plateThickFrom;

    @ExcelColumn(zh = "钢板厚度止", en = "plateThickTo", order = 5)
    @ApiModelProperty(value = "钢板厚度止")
    private BigDecimal plateThickTo;

    @ExcelColumn(zh = "组合板宽度起", en = "combinePlateWidthFrom", order = 6)
    @ApiModelProperty(value = "组合板宽度起")
    private BigDecimal combinePlateWidthFrom;

    @ExcelColumn(zh = "组合板宽度止", en = "combinePlateWidthTo", order = 7)
    @ApiModelProperty(value = "组合板宽度止")
    private BigDecimal combinePlateWidthTo;

    @ExcelColumn(zh = "厚度余量", en = "thickAddv", order = 8)
    @ApiModelProperty(value = "厚度余量")
    private BigDecimal thickAddv;
}
