package com.xisc.pm.api.dto.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 合同处理成分结果数据
 * </p>
 *
 * @author SunH
 * @since 2024-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel("自动组板合同总量表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "QD_TO_LINEUP_RESULT_CHE")
public class QdToLineupResultCheDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private BigDecimal lrcId;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 成分类型,L-熔炼成分;P-成品成分
     */
    private String cheType;

    /**
     * 元素代码
     */
    private String elmCode;

    /**
     * 元素名称
     */
    private String elmName;

    /**
     * 元素顺序
     */
    private BigDecimal elmPos;

    /**
     * 元素单位
     */
    private String elmUnit;

    /**
     * 元素最小值
     */
    private String elmMin;

    /**
     * 元素最大值
     */
    private String elmMax;

    /**
     * 元素组合标记
     */
    private String elmCombFlag;

    /**
     * 元素组合公式代码
     */
    private String elmCombFmla;

    /**
     * 报列要求
     */
    private String printReq;

    /**
     * 修约位数
     */
    private String printchar;

    /**
     * 客户特殊要求标记,Y是,N否
     */
    private String alfaFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 化学元素
     */
    private String elm;

    /**
     * 是否校验与熔炼差值
     */
    private Integer rxDifFlag;

    /**
     * 差值最大值
     */
    private BigDecimal difMax;

    /**
     * 规制
     */
    private String testType;


}
