package com.xisc.pm.api.dto.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 炉次待委托表
 * </p>
 *
 * @author SunH
 * @since 2024-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "QE_TQ_PONO_WAIT_TEST")
public class QeTqPonoWaitTestDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private BigDecimal pwtId;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 代表制造命令号
     */
    private String repPono;

    /**
     * 试验项目代码
     */
    private String testItemCode;

    /**
     * 试验项目名称
     */
    private String testItemName;

    /**
     * 一坯多样,1、2、3
     */
    private Integer multipeSamples;

    /**
     * 取样频次
     */
    private String smpFreq;

    /**
     * 试样形状，1-全宽、2-半宽、3-1/3宽
     */
    private BigDecimal smpShape;

    /**
     * 委托原因，1-合同要求、2-内控要求、3-试验
     */
    private String testReason;

    /**
     * 委托标识，0-未委托，1-待委托，2-已委托
     */
    private Integer testFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 委托次数
     */
    private Integer testNum;

    /**
     * 年份
     */
    private String prodYear;


}
