package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmAutoPdContract;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
/**
 * 自动组板合同总量表应用服务
 *
 * @author jun.zeng 2024-11-21 11:05:32
 */
public interface PmAutoPdContractService {

    /**
    * 自动组板合同总量表查询参数
    *
    * @param tenantId 租户ID
    * @param pmAutoPdContract 自动组板合同总量表
    * @param pageRequest 分页
    * @return 自动组板合同总量表列表
    */
    Page<PmAutoPdContract> list(Long tenantId, PmAutoPdContract pmAutoPdContract, PageRequest pageRequest);

    /**
     * 自动组板合同总量表详情
     *
     * @param tenantId 租户ID
     * @param papcId 主键
     * @return 自动组板合同总量表列表
     */
    PmAutoPdContract detail(Long tenantId, Long papcId);

    /**
     * 创建自动组板合同总量表
     *
     * @param tenantId 租户ID
     * @param pmAutoPdContract 自动组板合同总量表
     * @return 自动组板合同总量表
     */
    PmAutoPdContract create(Long tenantId, PmAutoPdContract pmAutoPdContract);

    /**
     * 更新自动组板合同总量表
     *
     * @param tenantId 租户ID
     * @param pmAutoPdContract 自动组板合同总量表
     * @return 自动组板合同总量表
     */
    PmAutoPdContract update(Long tenantId, PmAutoPdContract pmAutoPdContract);

    /**
     * 删除自动组板合同总量表
     *
     * @param pmAutoPdContract 自动组板合同总量表
     */
    void remove(PmAutoPdContract pmAutoPdContract);
}
