package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmAutoPdPosition;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
/**
 * 板坯子板位置表应用服务
 *
 * @author jun.zeng 2024-11-21 11:05:34
 */
public interface PmAutoPdPositionService {

    /**
    * 板坯子板位置表查询参数
    *
    * @param tenantId 租户ID
    * @param pmAutoPdPosition 板坯子板位置表
    * @param pageRequest 分页
    * @return 板坯子板位置表列表
    */
    Page<PmAutoPdPosition> list(Long tenantId, PmAutoPdPosition pmAutoPdPosition, PageRequest pageRequest);

    /**
     * 板坯子板位置表详情
     *
     * @param tenantId 租户ID
     * @param positionId 主键
     * @return 板坯子板位置表列表
     */
    PmAutoPdPosition detail(Long tenantId, Long positionId);

    /**
     * 创建板坯子板位置表
     *
     * @param tenantId 租户ID
     * @param pmAutoPdPosition 板坯子板位置表
     * @return 板坯子板位置表
     */
    PmAutoPdPosition create(Long tenantId, PmAutoPdPosition pmAutoPdPosition);

    /**
     * 更新板坯子板位置表
     *
     * @param tenantId 租户ID
     * @param pmAutoPdPosition 板坯子板位置表
     * @return 板坯子板位置表
     */
    PmAutoPdPosition update(Long tenantId, PmAutoPdPosition pmAutoPdPosition);

    /**
     * 删除板坯子板位置表
     *
     * @param pmAutoPdPosition 板坯子板位置表
     */
    void remove(PmAutoPdPosition pmAutoPdPosition);
}
