package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmAxisBrdTrimBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 纵轧展宽宽度余量基准表(PmAxisBrdTrimBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-23 09:16:11
 */
public interface PmAxisBrdTrimBtService {

    /**
     * 查询数据
     *
     * @param pageRequest     分页参数
     * @param pmAxisBrdTrimBt 查询条件
     * @return 返回值
     */
    Page<PmAxisBrdTrimBt> selectList(PageRequest pageRequest, PmAxisBrdTrimBt pmAxisBrdTrimBt);

    /**
     * 保存数据
     *
     * @param tenantId            租户
     * @param pmAxisBrdTrimBtList 对象集合
     */
    void saveData(Long tenantId, List<PmAxisBrdTrimBt> pmAxisBrdTrimBtList);

    /**
     * 删除数据
     *
     * @param pmAxisBrdTrimBtList
     */
    void deleteForUi(List<PmAxisBrdTrimBt> pmAxisBrdTrimBtList);
}

