package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCdRuleSet;

import java.util.List;

/**
 * 充当规则集(PmCdRuleSet)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 10:57:16
 */
public interface PmCdRuleSetService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmCdRuleSets 查询条件
     * @return 返回值
     */
    Page<PmCdRuleSet> selectList(PageRequest pageRequest, PmCdRuleSet pmCdRuleSets);

    /**
     * 保存数据
     *
     * @param pmCdRuleSets 数据
     */
    void saveData(List<PmCdRuleSet> pmCdRuleSets);

    /**
     * 删除充当规则集
     * @param pmCdRuleSets
     */
    void remove(List<PmCdRuleSet> pmCdRuleSets, Long organizationId);
}

