package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCutPlaceBt;

import java.util.List;

/**
 * 粗切位置决定基准表(PmCutPlaceBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 08:40:39
 */
public interface PmCutPlaceBtService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmCutPlaceBt 查询条件
     * @return 返回值
     */
    Page<PmCutPlaceBt> selectList(PageRequest pageRequest, PmCutPlaceBt pmCutPlaceBt);

    /**
     * 保存数据
     *
     * @param tenantId         租户
     * @param pmCutPlaceBtList 对象集合
     */
    void saveData(Long tenantId, List<PmCutPlaceBt> pmCutPlaceBtList);

    /**
     * 删除数据
     *
     * @param pmCutPlaceBtList 数据
     */
    void deleteForUi(List<PmCutPlaceBt> pmCutPlaceBtList);
}

