package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmHeatTreatFurnaceBt;

import java.util.List;

/**
 * 热处理炉基准规格表(PmHeatTreatFurnaceBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 12:24:42
 */
public interface PmHeatTreatFurnaceBtService {

    /**
     * 查询数据
     *
     * @param pageRequest          分页参数
     * @param pmHeatTreatFurnaceBt 查询条件
     * @return 返回值
     */
    Page<PmHeatTreatFurnaceBt> selectList(PageRequest pageRequest, PmHeatTreatFurnaceBt pmHeatTreatFurnaceBt);

    /**
     * 保存数据
     *
     * @param tenantId                 租户
     * @param pmHeatTreatFurnaceBtList 对象集合
     */
    void saveData(Long tenantId, List<PmHeatTreatFurnaceBt> pmHeatTreatFurnaceBtList);

    /**
     * 删除数据
     *
     * @param pmHeatTreatFurnaceBtList 对象集合
     */
    void deleteForUi(List<PmHeatTreatFurnaceBt> pmHeatTreatFurnaceBtList);
}

