package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmHotConfig;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 组炉默认热处理去向配置表(PmHotConfig)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:19:07
 */
public interface PmHotConfigService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmHotConfig 查询条件
     * @return 返回值
     */
    Page<PmHotConfig> selectList(PageRequest pageRequest, PmHotConfig pmHotConfig);

    /**
     * 保存数据
     *
     * @param tenantId        租户
     * @param pmHotConfigList 对象集合
     */
    void saveData(Long tenantId, List<PmHotConfig> pmHotConfigList);

    /**
     * 删除数据
     *
     * @param pmHotConfigList 对象集合
     */
    void deleteForUi(List<PmHotConfig> pmHotConfigList);
}

