package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmHtolStaticDTO;
import com.xisc.pm.domain.entity.PmHtolStatic;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 以优充次静态表(PmHtolStatic)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:07:37
 */
public interface PmHtolStaticService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmHtolStatic 查询条件
     * @return 返回值
     */
    Page<PmHtolStatic> selectList(PageRequest pageRequest, PmHtolStatic pmHtolStatic);

    /**
     * 保存数据
     *
     * @param tenantId         租户
     * @param pmHtolStaticList 对象集合
     */
    void saveData(Long tenantId, List<PmHtolStatic> pmHtolStaticList);

    /**
     * 删除数据
     *
     * @param pmHtolStaticList 删除的对象集合
     */
    void deleteForUi(List<PmHtolStatic> pmHtolStaticList);

    /**
     * 导出
     *
     * @param pmHtolStatic 查询参数
     * @return
     */
    List<PmHtolStaticDTO> exportList(PmHtolStatic pmHtolStatic);
}

