package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmIngotSpecTrimBtDTO;
import com.xisc.pm.domain.entity.PmIngotSpecTrimBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 钢锭轧制规格及切边量基准表(PmIgnotSpecTrimBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 15:01:54
 */
public interface PmIngotSpecTrimBtService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmIngotSpecTrimBt 查询条件
     * @return 返回值
     */
    Page<PmIngotSpecTrimBt> selectList(PageRequest pageRequest, PmIngotSpecTrimBt pmIngotSpecTrimBt);

    /**
     * 保存数据
     *
     * @param tenantId              租户
     * @param pmIngotSpecTrimBtList 对象集合
     */
    void saveData(Long tenantId, List<PmIngotSpecTrimBt> pmIngotSpecTrimBtList);

    /**
     * 删除数据
     *
     * @param pmIngotSpecTrimBtList 删除的对象集合
     */
    void deleteForUi(List<PmIngotSpecTrimBt> pmIngotSpecTrimBtList);

    /**
     * 获取唯一键
     *
     * @param pmIngotSpecTrimBt
     * @return
     */
    String getTrimKey(PmIngotSpecTrimBt pmIngotSpecTrimBt);

    /**
     * 导出
     *
     * @param tenantId
     * @param pmIngotSpecTrimBt
     * @return
     */
    List<PmIngotSpecTrimBtDTO> exportList(Long tenantId, PmIngotSpecTrimBt pmIngotSpecTrimBt);
}

