package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIngotTypeBt;

import java.util.List;

/**
 * 锭坯型基表(PmIngotTypeBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-29 14:54:10
 */
public interface PmIngotTypeBtService {

    /**
     * 查询数据
     *
     * @param pageRequest   分页参数
     * @param pmIngotTypeBt 查询条件
     * @return 返回值
     */
    Page<PmIngotTypeBt> selectList(PageRequest pageRequest, PmIngotTypeBt pmIngotTypeBt);

    /**
     * 保存数据
     *
     * @param tenantId           租户
     * @param pmIngotTypeBtList 对象集合
     */
    void saveData(Long tenantId, List<PmIngotTypeBt> pmIngotTypeBtList);

    /**
     * 删除数据
     *
     * @param pmIngotTypeBtList 删除的集合
     */
    void deleteForUi(List<PmIngotTypeBt> pmIngotTypeBtList);
}

