package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmMinThickTolBt;

import java.util.List;

/**
 * 最小轧制厚度公差范围基准表(PmMinThickTolBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 11:11:39
 */
public interface PmMinThickTolBtService {

    /**
     * 查询数据
     *
     * @param pageRequest     分页参数
     * @param pmMinThickTolBt 查询条件
     * @return 返回值
     */
    Page<PmMinThickTolBt> selectList(PageRequest pageRequest, PmMinThickTolBt pmMinThickTolBt);

    /**
     * 保存数据
     *
     * @param tenantId            租户
     * @param pmMinThickTolBtList 集合对象
     */
    void saveData(Long tenantId, List<PmMinThickTolBt> pmMinThickTolBtList);

    /**
     * 删除数据
     *
     * @param pmMinThickTolBtList 删除的对象集合
     */
    void deleteForUi(List<PmMinThickTolBt> pmMinThickTolBtList);
}

