package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPdConstBt;

import java.util.List;

/**
 * 组板常数基准表(PmPdConstBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:08:20
 */
public interface PmPdConstBtService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmPdConstBt 查询条件
     * @return 返回值
     */
    Page<PmPdConstBt> selectList(PageRequest pageRequest, PmPdConstBt pmPdConstBt);

    /**
     * 保存数据
     *
     * @param tenantId        租户
     * @param pmPdConstBtList 数据
     */
    void saveData(Long tenantId, List<PmPdConstBt> pmPdConstBtList);

    /**
     * 删除数据
     *
     * @param pmPdConstBtList 对象集合
     */
    void deleteForUi(List<PmPdConstBt> pmPdConstBtList);
}

