package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmPdContPanelMaterialDTO;
import com.xisc.pm.domain.entity.PmPdContSum;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 组板合同总量表(PmPdContSum)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-30 10:29:33
 */
public interface PmPdContSumService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmPdContSums 查询条件
     * @return 返回值
     */
    Page<PmPdContSum> selectList(PageRequest pageRequest, PmPdContSum pmPdContSums);

    /**
     * 保存数据
     *
     * @param pmPdContSums 数据
     */
    void saveData(List<PmPdContSum> pmPdContSums);

    /**
     * 合同组板材料查询
     *
     * @param pageRequest 分页参数
     * @param orderNoFrom 合同号起
     * @param orderNoTo   合同号止
     * @param tenantId    租户
     * @return
     */
    Page<PmPdContPanelMaterialDTO> selectConPanelMaterialsList(PageRequest pageRequest, String orderNoFrom, String orderNoTo, Long tenantId);
}

