package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmPdRuleItem;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 组板设计规则库(PmPdRuleItem)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-30 14:15:27
 */
public interface PmPdRuleItemService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmPdRuleItem 查询条件
     * @return 返回值
     */
    Page<PmPdRuleItem> selectList(PageRequest pageRequest, PmPdRuleItem pmPdRuleItem);

    /**
     * 保存数据
     *
     * @param tenantId         租户
     * @param pmPdRuleItemList 对象集合
     */
    void saveData(Long tenantId, List<PmPdRuleItem> pmPdRuleItemList);

    /**
     * 查询数据
     *
     * @param pmPdRuleItem 查询条件
     * @return
     */
    List<PmPdRuleItem> queryList(PmPdRuleItem pmPdRuleItem);
}

