package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmPdTmpYieldBtDTO;
import com.xisc.pm.domain.entity.PmPdTmpYieldBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 组板临时收得率基准表(PmPdTmpYieldBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 11:02:23
 */
public interface PmPdTmpYieldBtService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmPdTmpYieldBt 查询条件
     * @return 返回值
     */
    Page<PmPdTmpYieldBt> selectList(PageRequest pageRequest, PmPdTmpYieldBt pmPdTmpYieldBt);

    /**
     * 保存数据
     *
     * @param tenantId           租户
     * @param pmPdTmpYieldBtList 对象集合
     */
    void saveData(Long tenantId, List<PmPdTmpYieldBt> pmPdTmpYieldBtList);

    /**
     * 删除数据
     *
     * @param pmPdTmpYieldBtList 对象集合
     */
    void deleteForUi(List<PmPdTmpYieldBt> pmPdTmpYieldBtList);

    /**
     * 获取唯一性校验key
     *
     * @param pmPdTmpYieldBt 入参
     * @return
     */
    String getTmpKey(PmPdTmpYieldBt pmPdTmpYieldBt);

    /**
     * 导出
     *
     * @param pmPdTmpYieldBt 查询条件
     * @return
     */
    List<PmPdTmpYieldBtDTO> exportList(PmPdTmpYieldBt pmPdTmpYieldBt);
}

