package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmPlateSpecBtDTO;
import com.xisc.pm.domain.entity.PmPlateSpecBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 钢板轧制规格基准表(PmPlateSpecBt)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-05 14:45:53
 */
public interface PmPlateSpecBtService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmPlateSpecBts 查询条件
     * @return 返回值
     */
    Page<PmPlateSpecBt> selectList(PageRequest pageRequest, PmPlateSpecBt pmPlateSpecBts);

    /**
     * 保存数据
     *
     * @param pmPlateSpecBts 数据
     */
    void saveData(List<PmPlateSpecBt> pmPlateSpecBts);

    /**
     * 钢板轧制规格基准表
     * @param pmPlateSpecBt
     * @return
     */
    List<PmPlateSpecBtDTO> exportList(PmPlateSpecBt pmPlateSpecBt);

    /**
     * 获取唯一性·key
     *
     * @param plateSpecBt 对象
     * @return
     */
    String getSlabKey(PmPlateSpecBt plateSpecBt);
}

