package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmPlateSpecYieldBtDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPlateSpecYieldBt;

import java.util.List;

/**
 * 钢板轧制规格对应收得率基准表(PmPlateSpecYieldBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 16:29:25
 */
public interface PmPlateSpecYieldBtService {

    /**
     * 查询数据
     *
     * @param pageRequest        分页参数
     * @param pmPlateSpecYieldBt 查询条件
     * @return 返回值
     */
    Page<PmPlateSpecYieldBt> selectList(PageRequest pageRequest, PmPlateSpecYieldBt pmPlateSpecYieldBt);

    /**
     * 保存数据
     *
     * @param tenantId               租户
     * @param pmPlateSpecYieldBtList 对象集合
     */
    void saveData(Long tenantId, List<PmPlateSpecYieldBt> pmPlateSpecYieldBtList);

    /**
     * 删除数据
     *
     * @param pmPlateSpecYieldBtList 删除的对象集合
     */
    void deleteForUi(List<PmPlateSpecYieldBt> pmPlateSpecYieldBtList);

    /**
     * 导出数据
     *
     * @param pmPlateSpecYieldBt 查询条件
     * @return
     */
    List<PmPlateSpecYieldBtDTO> exportList(PmPlateSpecYieldBt pmPlateSpecYieldBt);
}

