package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmPnsort;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 组炉规则配置表(PmPnsort)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-11 15:59:47
 */
public interface PmPnsortService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmPnsort   查询条件
     * @return 返回值
     */
    Page<PmPnsort> selectList(PageRequest pageRequest, PmPnsort pmPnsort);

    /**
     * 保存数据
     *
     * @param tenantId     租户
     * @param pmPnsortList 集合
     */
    void saveData(Long tenantId, List<PmPnsort> pmPnsortList);

    /**
     * 删除数据
     *
     * @param pmPnsortList 集合
     */
    void deleteForUi(List<PmPnsort> pmPnsortList);
}

