package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSdivSpecLimitBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 剖分组板设备规格限制表(PmSdivSpecLimitBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:34:17
 */
public interface PmSdivSpecLimitBtService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmSdivSpecLimitBt 查询条件
     * @return 返回值
     */
    Page<PmSdivSpecLimitBt> selectList(PageRequest pageRequest, PmSdivSpecLimitBt pmSdivSpecLimitBt);

    /**
     * 保存数据
     *
     * @param tenantId              租户
     * @param pmSdivSpecLimitBtList 对象集合
     */
    void saveData(Long tenantId, List<PmSdivSpecLimitBt> pmSdivSpecLimitBtList);

    /**
     * 删除数据
     *
     * @param pmSdivSpecLimitBtList 对象集合
     */
    void deleteForUi(List<PmSdivSpecLimitBt> pmSdivSpecLimitBtList);
}

