package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSdivStLimitBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 剖分组板钢种限制表(PmSdivStLimitBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:15:36
 */
public interface PmSdivStLimitBtService {

    /**
     * 查询数据
     *
     * @param pageRequest     分页参数
     * @param pmSdivStLimitBt 查询条件
     * @return 返回值
     */
    Page<PmSdivStLimitBt> selectList(PageRequest pageRequest, PmSdivStLimitBt pmSdivStLimitBt);

    /**
     * 保存数据
     *
     * @param tenantId            租户
     * @param pmSdivStLimitBtList 对象集合
     */
    void saveData(Long tenantId, List<PmSdivStLimitBt> pmSdivStLimitBtList);

    /**
     * 删除数据
     *
     * @param pmSdivStLimitBtList 对象集合
     */
    void deleteForUi(List<PmSdivStLimitBt> pmSdivStLimitBtList);
}

