package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSlabScrapLenBt;

import java.util.List;

/**
 * 余坯组板采用判定基准表(PmSlabScrapLenBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 14:28:34
 */
public interface PmSlabScrapLenBtService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmSlabScrapLenBt 查询条件
     * @return 返回值
     */
    Page<PmSlabScrapLenBt> selectList(PageRequest pageRequest, PmSlabScrapLenBt pmSlabScrapLenBt);

    /**
     * 保存数据
     *
     * @param tenantId             租户
     * @param pmSlabScrapLenBtList 对象集合
     */
    void saveData(Long tenantId, List<PmSlabScrapLenBt> pmSlabScrapLenBtList);

    /**
     * 删除数据
     *
     * @param pmSlabScrapLenBtList 集合对象
     */
    void deleteForUi(List<PmSlabScrapLenBt> pmSlabScrapLenBtList);
}

