package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmStCodeBtDTO;
import com.xisc.pm.domain.entity.PmStCodeBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 强度级别对照基准表(PmStCodeBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-26 14:15:14
 */
public interface PmStCodeBtService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmStCodeBt  查询条件
     * @return 返回值
     */
    Page<PmStCodeBt> selectList(PageRequest pageRequest, PmStCodeBt pmStCodeBt);

    /**
     * 保存数据
     *
     * @param tenantId       租户
     * @param pmStCodeBtList 对象集合
     */
    void saveData(Long tenantId, List<PmStCodeBt> pmStCodeBtList);

    /**
     * 删除数据
     *
     * @param pmStCodeBtList 对象集合
     */
    void deleteForUi(List<PmStCodeBt> pmStCodeBtList);

    /**
     * 导出数据
     *
     * @param tenantId   租户
     * @param pmStCodeBt 入参
     * @return
     */
    List<PmStCodeBtDTO> exportList(Long tenantId, PmStCodeBt pmStCodeBt);

    /**
     * 获取唯一键
     *
     * @param pmStCodeBt
     * @return
     */
    String getStCodeKey(PmStCodeBt pmStCodeBt);
}

