package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmThickAddvBtDTO;
import com.xisc.pm.domain.entity.PmThickAddvBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 钢板厚度余量基准表(PmThickAddvBt)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-05 15:04:57
 */
public interface PmThickAddvBtService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmThickAddvBts 查询条件
     * @return 返回值
     */
    Page<PmThickAddvBt> selectList(PageRequest pageRequest, PmThickAddvBt pmThickAddvBts);

    /**
     * 保存数据
     *
     * @param pmThickAddvBts 数据
     */
    void saveData(List<PmThickAddvBt> pmThickAddvBts);

    /**
     * 获取唯一性校验key
     *
     * @param pmThickAddvBt 对象
     * @return
     */
    String getPlateKey(PmThickAddvBt pmThickAddvBt);

    /**
     * 删除
     *
     * @param pmThickAddvBtList 对象集合
     */
    void deleteForUi(List<PmThickAddvBt> pmThickAddvBtList);

    /**
     * 导出
     *
     * @param tenantId      租户
     * @param pmThickAddvBt 查询条件
     * @return
     */
    List<PmThickAddvBtDTO> exportList(Long tenantId, PmThickAddvBt pmThickAddvBt);
}

