package com.xisc.pm.app.service.autoboard.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import lombok.Data;

/**
 * 
 * 组板
 * 
 * @author jun.zeng
 *
 */
@Data
public class PmContBoardParam implements Serializable {

    private static final long serialVersionUID = 6531712495135576828L;

    private String orderNo;

    // 支持的产线
    private Set<String> mscLineNo = new HashSet<>();

    private String mscLineNoStr;

    // 欠件数
    private BigDecimal pdLockQty;

    // 小板长
    private BigDecimal smallPlateLen;

    // 小板厚
    private BigDecimal orderThick;

    // 小板宽
    private BigDecimal orderWid;

    // 合同单重
    private BigDecimal orderUnitAim;

    // 交货日
    private Date delivyDate;

    // 钢种
    private String stNo;

    // 产销合同号
    private String erpOrderNo;

    // 到站港
    private String delivyPlace;

    // 客户
    private String orderCustCname;

    // 切断方式
    private String cutModeCode;
    
    private Map<String , String> cutModeCodeMap = new HashMap<>(8);;

    // 轧制倍尺标记可否
//    private Long multiPlateFlag;

    // 合约尾量
    private BigDecimal contractAllowance;

    // 制品记号（边部形态）
    private String prodSideMark;

    // 全程热处理模式
    private String wholeHeatTreatmentType;
    private Map<String , String> wholeHeatTreatmentTypeMap = new HashMap<>(8);
    
    // 取样方式代码
    private String pickPatternCode ;
    
    // 取样方式代码Type
    private String pickPatternCodeType ;

    private String backlogQMark;
    private String backlogTMark;
    private String backlogAMark;
    private String backlogNMark;
    private String sampleModeCode;
    
    private BigDecimal sampleLenHead;
    private BigDecimal sampleLenTail;
    
    // 厚度公差-管理QD合同表获取
    private String thkTolType;
    private String rollDirectCode;
    private Map<String , String> rollDirectCodeMap = new HashMap<>(8);
    private String rollMode;
    private Map<String , String> rollModeMap = new HashMap<>(8);
    
    private String sgSign;
    private String trimCode;
    
    private BigDecimal thickTolMin ;
    private BigDecimal thickTolMax ;
    private BigDecimal headCut ;
    private Map<String , BigDecimal> headCutMap = new HashMap<>(8);
    private BigDecimal tailCut ;
    private Map<String , BigDecimal> tailCutMap = new HashMap<>(8);
    
    private BigDecimal slabThkMin ;
    private BigDecimal slabThkMax ;
    private Map<String , BigDecimal> slabThkMinMap = new HashMap<>(8);
    private Map<String , BigDecimal> slabThkMaxMap = new HashMap<>(8);
    
    private BigDecimal widthAddv ;
    private BigDecimal prodDensity ;
    
    private String axialRollMark;
    
    private String adTypeCode ;
    private Map<String , String> adTypeCodeMap = new HashMap<>(8);
    
    // 强度代码
    private String stCode;
    private String witnessProNo;
    private String planerFlag ;
    
    private Long contractAllowanceFlag = 0L;
    
    // 请求发布锁定量
    private BigDecimal lockQty;
    
}
