package com.xisc.pm.app.service.impl;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.PageHelper;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import org.springframework.beans.factory.annotation.Autowired;
import com.xisc.pm.app.service.PmPlateThickAddvBtTraService;
import org.springframework.stereotype.Service;
import com.xisc.pm.domain.entity.PmPlateThickAddvBtTra;
import com.xisc.pm.domain.repository.PmPlateThickAddvBtTraRepository;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 钢板轧制规格及厚度余量基准表履历表(PmPlateThickAddvBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 17:19:58
 */
@Service
public class PmPlateThickAddvBtTraServiceImpl implements PmPlateThickAddvBtTraService {
    @Autowired
    private PmPlateThickAddvBtTraRepository pmPlateThickAddvBtTraRepository;

    @Override
    public Page<PmPlateThickAddvBtTra> selectList(PageRequest pageRequest, PmPlateThickAddvBtTra pmPlateThickAddvBtTra) {
        return PageHelper.doPageAndSort(pageRequest, () -> pmPlateThickAddvBtTraRepository.selectList(pmPlateThickAddvBtTra));
    }

    @Override
    public void saveData(List<PmPlateThickAddvBtTra> pmPlateThickAddvBtTras) {
        List<PmPlateThickAddvBtTra> insertList = pmPlateThickAddvBtTras.stream().filter(line -> line.getTraId() == null).collect(Collectors.toList());
        List<PmPlateThickAddvBtTra> updateList = pmPlateThickAddvBtTras.stream().filter(line -> line.getTraId() != null).collect(Collectors.toList());
        pmPlateThickAddvBtTraRepository.batchInsertSelective(insertList);
        pmPlateThickAddvBtTraRepository.batchUpdateByPrimaryKeySelective(updateList);
    }
}

