package com.xisc.pm.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/12 10:18
 * @description
 */
@ExcelSheet(zh = "钢锭厚度余量基准表", en = "PmIngotThickAddvBtDTO")
@Data
public class PmIngotThickAddvBtDTO implements Serializable {
    private static final long serialVersionUID = -8798208949594792921L;

    @ApiModelProperty(value = "锭坯型代码")
    private String ingotType;

    @ApiModelProperty(value = "锭坯型")
    @ExcelColumn(zh = "锭坯型", en = "ingotType", order = 1)
    private String ingotTypeDesc;

    @ApiModelProperty(value = "钢板厚度起")
    @ExcelColumn(zh = "钢板厚度起", en = "plateThickFrom", order = 2)
    private BigDecimal plateThickFrom;

    @ApiModelProperty(value = "钢板厚度止")
    @ExcelColumn(zh = "钢板厚度止", en = "plateThickTo", order = 3)
    private BigDecimal plateThickTo;

    @ApiModelProperty(value = "组合板宽度起")
    @ExcelColumn(zh = "组合板宽度起", en = "combinePlateWidthFrom", order = 4)
    private BigDecimal combinePlateWidthFrom;

    @ApiModelProperty(value = "组合板宽度止")
    @ExcelColumn(zh = "组合板宽度止", en = "combinePlateWidthTo", order = 5)
    private BigDecimal combinePlateWidthTo;

    @ApiModelProperty(value = "热处理模式")
    @ExcelColumn(zh = "热处理模式", en = "heatTreatMode", order = 6)
    private String heatTreatMode;

    @ApiModelProperty(value = "轧制模式")
    private String rollMode;

    @ApiModelProperty(value = "轧制模式")
    @ExcelColumn(zh = "轧制模式", en = "rollMode", order = 7)
    private String rollModeDesc;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ApiModelProperty(value = "轧制方向代码")
    @ExcelColumn(zh = "轧制方向代码", en = "rollDirectCode", order = 8)
    private String rollDirectCodeDesc;

    @ApiModelProperty(value = "厚度余量")
    @ExcelColumn(zh = "厚度余量", en = "thickAddv", order = 9)
    private BigDecimal thickAddv;
}
