package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * 板坯主数据主表(MmSlab)实体类
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-15 08:52:42
 */

@Getter
@Setter
@ApiModel("板坯主数据主表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "MM_SLAB")
public class MmSlab extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 670459026470699646L;

    public static final String FIELD_SLAB_ID = "slabId";
    public static final String FIELD_SLAB_NO = "slabNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_FIRST_ORDER_NO = "firstOrderNo";
    public static final String FIELD_PONO = "pono";
    public static final String FIELD_SLAB_TYPE = "slabType";
    public static final String FIELD_OLD_ORDER_NO = "oldOrderNo";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_REC_STS = "recSts";
    public static final String FIELD_PROC_CD = "procCd";
    public static final String FIELD_BEF_PROC_CD = "befProcCd";
    public static final String FIELD_PROD_YEAR = "prodYear";
    public static final String FIELD_LOADING_TIME = "loadingTime";
    public static final String FIELD_ORIGIN_SLAB_NO = "originSlabNo";
    public static final String FIELD_PLAN_NO = "planNo";
    public static final String FIELD_ROLL_PLAN_NO = "rollPlanNo";
    public static final String FIELD_PSC = "psc";
    public static final String FIELD_APN = "apn";
    public static final String FIELD_MSC = "msc";
    public static final String FIELD_PLATE_DT_CODE = "plateDtCode";
    public static final String FIELD_PROD_CODE_HP = "prodCodeHp";
    public static final String FIELD_SLAB_ORIGIN_CODE = "slabOriginCode";
    public static final String FIELD_SLAB_STATUS = "slabStatus";
    public static final String FIELD_STD_SG_CODE = "stdSgCode";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_SG_STD = "sgStd";
    public static final String FIELD_OLD_STD_SG_CODE = "oldStdSgCode";
    public static final String FIELD_OLD_SG_STD = "oldSgStd";
    public static final String FIELD_OLD_SG_SIGN = "oldSgSign";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_OLD_PLATE_NO = "oldPlateNo";
    public static final String FIELD_OLD_SLAB_NO = "oldSlabNo";
    public static final String FIELD_AC_UNIT_CODE = "acUnitCode";
    public static final String FIELD_UNIT_CODE = "unitCode";
    public static final String FIELD_PRE_UNIT_CODE = "preUnitCode";
    public static final String FIELD_HOT_DEST1 = "hotDest1";
    public static final String FIELD_HOT_DEST2 = "hotDest2";
    public static final String FIELD_HOT_DEST3 = "hotDest3";
    public static final String FIELD_HOT_DEST4 = "hotDest4";
    public static final String FIELD_HOT_DEST5 = "hotDest5";
    public static final String FIELD_HOT_DEST = "hotDest";
    public static final String FIELD_SLAB_TARG_THK = "slabTargThk";
    public static final String FIELD_SLAB_TARG_WID = "slabTargWid";
    public static final String FIELD_SLAB_TARG_LEN = "slabTargLen";
    public static final String FIELD_SLAB_ACT_THK = "slabActThk";
    public static final String FIELD_SLAB_ACT_WID = "slabActWid";
    public static final String FIELD_SLAB_ACT_LEN = "slabActLen";
    public static final String FIELD_SLAB_ACT_WGT = "slabActWgt";
    public static final String FIELD_SLAB_GROSS_WGT = "slabGrossWgt";
    public static final String FIELD_WGT_MODE = "wgtMode";
    public static final String FIELD_PROD_TIME = "prodTime";
    public static final String FIELD_WHOLE_BACKLOG = "wholeBacklog";
    public static final String FIELD_WHOLE_BACKLOG_SEQ = "wholeBacklogSeq";
    public static final String FIELD_WHOLE_BACKLOG_CODE = "wholeBacklogCode";
    public static final String FIELD_NEXT_WHOLE_BACKLOG_SEQ = "nextWholeBacklogSeq";
    public static final String FIELD_NEXT_WHOLE_BACKLOG_CODE = "nextWholeBacklogCode";
    public static final String FIELD_OUTTRUST_FLAG = "outtrustFlag";
    public static final String FIELD_HOLD_FLAG = "holdFlag";
    public static final String FIELD_HOLD_CAUSE_CODE = "holdCauseCode";
    public static final String FIELD_HOLD_TIME = "holdTime";
    public static final String FIELD_HOLD_SHIFT_NO = "holdShiftNo";
    public static final String FIELD_HOLD_MAKER = "holdMaker";
    public static final String FIELD_REL_TIME = "relTime";
    public static final String FIELD_REL_MAKER = "relMaker";
    public static final String FIELD_REMAIN_CAUSE_CODE = "remainCauseCode";
    public static final String FIELD_REMAIN_DECIDE_TIME = "remainDecideTime";
    public static final String FIELD_REMAIN_DECIDE_MAKER = "remainDecideMaker";
    public static final String FIELD_REMAIN_DECIDE_CODE = "remainDecideCode";
    public static final String FIELD_SCRAP_CAUSE_CODE = "scrapCauseCode";
    public static final String FIELD_SCRAP_MAKER = "scrapMaker";
    public static final String FIELD_SCRAP_TIME = "scrapTime";
    public static final String FIELD_SURFACE_DECIDE_CODE = "surfaceDecideCode";
    public static final String FIELD_CONFM_FLAG = "confmFlag";
    public static final String FIELD_SURFACE_DECIDE_TIME = "surfaceDecideTime";
    public static final String FIELD_SURFACE_DECIDE_MAKER = "surfaceDecideMaker";
    public static final String FIELD_PCH_JUDGE_CODE = "pchJudgeCode";
    public static final String FIELD_PCH_JUDGE_RESULT = "pchJudgeResult";
    public static final String FIELD_PCH_JUDGE_ABN = "pchJudgeAbn";
    public static final String FIELD_PCH_JUDGE_TIME = "pchJudgeTime";
    public static final String FIELD_PCH_JUDGE_MAKER = "pchJudgeMaker";
    public static final String FIELD_COMPLEX_DECIDE_CODE = "complexDecideCode";
    public static final String FIELD_COMPLEX_DECIDE_TIME = "complexDecideTime";
    public static final String FIELD_COMPLEX_DECIDE_MAKER = "complexDecideMaker";
    public static final String FIELD_OLD_COMPLEX_DECIDE_CODE = "oldComplexDecideCode";
    public static final String FIELD_OLD_COMPLEX_DECIDE_TIME = "oldComplexDecideTime";
    public static final String FIELD_OLD_COMPLEX_DECIDE_MAKER = "oldComplexDecideMaker";
    public static final String FIELD_PRE_ST_NO = "preStNo";
    public static final String FIELD_HEAT_NO = "heatNo";
    public static final String FIELD_SLAB_DEST = "slabDest";
    public static final String FIELD_HOT_CHARGE_FLAG = "hotChargeFlag";
    public static final String FIELD_SAMPLE_MART_NO = "sampleMartNo";
    public static final String FIELD_PONO_SLAB = "ponoSlab";
    public static final String FIELD_FIX_SLAB_NUM = "fixSlabNum";
    public static final String FIELD_ABNR_CODE1 = "abnrCode1";
    public static final String FIELD_ABNR_CODE2 = "abnrCode2";
    public static final String FIELD_ABNR_CODE3 = "abnrCode3";
    public static final String FIELD_ABNR_CODE4 = "abnrCode4";
    public static final String FIELD_ABNR_CODE5 = "abnrCode5";
    public static final String FIELD_ABNR_CODE6 = "abnrCode6";
    public static final String FIELD_ABNR_CODE7 = "abnrCode7";
    public static final String FIELD_ABNR_CODE8 = "abnrCode8";
    public static final String FIELD_ABNR_CODE9 = "abnrCode9";
    public static final String FIELD_ABNR_CODE10 = "abnrCode10";
    public static final String FIELD_SLABTOP_FLAG = "slabtopFlag";
    public static final String FIELD_SLABTOP_TIME = "slabtopTime";
    public static final String FIELD_SLAB_FLAG = "slabFlag";
    public static final String FIELD_SECUT_PLAN_NO = "secutPlanNo";
    public static final String FIELD_BIG_BACKLOG_CODE = "bigBacklogCode";
    public static final String FIELD_SUB_BACKLOG_CODE = "subBacklogCode";
    public static final String FIELD_SUB_BACKLOG_SEQ = "subBacklogSeq";
    public static final String FIELD_NEXT_SUB_BACKLOG_CODE = "nextSubBacklogCode";
    public static final String FIELD_NEXT_SUB_BACKLOG_SEQ = "nextSubBacklogSeq";
    public static final String FIELD_BD_FLAG = "bdFlag";
    public static final String FIELD_SLAB_RETURN_TIME = "slabReturnTime";
    public static final String FIELD_SLAB_RETURN_CODE = "slabReturnCode";
    public static final String FIELD_SLAB_RETURN_CAUSE_CODE = "slabReturnCauseCode";
    public static final String FIELD_SMP_GROUP = "smpGroup";
    public static final String FIELD_REMARK = "remark";
    public static final String FIELD_SPARE_FIELD1 = "spareField1";
    public static final String FIELD_SPARE_FIELD2 = "spareField2";
    public static final String FIELD_SPARE_FIELD3 = "spareField3";
    public static final String FIELD_SPARE_FIELD4 = "spareField4";
    public static final String FIELD_SPARE_FIELD5 = "spareField5";
    public static final String FIELD_SPARE_FIELD6 = "spareField6";
    public static final String FIELD_SPARE_FIELD7 = "spareField7";
    public static final String FIELD_SPARE_FIELD8 = "spareField8";
    public static final String FIELD_SPARE_FIELD9 = "spareField9";
    public static final String FIELD_SPARE_FIELD10 = "spareField10";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_TRANFER_FLAG = "tranferFlag";

    @ApiModelProperty("表ID，主键")
    @Id
    @GeneratedValue
    private Long slabId;

    @ApiModelProperty(value = "板坯号(炼钢产出时写)", required = true)
    @NotBlank
    private String slabNo;

    @ApiModelProperty(value = "合同号(命令板坯号去生产组炉抓)")
    private String orderNo;

    @ApiModelProperty(value = "第一次合同号(命令板坯号去生产组炉抓)")
    private String firstOrderNo;

    @ApiModelProperty(value = "制造命令号(炼钢产出时写)")
    private String pono;

    @ApiModelProperty(value = "板坯类型(炼钢产出时写)", required = true)
    @NotBlank
    private String slabType;

    @ApiModelProperty(value = "原合同号(默认空)")
    private String oldOrderNo;

    @ApiModelProperty(value = "产线号(来自生产管理)")
    private String mscLineNo;

    @ApiModelProperty(value = "状态代码(初始值2)", required = true)
    @NotBlank
    private String recSts;

    @ApiModelProperty(value = "进程代码(炼钢产出默认A1A)", required = true)
    @NotBlank
    private String procCd;

    @ApiModelProperty(value = "前进程代码(炼钢产出默认A1A)", required = true)
    @NotBlank
    private String befProcCd;

    @ApiModelProperty(value = "年(制造命令号的年)", required = true)
    @NotBlank
    private String prodYear;

    @ApiModelProperty(value = "上料时间(加热炉前上料写)")
    private Date loadingTime;

    @ApiModelProperty(value = "外购板坯号(外购坯录入时候)")
    private String originSlabNo;

    @ApiModelProperty(value = "当前计划号()")
    private String planNo;

    @ApiModelProperty(value = "轧制计划号")
    private String rollPlanNo;

    @ApiModelProperty(value = "产品规范码(质量改判时写入,初始值空)")
    private String psc;

    @ApiModelProperty(value = "产品最终用途码(质量改判时写入,初始值空)")
    private String apn;

    @ApiModelProperty(value = "冶金规范码(质量改判时写入,初始值空)")
    private String msc;

    @ApiModelProperty(value = "厚板流向代码")
    private String plateDtCode;

    @ApiModelProperty(value = "厚板品种代码()")
    private String prodCodeHp;

    @ApiModelProperty(value = "材料来源代码(区分自产1，外购2)", required = true)
    @NotBlank
    private String slabOriginCode;

    @ApiModelProperty(value = "材料状态码(炼钢产出默认20)")
    private String slabStatus;

    @ApiModelProperty(value = "钢级(通过代表合同去质量抓)")
    private String stdSgCode;

    @ApiModelProperty(value = "标准牌号(通过代表合同去质量抓)")
    private String sgSign;

    @ApiModelProperty(value = "标准(通过合同去质量抓)")
    private String sgStd;

    @ApiModelProperty(value = "原钢级(默认值为空)")
    private String oldStdSgCode;

    @ApiModelProperty(value = "原标准牌号(默认值为空)")
    private String oldSgStd;

    @ApiModelProperty(value = "原标准(默认值为空)")
    private String oldSgSign;

    @ApiModelProperty(value = "出钢记号/内部钢种(炼钢产出写预定的，判钢后调用API更新)")
    private String stNo;

    @ApiModelProperty(value = "原钢板号(默认空，材转坯记录)")
    private String oldPlateNo;

    @ApiModelProperty(value = "原始板坯号(默认为空,二切记录)")
    private String oldSlabNo;

    @ApiModelProperty(value = "前道工序机组(等待陈总确认)")
    private String acUnitCode;

    @ApiModelProperty(value = "当前机组(默认为PRX)")
    private String unitCode;

    @ApiModelProperty(value = "后道工序机组(默认为PRX)")
    private String preUnitCode;

    @ApiModelProperty(value = "热处理去向1(合同去抓生产)")
    private String hotDest1;

    @ApiModelProperty(value = "热处理去向2(合同去抓生产)")
    private String hotDest2;

    @ApiModelProperty(value = "热处理去向3(合同去抓生产)")
    private String hotDest3;

    @ApiModelProperty(value = "热处理去向4(合同去抓生产)")
    private String hotDest4;

    @ApiModelProperty(value = "热处理去向5(合同去抓生产)")
    private String hotDest5;

    @ApiModelProperty(value = "热处理去向(合同去抓生产)")
    private String hotDest;

    @ApiModelProperty(value = "板坯目标厚度(合同去抓生产)")
    private BigDecimal slabTargThk;

    @ApiModelProperty(value = "板坯目标宽度(合同去抓生产)")
    private BigDecimal slabTargWid;

    @ApiModelProperty(value = "板坯目标长度(合同去抓生产)")
    private BigDecimal slabTargLen;

    @ApiModelProperty(value = "炼钢板坯厚度(炼钢产出 板坯厚度)")
    private BigDecimal slabActThk;

    @ApiModelProperty(value = "炼钢板坯宽度(炼钢产出 板坯宽度)")
    private BigDecimal slabActWid;

    @ApiModelProperty(value = "炼钢板坯长度(炼钢产出 板坯长度)")
    private BigDecimal slabActLen;

    @ApiModelProperty(value = "炼钢板坯重量")
    private BigDecimal slabActWgt;

    @ApiModelProperty(value = "板坯毛重(默认为0)")
    private BigDecimal slabGrossWgt;

    @ApiModelProperty(value = "计重方式(理重:0   实重:1，炼钢产出默认为0)")
    private String wgtMode;

    @ApiModelProperty(value = "生产时间(炼钢切断时间)")
    private Date prodTime;

    @ApiModelProperty(value = "全程工序途经码（默认生产模块）")
    private String wholeBacklog;

    @ApiModelProperty(value = "全程工序顺序号（各模块）")
    private Long wholeBacklogSeq;

    @ApiModelProperty(value = "全程工序代码（各模块）")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "后全程工序顺序号（各模块）")
    private Long nextWholeBacklogSeq;

    @ApiModelProperty(value = "后全程工序代码（各模块）")
    private String nextWholeBacklogCode;

    @ApiModelProperty(value = "外委标记(0:其他,1:外委)")
    private String outtrustFlag;

    @ApiModelProperty(value = "封锁标记(默认为空,轧钢提供接口供质量调用)")
    private String holdFlag;

    @ApiModelProperty(value = "封锁原因代码(默认为空,轧钢提供接口供质量调用)")
    private String holdCauseCode;

    @ApiModelProperty(value = "封锁时刻(默认为空,轧钢提供接口供质量调用)")
    private Date holdTime;

    @ApiModelProperty(value = "封锁班次号(默认为空,轧钢提供接口供质量调用)")
    private String holdShiftNo;

    @ApiModelProperty(value = "封锁责任者(默认为空,轧钢提供接口供质量调用)")
    private String holdMaker;

    @ApiModelProperty(value = "释放时间(默认为空,轧钢提供接口供质量调用)")
    private Date relTime;

    @ApiModelProperty(value = "释放责任者(默认为空,轧钢提供接口供质量调用)")
    private String relMaker;

    @ApiModelProperty(value = "余材原因代码(默认为空,轧钢提供接口供质量调用)")
    private String remainCauseCode;

    @ApiModelProperty(value = "余材判定时刻(默认为空,轧钢提供接口供质量调用)")
    private Date remainDecideTime;

    @ApiModelProperty(value = "余材判定责任者(默认为空,轧钢提供接口供质量调用)")
    private String remainDecideMaker;

    @ApiModelProperty(value = "余材判定代码(默认为空,轧钢提供接口供质量调用)")
    private String remainDecideCode;

    @ApiModelProperty(value = "报废原因代码(默认为空,轧钢提供接口供质量调用)")
    private String scrapCauseCode;

    @ApiModelProperty(value = "报废责任者(默认为空,轧钢提供接口供质量调用)")
    private String scrapMaker;

    @ApiModelProperty(value = "报废时间(默认为空,轧钢提供接口供质量调用)")
    private Date scrapTime;

    @ApiModelProperty(value = "表面判定代码(外卖默认为1，自用默认为0)(0未判,1合格，2不合格)")
    private String surfaceDecideCode;

    @ApiModelProperty(value = "准发标志（0：正常，1：材料判断错误2：准发，红冲完成）")
    private String confmFlag;

    @ApiModelProperty(value = "表面判定时间（外卖坯就是当前时间，自用默认为空）")
    private Date surfaceDecideTime;

    @ApiModelProperty(value = "表面判定责任者(外卖的默认为空，手动判定记录工号)")
    private String surfaceDecideMaker;

    @ApiModelProperty(value = "性能判定代码(默认为空,轧钢提供接口供质量调用)")
    private String pchJudgeCode;

    @ApiModelProperty(value = "性能判定结果(默认为空,轧钢提供接口供质量调用)")
    private String pchJudgeResult;

    @ApiModelProperty(value = "性能判定异常原因(默认为空,轧钢提供接口供质量调用)")
    private String pchJudgeAbn;

    @ApiModelProperty(value = "性能判定时间(默认为空,轧钢提供接口供质量调用)")
    private Date pchJudgeTime;

    @ApiModelProperty(value = "性能判定责任者(默认为空,轧钢提供接口供质量调用)")
    private String pchJudgeMaker;

    @ApiModelProperty(value = "综合判定代码(默认为空,轧钢提供接口供质量调用)")
    private String complexDecideCode;

    @ApiModelProperty(value = "综合判定时间(默认为空,轧钢提供接口供质量调用)")
    private Date complexDecideTime;

    @ApiModelProperty(value = "综合判定责任者(默认为空,轧钢提供接口供质量调用)")
    private String complexDecideMaker;

    @ApiModelProperty(value = "原综合判定代码(默认为空,轧钢提供接口供质量调用)")
    private String oldComplexDecideCode;

    @ApiModelProperty(value = "原综合判定时刻(默认为空,轧钢提供接口供质量调用)")
    private Date oldComplexDecideTime;

    @ApiModelProperty(value = "原综合判定责任人(默认为空,轧钢提供接口供质量调用)")
    private String oldComplexDecideMaker;

    @ApiModelProperty(value = "计划钢种(炼钢产出写)")
    private String preStNo;

    @ApiModelProperty(value = "熔炼号(炼钢产出写)")
    private String heatNo;

    @ApiModelProperty(value = "板坯去向(用合同去生产取)")
    private String slabDest;

    @ApiModelProperty(value = "热装标记(默认为空，轧钢计划时写)")
    private String hotChargeFlag;

    @ApiModelProperty(value = "试验材号(默认为空，等待质量确认)")
    private String sampleMartNo;

    @ApiModelProperty(value = "命令板坯号(炼钢产出写)")
    private String ponoSlab;

    @ApiModelProperty(value = "切割块数(默认为1)")
    private Long fixSlabNum;

    @ApiModelProperty(value = "品质异常代码1(炼钢产出写)")
    private String abnrCode1;

    @ApiModelProperty(value = "品质异常代码2(炼钢产出写)")
    private String abnrCode2;

    @ApiModelProperty(value = "品质异常代码3(炼钢产出写)")
    private String abnrCode3;

    @ApiModelProperty(value = "品质异常代码4(炼钢产出写)")
    private String abnrCode4;

    @ApiModelProperty(value = "品质异常代码5(炼钢产出写)")
    private String abnrCode5;

    @ApiModelProperty(value = "品质异常代码6(炼钢产出写)")
    private String abnrCode6;

    @ApiModelProperty(value = "品质异常代码7(炼钢产出写)")
    private String abnrCode7;

    @ApiModelProperty(value = "品质异常代码8(炼钢产出写)")
    private String abnrCode8;

    @ApiModelProperty(value = "品质异常代码9(炼钢产出写)")
    private String abnrCode9;

    @ApiModelProperty(value = "品质异常代码10(炼钢产出写)")
    private String abnrCode10;

    @ApiModelProperty(value = "板坯TOP点确认标志(默认为1。炼钢和轧钢的交接)")
    private String slabtopFlag;

    @ApiModelProperty(value = "板坯TOP点时间(默认当前时间)")
    private Date slabtopTime;

    @ApiModelProperty(value = "长板坯标记(默认为空，生产余材组板更新)")
    private String slabFlag;

    @ApiModelProperty(value = "火切计划号(板坯火切计划写)")
    private String secutPlanNo;

    @ApiModelProperty(value = "大工序代码(由各个模块写入)")
    private String bigBacklogCode;

    @ApiModelProperty(value = "小工序代码(来源生产)")
    private String subBacklogCode;

    @ApiModelProperty(value = "小工序顺序号(初始值为1)")
    private Long subBacklogSeq;

    @ApiModelProperty(value = "后小工序代码(来源生产)")
    private String nextSubBacklogCode;

    @ApiModelProperty(value = "后小工序顺序号(初始值2为2)")
    private Long nextSubBacklogSeq;

    @ApiModelProperty(value = "BD材标记(来源生产,命令板坯去抓)")
    private String bdFlag;

    @ApiModelProperty(value = "板坯返送时间(默认为空)")
    private Date slabReturnTime;

    @ApiModelProperty(value = "板坯返送处理代码(默认为空)")
    private String slabReturnCode;

    @ApiModelProperty(value = "板坯返送理由代码(默认为空)")
    private String slabReturnCauseCode;

    @ApiModelProperty(value = "试批组")
    private String smpGroup;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "备用字段1")
    private String spareField1;

    @ApiModelProperty(value = "备用字段2")
    private String spareField2;

    @ApiModelProperty(value = "备用字段3")
    private String spareField3;

    @ApiModelProperty(value = "备用字段4")
    private String spareField4;

    @ApiModelProperty(value = "备用字段5")
    private String spareField5;

    @ApiModelProperty(value = "备用字段6")
    private Long spareField6;

    @ApiModelProperty(value = "备用字段7")
    private Long spareField7;

    @ApiModelProperty(value = "备用字段8")
    private Long spareField8;

    @ApiModelProperty(value = "备用字段9")
    private Long spareField9;

    @ApiModelProperty(value = "备用字段10")
    private Long spareField10;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String tranferFlag;

    @ApiModelProperty(value = "炼钢板坯厚度[起]")
    @Transient
    private BigDecimal slabActThkFrom;

    @ApiModelProperty(value = "炼钢板坯厚度[止]")
    @Transient
    private BigDecimal slabActThkTo;

    @ApiModelProperty(value = "炼钢板坯宽度[起]")
    @Transient
    private BigDecimal slabActWidFrom;

    @ApiModelProperty(value = "炼钢板坯宽度[止]")
    @Transient
    private BigDecimal slabActWidTo;

    @ApiModelProperty(value = "炼钢板坯宽度[起]")
    @Transient
    private BigDecimal slabActLenFrom;

    @ApiModelProperty(value = "炼钢板坯宽度[止]")
    @Transient
    private BigDecimal slabActLenTo;

    @ApiModelProperty(value = "库位编码")
    @Transient
    private String stockCode;

    @ApiModelProperty(value = "垛位号")
    @Transient
    private String pileNo;

    @ApiModelProperty(value = "层号")
    @Transient
    private String layerNo;

    @ApiModelProperty(value = "成品标记")
    @Transient
    private String productFlag;
    
    @ApiModelProperty(value = "板坯状态列表")
    @Transient
    private List<String> slabStatusList;


    @ApiModelProperty(value = "订货厚度")
    @Transient
    private BigDecimal orderThickValue;

    @ApiModelProperty(value = "订货最大厚度")
    @Transient
    private BigDecimal orderThickMaxValue;

    @ApiModelProperty(value = "订货最小厚度")
    @Transient
    private BigDecimal orderThickMinValue;

    @ApiModelProperty(value = "订货长度")
    @Transient
    private BigDecimal orderLenMaxValue;

    @ApiModelProperty(value = "订货长度")
    @Transient
    private BigDecimal orderLenMinValue;

    @ApiModelProperty(value = "订货宽度")
    @Transient
    private BigDecimal orderWidthValue;

    @ApiModelProperty(value = "宽度下限")
    @Transient
    private BigDecimal widthMinValue;

    @ApiModelProperty(value = "宽度上限")
    @Transient
    private BigDecimal widthMaxValue;

    @ApiModelProperty(value = "厚度公差上限")
    @Transient
    private BigDecimal thickTolMaxValue;

    @ApiModelProperty(value = "厚度公差下限")
    @Transient
    private BigDecimal thickTolMinValue;

    @ApiModelProperty(value = "宽度公差上限")
    @Transient
    private BigDecimal widthTolMaxValue;

    @ApiModelProperty(value = "宽度公差下限")
    @Transient
    private BigDecimal widthTolMinValue;

    @ApiModelProperty(value = "长度公差上限")
    @Transient
    private BigDecimal lenTolMaxValue;

    @ApiModelProperty(value = "长度公差下限")
    @Transient
    private BigDecimal lenTolMinValue;


}
