package com.xisc.pm.domain.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 自动组板合同总量表
 *
 * @author jun.zeng 2024-11-21 11:05:32
 */
@Setter
@Getter
@ApiModel("自动组板合同总量表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_AUTO_PD_CONTRACT")
public class PmAutoPdContract extends AuditDomain {

    public static final String FIELD_PAPC_ID = "papcId";
    public static final String FIELD_VIRTUAL_SLAB_NO = "virtualSlabNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_ORDER_SEQ_NO = "orderSeqNo";
    public static final String FIELD_ORDER_PLATE_NUM = "orderPlateNum";
    public static final String FIELD_AXIS_FLAG = "axisFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_OBJECT_VERSION_NUMBER = "objectVersionNumber";
    public static final String FIELD_CREATION_DATE = "creationDate";
    public static final String FIELD_CREATED_BY = "createdBy";
    public static final String FIELD_LAST_UPDATED_BY = "lastUpdatedBy";
    public static final String FIELD_LAST_UPDATE_DATE = "lastUpdateDate";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_REQUEST_ID = "requestId";
    public static final String FIELD_VERSION_ID = "versionId";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long papcId;
    
    @ApiModelProperty(value = "虚拟板坯号")
    private String virtualSlabNo;
    
    @ApiModelProperty(value = "合同号")
    private String orderNo;
    
    @ApiModelProperty(value = "合同顺序号")
    private Long orderSeqNo;
    
    @ApiModelProperty(value = "大板小板块数")
    private BigDecimal orderPlateNum;
    
    @ApiModelProperty(value = "轴合同标记", required = true)
    @NotNull
    private Long axisFlag;
    
    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;
    
    @ApiModelProperty(value = "行版本号，用来处理锁", required = true)
    @NotNull
    private Long objectVersionNumber;
    
    private Long requestId ;
    
    private Long versionId ;
    
    @Transient
    private String steelGroupCode ;
    
    @Transient
    private String stNo ;
    
    @Transient
    private String sgSign ;
    
    @Transient
    private Date delivyDate ;
    
    @Transient
    private BigDecimal orderThick ;
    
    @Transient
    private BigDecimal orderWidth ;
    
    @Transient
    private BigDecimal orderLen ;
    
    // 到站港
    @Transient
    private String delivyPlace;

    // 客户
    @Transient
    private String orderCustCname;
    
    @Transient
    private BigDecimal contractQty ;
    
    @Transient
    private String mscLineNo ;
    
    @Transient
    private BigDecimal lockQty ;
    
    @Transient
    private BigDecimal orderWt ;

}
