package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 命令参数表(PmCmdContTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-28 17:20:51
 */

@Getter
@Setter
@ApiModel("命令参数表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_CMD_CONT_TRA")
public class PmCmdContTra extends AuditDomain {
    private static final long serialVersionUID = -89162306263193487L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_PM_CMD_CONT_ID = "pmCmdContId";
    public static final String FIELD_PONO_SLAB_NO = "ponoSlabNo";
    public static final String FIELD_TMP_SLAB_NO = "tmpSlabNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_ORDER_SEQ_NO = "orderSeqNo";
    public static final String FIELD_AXIS_FLAG = "axisFlag";
    public static final String FIELD_WHOLE_BACKLOG_NO = "wholeBacklogNo";
    public static final String FIELD_WHOLE_BACKLOG = "wholeBacklog";
    public static final String FIELD_PD_BACKLOG_SEQ = "pdBacklogSeq";
    public static final String FIELD_PD_BACKLOG_CODE = "pdBacklogCode";
    public static final String FIELD_PLATE_NO = "plateNo";
    public static final String FIELD_SLAB_NO = "slabNo";
    public static final String FIELD_MAT_DESIGN_KIND = "matDesignKind";
    public static final String FIELD_ORDER_TYPE_CODE = "orderTypeCode";
    public static final String FIELD_EXPORT_FLAG = "exportFlag";
    public static final String FIELD_TWO_ROLL_INTERIM_FLAG = "twoRollInterimFlag";
    public static final String FIELD_FIN_CUST_CODE = "finCustCode";
    public static final String FIELD_PSC = "psc";
    public static final String FIELD_APN = "apn";
    public static final String FIELD_MSC = "msc";
    public static final String FIELD_PROD_CODE_HP = "prodCodeHp";
    public static final String FIELD_SG_STD = "sgStd";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_UOE_FLAG = "uoeFlag";
    public static final String FIELD_SHP_CODE = "shpCode";
    public static final String FIELD_SMALL_PLATE_NUM = "smallPlateNum";
    public static final String FIELD_ROLL_MODE = "rollMode";
    public static final String FIELD_PROD_SR_MARK = "prodSrMark";
    public static final String FIELD_PROD_SIDE_MARK = "prodSideMark";
    public static final String FIELD_PROD_SHOT_MARK = "prodShotMark";
    public static final String FIELD_PROD_N_MARK = "prodNMark";
    public static final String FIELD_PROD_Q_MARK = "prodQMark";
    public static final String FIELD_PROD_T_MARK = "prodTMark";
    public static final String FIELD_PROD_A_MARK = "prodAMark";
    public static final String FIELD_BACKLOG_UT_MARK = "backlogUtMark";
    public static final String FIELD_BACKLOG_N_MARK = "backlogNMark";
    public static final String FIELD_BACKLOG_Q_MARK = "backlogQMark";
    public static final String FIELD_BACKLOG_T_MARK = "backlogTMark";
    public static final String FIELD_BACKLOG_A_MARK = "backlogAMark";
    public static final String FIELD_BACKLOG_DEMAG_MARK = "backlogDemagMark";
    public static final String FIELD_BACKLOG_PT_MARK = "backlogPtMark";
    public static final String FIELD_BACKLOG_MT_MARK = "backlogMtMark";
    public static final String FIELD_BACKLOG_TMCP_MARK = "backlogTmcpMark";
    public static final String FIELD_UNIT_WT_MAX = "unitWtMax";
    public static final String FIELD_UNIT_WT_MIN = "unitWtMin";
    public static final String FIELD_UNIT_WT_AIM = "unitWtAim";
    public static final String FIELD_ORDER_THICK = "orderThick";
    public static final String FIELD_ORDER_WIDTH = "orderWidth";
    public static final String FIELD_ORDER_LEN = "orderLen";
    public static final String FIELD_WIDTH_DIV = "widthDiv";
    public static final String FIELD_WIDTH_MAX = "widthMax";
    public static final String FIELD_WIDTH_MIN = "widthMin";
    public static final String FIELD_LEN_DIV = "lenDiv";
    public static final String FIELD_ORDER_LEN_MIN = "orderLenMin";
    public static final String FIELD_ORDER_LEN_MAX = "orderLenMax";
    public static final String FIELD_SMALL_PLATE_THICK = "smallPlateThick";
    public static final String FIELD_SMALL_PLATE_WIDTH = "smallPlateWidth";
    public static final String FIELD_SMALL_PLATE_LEN = "smallPlateLen";
    public static final String FIELD_THICK1 = "thick1";
    public static final String FIELD_THICK2 = "thick2";
    public static final String FIELD_THICK3 = "thick3";
    public static final String FIELD_LEN1 = "len1";
    public static final String FIELD_LEN2 = "len2";
    public static final String FIELD_LEN3 = "len3";
    public static final String FIELD_LEN4 = "len4";
    public static final String FIELD_LEN5 = "len5";
    public static final String FIELD_THICK_TOL1_MAX = "thickTol1Max";
    public static final String FIELD_THICK_TOL1_MIN = "thickTol1Min";
    public static final String FIELD_THICK_TOL2_MAX = "thickTol2Max";
    public static final String FIELD_THICK_TOL2_MIN = "thickTol2Min";
    public static final String FIELD_THICK_TOL3_MAX = "thickTol3Max";
    public static final String FIELD_THICK_TOL3_MIN = "thickTol3Min";
    public static final String FIELD_PLATE_PRE_PROC1 = "platePreProc1";
    public static final String FIELD_PLATE_PRE_PROC2 = "platePreProc2";
    public static final String FIELD_PLATE_PRE_PROC3 = "platePreProc3";
    public static final String FIELD_PLATE_PRE_PROC4 = "platePreProc4";
    public static final String FIELD_PLATE_PRE_PROC5 = "platePreProc5";
    public static final String FIELD_PLATE_PRE_PROC6 = "platePreProc6";
    public static final String FIELD_PLATE_PRE_PROC7 = "platePreProc7";
    public static final String FIELD_PLATE_PRE_PROC8 = "platePreProc8";
    public static final String FIELD_PLATE_PRE_PROC9 = "platePreProc9";
    public static final String FIELD_PLATE_PRE_PROC10 = "platePreProc10";
    public static final String FIELD_PLATE_PRE_PROC11 = "platePreProc11";
    public static final String FIELD_PLATE_PRE_PROC12 = "platePreProc12";
    public static final String FIELD_PLATE_PRE_PROC13 = "platePreProc13";
    public static final String FIELD_PLATE_PRE_PROC14 = "platePreProc14";
    public static final String FIELD_PLATE_PRE_PROC15 = "platePreProc15";
    public static final String FIELD_PLATE_PRE_PROC16 = "platePreProc16";
    public static final String FIELD_PLATE_PRE_PROC17 = "platePreProc17";
    public static final String FIELD_PLATE_PRE_PROC18 = "platePreProc18";
    public static final String FIELD_PLATE_PRE_PROC19 = "platePreProc19";
    public static final String FIELD_PLATE_PRE_PROC20 = "platePreProc20";
    public static final String FIELD_PLATE_PRE_PROC21 = "platePreProc21";
    public static final String FIELD_PLATE_PRE_PROC22 = "platePreProc22";
    public static final String FIELD_PLATE_PRE_PROC23 = "platePreProc23";
    public static final String FIELD_PLATE_PRE_PROC24 = "platePreProc24";
    public static final String FIELD_PLATE_PRE_PROC25 = "platePreProc25";
    public static final String FIELD_PLATE_PRE_PROC26 = "platePreProc26";
    public static final String FIELD_PLATE_PRE_PROC27 = "platePreProc27";
    public static final String FIELD_PLATE_PRE_PROC28 = "platePreProc28";
    public static final String FIELD_PLATE_PRE_PROC29 = "platePreProc29";
    public static final String FIELD_PLATE_PRE_PROC30 = "platePreProc30";
    public static final String FIELD_TRIM_CODE = "trimCode";
    public static final String FIELD_WIDEN_MIN = "widenMin";
    public static final String FIELD_COMPRESS_MIN = "compressMin";
    public static final String FIELD_ROLL_DIRECT_CODE = "rollDirectCode";
    public static final String FIELD_CTRL_ROLL_CODE = "ctrlRollCode";
    public static final String FIELD_AD_TYPE_CODE = "adTypeCode";
    public static final String FIELD_AD_MODE_CODE = "adModeCode";
    public static final String FIELD_HOT_RECTIFY_FLAG = "hotRectifyFlag";
    public static final String FIELD_COLD_RECTIFY_FLAG = "coldRectifyFlag";
    public static final String FIELD_WARM_RECTIFY_FLAG = "warmRectifyFlag";
    public static final String FIELD_WARM_PRESS_FLAG = "warmPressFlag";
    public static final String FIELD_CAN_PRESS_FLAG = "canPressFlag";
    public static final String FIELD_WP_TEMP_MIN = "wpTempMin";
    public static final String FIELD_HEAD_CUT = "headCut";
    public static final String FIELD_TAIL_CUT = "tailCut";
    public static final String FIELD_HARD_AIM = "hardAim";
    public static final String FIELD_CUT_MODE_CODE = "cutModeCode";
    public static final String FIELD_G_FLAG = "gFlag";
    public static final String FIELD_CS_FLAG = "csFlag";
    public static final String FIELD_DSS_FLAG = "dssFlag";
    public static final String FIELD_SS_FLAG = "ssFlag";
    public static final String FIELD_DS_FLAG = "dsFlag";
    public static final String FIELD_HEAT_TREAT_MODE = "heatTreatMode";
    public static final String FIELD_KEEP_TEMP_MAX1 = "keepTempMax1";
    public static final String FIELD_KEEP_TEMP_MIN1 = "keepTempMin1";
    public static final String FIELD_KEEP_TEMP_MAX2 = "keepTempMax2";
    public static final String FIELD_KEEP_TEMP_MIN2 = "keepTempMin2";
    public static final String FIELD_KEEP_TEMP_MAX3 = "keepTempMax3";
    public static final String FIELD_KEEP_TEMP_MIN3 = "keepTempMin3";
    public static final String FIELD_KEEP_TEMP_MAX4 = "keepTempMax4";
    public static final String FIELD_KEEP_TEMP_MIN4 = "keepTempMin4";
    public static final String FIELD_KEEP_TEMP_MAX5 = "keepTempMax5";
    public static final String FIELD_KEEP_TEMP_MIN5 = "keepTempMin5";
    public static final String FIELD_KEEP_TEMP_MAX6 = "keepTempMax6";
    public static final String FIELD_KEEP_TEMP_MIN6 = "keepTempMin6";
    public static final String FIELD_BACKFIRE_MAX1 = "backfireMax1";
    public static final String FIELD_BACKFIRE_MIN1 = "backfireMin1";
    public static final String FIELD_BACKFIRE_MAX2 = "backfireMax2";
    public static final String FIELD_BACKFIRE_MIN2 = "backfireMin2";
    public static final String FIELD_BACKFIRE_MAX3 = "backfireMax3";
    public static final String FIELD_BACKFIRE_MIN3 = "backfireMin3";
    public static final String FIELD_BACKFIRE_MAX4 = "backfireMax4";
    public static final String FIELD_BACKFIRE_MIN4 = "backfireMin4";
    public static final String FIELD_BACKFIRE_MAX5 = "backfireMax5";
    public static final String FIELD_BACKFIRE_MIN5 = "backfireMin5";
    public static final String FIELD_BACKFIRE_MAX6 = "backfireMax6";
    public static final String FIELD_BACKFIRE_MIN6 = "backfireMin6";
    public static final String FIELD_WIDTH_BEFORE_QN = "widthBeforeQn";
    public static final String FIELD_LEN_BEFORE_QN = "lenBeforeQn";
    public static final String FIELD_CROP_TYPE_HP = "cropTypeHp";
    public static final String FIELD_BETTER_SURF_WARD_CODE = "betterSurfWardCode";
    public static final String FIELD_ULT_DETECT_METHOD_CODE = "ultDetectMethodCode";
    public static final String FIELD_ULT_CODE = "ultCode";
    public static final String FIELD_URG_ORDER_FLAG = "urgOrderFlag";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "${column.comment}", required = true)
    @NotNull
    private Long pmCmdContId;

    @ApiModelProperty(value = "命令板坯号")
    private String ponoSlabNo;

    @ApiModelProperty(value = "临时命令板坯号")
    private String tmpSlabNo;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "合同顺序号")
    private Long orderSeqNo;

    @ApiModelProperty(value = "轴合同标记")
    private Long axisFlag;

    @ApiModelProperty(value = "全程工序途径码顺序号")
    private Long wholeBacklogNo;

    @ApiModelProperty(value = "全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty(value = "组批工序顺序号")
    private Long pdBacklogSeq;

    @ApiModelProperty(value = "组批工序代码")
    private String pdBacklogCode;

    @ApiModelProperty(value = "钢板号")
    private String plateNo;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "材料设计种类")
    private String matDesignKind;

    @ApiModelProperty(value = "合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty(value = "出口标记")
    private String exportFlag;

    @ApiModelProperty(value = "二次开坯标记")
    private String twoRollInterimFlag;

    @ApiModelProperty(value = "最终用户代码")
    private String finCustCode;

    @ApiModelProperty(value = "产品规范码")
    private String psc;

    @ApiModelProperty(value = "产品最终用途码")
    private String apn;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "厚板品种代码")
    private String prodCodeHp;

    @ApiModelProperty(value = "标准")
    private String sgStd;

    @ApiModelProperty(value = "牌号（钢级）")
    private String sgSign;

    @ApiModelProperty(value = "出钢记号")
    private String stNo;

    @ApiModelProperty(value = "UOE合同标记")
    private String uoeFlag;

    @ApiModelProperty(value = "钢板形状代码")
    private String shpCode;

    @ApiModelProperty(value = "小板块数")
    private Long smallPlateNum;

    @ApiModelProperty(value = "轧制模式")
    private String rollMode;

    @ApiModelProperty(value = "制品记号（试验片SR）")
    private String prodSrMark;

    @ApiModelProperty(value = "制品记号（边部形态）")
    private String prodSideMark;

    @ApiModelProperty(value = "制品记号（抛丸涂漆）")
    private String prodShotMark;

    @ApiModelProperty(value = "制品记号（试验片正火）")
    private String prodNMark;

    @ApiModelProperty(value = "制品记号（试验片淬火）")
    private String prodQMark;

    @ApiModelProperty(value = "制品记号（试验片回火）")
    private String prodTMark;

    @ApiModelProperty(value = "制品记号（试验片退火）")
    private String prodAMark;

    @ApiModelProperty(value = "工序记号（超声探伤）")
    private String backlogUtMark;

    @ApiModelProperty(value = "工序记号（正火）")
    private String backlogNMark;

    @ApiModelProperty(value = "工序记号（淬火）")
    private String backlogQMark;

    @ApiModelProperty(value = "工序记号（回火）")
    private String backlogTMark;

    @ApiModelProperty(value = "工序记号（退火）")
    private String backlogAMark;

    @ApiModelProperty(value = "工序记号（脱磁）")
    private String backlogDemagMark;

    @ApiModelProperty(value = "工序记号（PT探伤）")
    private String backlogPtMark;

    @ApiModelProperty(value = "工序记号（MT探伤）")
    private String backlogMtMark;

    @ApiModelProperty(value = "工序记号（TMCP）")
    private String backlogTmcpMark;

    @ApiModelProperty(value = "订货单件最大重量")
    private BigDecimal unitWtMax;

    @ApiModelProperty(value = "订货单件最小重量")
    private BigDecimal unitWtMin;

    @ApiModelProperty(value = "订货单件目标重量")
    private BigDecimal unitWtAim;

    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;

    @ApiModelProperty(value = "宽度区分")
    private String widthDiv;

    @ApiModelProperty(value = "宽度上限")
    private BigDecimal widthMax;

    @ApiModelProperty(value = "宽度下限")
    private BigDecimal widthMin;

    @ApiModelProperty(value = "长度区分")
    private String lenDiv;

    @ApiModelProperty(value = "订货长度下限")
    private BigDecimal orderLenMin;

    @ApiModelProperty(value = "订货长度上限")
    private BigDecimal orderLenMax;

    @ApiModelProperty(value = "小板厚度")
    private BigDecimal smallPlateThick;

    @ApiModelProperty(value = "小板宽度")
    private BigDecimal smallPlateWidth;

    @ApiModelProperty(value = "小板长度")
    private BigDecimal smallPlateLen;

    @ApiModelProperty(value = "钢板厚度1")
    private BigDecimal thick1;

    @ApiModelProperty(value = "钢板厚度2")
    private BigDecimal thick2;

    @ApiModelProperty(value = "钢板厚度3")
    private BigDecimal thick3;

    @ApiModelProperty(value = "钢板长度1")
    private BigDecimal len1;

    @ApiModelProperty(value = "钢板长度2")
    private BigDecimal len2;

    @ApiModelProperty(value = "钢板长度3")
    private BigDecimal len3;

    @ApiModelProperty(value = "钢板长度4")
    private BigDecimal len4;

    @ApiModelProperty(value = "钢板长度5")
    private BigDecimal len5;

    @ApiModelProperty(value = "钢板厚度公差1上限")
    private BigDecimal thickTol1Max;

    @ApiModelProperty(value = "钢板厚度公差1下限")
    private BigDecimal thickTol1Min;

    @ApiModelProperty(value = "钢板厚度公差2上限")
    private BigDecimal thickTol2Max;

    @ApiModelProperty(value = "钢板厚度公差2下限")
    private BigDecimal thickTol2Min;

    @ApiModelProperty(value = "钢板厚度公差3上限")
    private BigDecimal thickTol3Max;

    @ApiModelProperty(value = "钢板厚度公差3下限")
    private BigDecimal thickTol3Min;

    @ApiModelProperty(value = "厚板预定通过工序1")
    private String platePreProc1;

    @ApiModelProperty(value = "厚板预定通过工序2")
    private String platePreProc2;

    @ApiModelProperty(value = "厚板预定通过工序3")
    private String platePreProc3;

    @ApiModelProperty(value = "厚板预定通过工序4")
    private String platePreProc4;

    @ApiModelProperty(value = "厚板预定通过工序5")
    private String platePreProc5;

    @ApiModelProperty(value = "厚板预定通过工序6")
    private String platePreProc6;

    @ApiModelProperty(value = "厚板预定通过工序7")
    private String platePreProc7;

    @ApiModelProperty(value = "厚板预定通过工序8")
    private String platePreProc8;

    @ApiModelProperty(value = "厚板预定通过工序9")
    private String platePreProc9;

    @ApiModelProperty(value = "厚板预定通过工序10")
    private String platePreProc10;

    @ApiModelProperty(value = "厚板预定通过工序11")
    private String platePreProc11;

    @ApiModelProperty(value = "厚板预定通过工序12")
    private String platePreProc12;

    @ApiModelProperty(value = "厚板预定通过工序13")
    private String platePreProc13;

    @ApiModelProperty(value = "厚板预定通过工序14")
    private String platePreProc14;

    @ApiModelProperty(value = "厚板预定通过工序15")
    private String platePreProc15;

    @ApiModelProperty(value = "厚板预定通过工序16")
    private String platePreProc16;

    @ApiModelProperty(value = "厚板预定通过工序17")
    private String platePreProc17;

    @ApiModelProperty(value = "厚板预定通过工序18")
    private String platePreProc18;

    @ApiModelProperty(value = "厚板预定通过工序19")
    private String platePreProc19;

    @ApiModelProperty(value = "厚板预定通过工序20")
    private String platePreProc20;

    @ApiModelProperty(value = "厚板预定通过工序21")
    private String platePreProc21;

    @ApiModelProperty(value = "厚板预定通过工序22")
    private String platePreProc22;

    @ApiModelProperty(value = "厚板预定通过工序23")
    private String platePreProc23;

    @ApiModelProperty(value = "厚板预定通过工序24")
    private String platePreProc24;

    @ApiModelProperty(value = "厚板预定通过工序25")
    private String platePreProc25;

    @ApiModelProperty(value = "厚板预定通过工序26")
    private String platePreProc26;

    @ApiModelProperty(value = "厚板预定通过工序27")
    private String platePreProc27;

    @ApiModelProperty(value = "厚板预定通过工序28")
    private String platePreProc28;

    @ApiModelProperty(value = "厚板预定通过工序29")
    private String platePreProc29;

    @ApiModelProperty(value = "厚板预定通过工序30")
    private String platePreProc30;

    @ApiModelProperty(value = "切边标记")
    private String trimCode;

    @ApiModelProperty(value = "展宽比下限")
    private BigDecimal widenMin;

    @ApiModelProperty(value = "压缩比下限")
    private BigDecimal compressMin;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ApiModelProperty(value = "控轧代码")
    private String ctrlRollCode;

    @ApiModelProperty(value = "AD类型代码")
    private String adTypeCode;

    @ApiModelProperty(value = "AD控制模式代码")
    private String adModeCode;

    @ApiModelProperty(value = "热矫可否")
    private String hotRectifyFlag;

    @ApiModelProperty(value = "冷矫可否")
    private String coldRectifyFlag;

    @ApiModelProperty(value = "温矫可否")
    private String warmRectifyFlag;

    @ApiModelProperty(value = "温压可否")
    private String warmPressFlag;

    @ApiModelProperty(value = "压平可否")
    private String canPressFlag;

    @ApiModelProperty(value = "带温压平开始温度下限")
    private BigDecimal wpTempMin;

    @ApiModelProperty(value = "头部切舍量")
    private BigDecimal headCut;

    @ApiModelProperty(value = "尾部切舍量")
    private BigDecimal tailCut;

    @ApiModelProperty(value = "硬度目标值")
    private BigDecimal hardAim;

    @ApiModelProperty(value = "切断方式代码")
    private String cutModeCode;

    @ApiModelProperty(value = "气切可否")
    private String gFlag;

    @ApiModelProperty(value = "CS可否")
    private String csFlag;

    @ApiModelProperty(value = "DSS可否")
    private String dssFlag;

    @ApiModelProperty(value = "SS可否")
    private String ssFlag;

    @ApiModelProperty(value = "DS可否")
    private String dsFlag;

    @ApiModelProperty(value = "热处理模式")
    private String heatTreatMode;

    @ApiModelProperty(value = "保温温度上限值1")
    private Long keepTempMax1;

    @ApiModelProperty(value = "保温温度下限值1")
    private Long keepTempMin1;

    @ApiModelProperty(value = "保温温度上限值2")
    private Long keepTempMax2;

    @ApiModelProperty(value = "保温温度下限值2")
    private Long keepTempMin2;

    @ApiModelProperty(value = "保温温度上限值3")
    private Long keepTempMax3;

    @ApiModelProperty(value = "保温温度下限值3")
    private Long keepTempMin3;

    @ApiModelProperty(value = "保温温度上限值4")
    private Long keepTempMax4;

    @ApiModelProperty(value = "保温温度下限值4")
    private Long keepTempMin4;

    @ApiModelProperty(value = "保温温度上限值5")
    private Long keepTempMax5;

    @ApiModelProperty(value = "保温温度下限值5")
    private Long keepTempMin5;

    @ApiModelProperty(value = "保温温度上限值6")
    private Long keepTempMax6;

    @ApiModelProperty(value = "保温温度下限值6")
    private Long keepTempMin6;

    @ApiModelProperty(value = "回火温度上限1")
    private Long backfireMax1;

    @ApiModelProperty(value = "回火温度下限1")
    private Long backfireMin1;

    @ApiModelProperty(value = "回火温度上限2")
    private Long backfireMax2;

    @ApiModelProperty(value = "回火温度下限2")
    private Long backfireMin2;

    @ApiModelProperty(value = "回火温度上限3")
    private Long backfireMax3;

    @ApiModelProperty(value = "回火温度下限3")
    private Long backfireMin3;

    @ApiModelProperty(value = "回火温度上限4")
    private Long backfireMax4;

    @ApiModelProperty(value = "回火温度下限4")
    private Long backfireMin4;

    @ApiModelProperty(value = "回火温度上限5")
    private Long backfireMax5;

    @ApiModelProperty(value = "回火温度下限5")
    private Long backfireMin5;

    @ApiModelProperty(value = "回火温度上限6")
    private Long backfireMax6;

    @ApiModelProperty(value = "回火温度下限6")
    private Long backfireMin6;

    @ApiModelProperty(value = "淬火前切割宽度")
    private Long widthBeforeQn;

    @ApiModelProperty(value = "淬火前切割长度")
    private Long lenBeforeQn;

    @ApiModelProperty(value = "厚板切头分类")
    private String cropTypeHp;

    @ApiModelProperty(value = "好面朝向代码")
    private String betterSurfWardCode;

    @ApiModelProperty(value = "探伤方式代码")
    private String ultDetectMethodCode;

    @ApiModelProperty(value = "超声探伤代码")
    private String ultCode;

    @ApiModelProperty(value = "紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty("超声探伤扫查模式代码")
    private String utCheckCode;

    @ApiModelProperty("超声探伤时期代码")
    private String utPdCode;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}

