package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


/**
 * 粗切位置决定基准表(PmCutPlaceBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 08:40:38
 */

@Getter
@Setter
@ApiModel("粗切位置决定基准表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_CUT_PLACE_BT")
public class PmCutPlaceBt extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -28171842739980644L;

    public static final String FIELD_PCPB_ID = "pcpbId";
    public static final String FIELD_FORM_PLATE_MODE_FIRST = "formPlateModeFirst";
    public static final String FIELD_PLATE_THICK_FROM = "plateThickFrom";
    public static final String FIELD_PLATE_THICK_TO = "plateThickTo";
    public static final String FIELD_NORMAL_CUT_LEN_FROM = "normalCutLenFrom";
    public static final String FIELD_NORMAL_CUT_LEN_TO = "normalCutLenTo";
    public static final String FIELD_QT_CUT_LEN_FROM = "qtCutLenFrom";
    public static final String FIELD_QT_CUT_LEN_TO = "qtCutLenTo";
    public static final String FIELD_UNQT__CUT_LEN_FROM = "unqt_CutLenFrom";
    public static final String FIELD_UNQT_CUT_LEN_TO = "unqtCutLenTo";
    public static final String FIELD_ROLL_LINE_NO = "rollLineNo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long pcpbId;

    @ApiModelProperty(value = "组板方式首位", required = true)
    @NotBlank
    private String formPlateModeFirst;

    @ApiModelProperty(value = "钢板厚度起", required = true)
    @NotNull
    private BigDecimal plateThickFrom;

    @ApiModelProperty(value = "钢板厚度止", required = true)
    @NotNull
    private BigDecimal plateThickTo;

    @ApiModelProperty(value = "一般材粗切长度起", required = true)
    @NotNull
    private BigDecimal normalCutLenFrom;

    @ApiModelProperty(value = "一般材粗切长度止", required = true)
    @NotNull
    private BigDecimal normalCutLenTo;

    @ApiModelProperty(value = "QT材粗切长度起", required = true)
    @NotNull
    private BigDecimal qtCutLenFrom;

    @ApiModelProperty(value = "QT材粗切长度止", required = true)
    @NotNull
    private BigDecimal qtCutLenTo;

    @ApiModelProperty(value = "非QT材粗切长度起", required = true)
    @NotNull
    private BigDecimal unqtCutLenFrom;

    @ApiModelProperty(value = "非QT材粗切长度止", required = true)
    @NotNull
    private BigDecimal unqtCutLenTo;

    @ApiModelProperty(value = "轧制产线号", required = true)
    @NotBlank
    private String rollLineNo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
