package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;


/**
 * 热处理炉基准规格表履历表(PmHeatTreatFurnaceBtTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 12:25:00
 */

@Getter
@Setter
@ApiModel("热处理炉基准规格表履历表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_HEAT_TREAT_FURNACE_BT_TRA")
public class PmHeatTreatFurnaceBtTra extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -87214342841992939L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_PHTFB_ID = "phtfbId";
    public static final String FIELD_HEAT_TREAT_FURNACE_NO = "heatTreatFurnaceNo";
    public static final String FIELD_HEAT_TREAT_LEN_FROM = "heatTreatLenFrom";
    public static final String FIELD_HEAT_TREAT_LEN_TO = "heatTreatLenTo";
    public static final String FIELD_HEAT_TREAT_WIDTH_FROM = "heatTreatWidthFrom";
    public static final String FIELD_HEAT_TREAT_WIDTH_TO = "heatTreatWidthTo";
    public static final String FIELD_HEAT_TREAT_WT = "heatTreatWt";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull
    private Long phtfbId;

    @ApiModelProperty(value = "热处理炉号", required = true)
    @NotNull
    private String heatTreatFurnaceNo;

    @ApiModelProperty(value = "热处理长度下限", required = true)
    @NotNull
    private Long heatTreatLenFrom;

    @ApiModelProperty(value = "热处理长度上限", required = true)
    @NotNull
    private Long heatTreatLenTo;

    @ApiModelProperty(value = "热处理宽度下限", required = true)
    @NotNull
    private Long heatTreatWidthFrom;

    @ApiModelProperty(value = "热处理宽度上限", required = true)
    @NotNull
    private Long heatTreatWidthTo;

    @ApiModelProperty(value = "热处理重量", required = true)
    @NotNull
    private Long heatTreatWt;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
