package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 组炉默认热处理去向配置表履历表(PmHotConfigTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-29 16:13:26
 */

@Getter
@Setter
@ApiModel("组炉默认热处理去向配置表履历表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_HOT_CONFIG_TRA")
public class PmHotConfigTra extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 238879235070675241L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_ID = "id";
    public static final String FIELD_HEAT_TREAT_MODE = "heatTreatMode";
    public static final String FIELD_DEFAULT_DEST = "defaultDest";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_PLATE_THICK_FROM = "plateThickFrom";
    public static final String FIELD_PLATE_THICK_TO = "plateThickTo";
    public static final String FIELD_PLATE_WID_FROM = "plateWidFrom";
    public static final String FIELD_PLATE_WID_TO = "plateWidTo";
    public static final String FIELD_PLATE_LEN_FROM = "plateLenFrom";
    public static final String FIELD_PLATE_LEN_TO = "plateLenTo";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "${column.comment}", required = true)
    @NotNull
    private Long id;

    @ApiModelProperty(value = "热处理模式")
    private String heatTreatMode;

    @ApiModelProperty(value = "默认去向")
    private String defaultDest;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "钢板厚度起")
    private BigDecimal plateThickFrom;

    @ApiModelProperty(value = "钢板厚度止")
    private BigDecimal plateThickTo;

    @ApiModelProperty(value = "钢板宽度起")
    private BigDecimal plateWidFrom;

    @ApiModelProperty(value = "钢板宽度止")
    private BigDecimal plateWidTo;

    @ApiModelProperty(value = "钢板长度起")
    private BigDecimal plateLenFrom;

    @ApiModelProperty(value = "钢板长度止")
    private BigDecimal plateLenTo;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;


}
