package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 炼钢炉次计划热处理去向表(PmTpssmHot)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-19 14:48:28
 */

@Getter
@Setter
@ApiModel("炼钢炉次计划热处理去向表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_HOT_DEST")
public class PmHotDest extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -63395120717199884L;

    public static final String FIELD_ID = "id";
    public static final String FIELD_PONO = "pono";
    public static final String FIELD_HOT_MODE = "hotMode";
    public static final String FIELD_DEFAULT_DEST = "defaultDest";
    public static final String FIELD_STATUS = "status";
    public static final String FIELD_INS_FLAG = "insFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @Id
    @GeneratedValue
    private Long id;

    @ApiModelProperty(value = "制造命令号")
    private String pono;

    @ApiModelProperty(value = "热处理模式")
    private String hotMode;

    @ApiModelProperty(value = "默认热处理去向")
    private String defaultDest;

    @ApiModelProperty(value = "热处理去向状态")
    private String status;

    @ApiModelProperty(value = "插入标记")
    private String insFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
