package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 锭坯型基表(PmIngotTypeBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-29 14:54:09
 */

@Getter
@Setter
@ApiModel("锭坯型基表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_INGOT_TYPE_BT")
public class PmIngotTypeBt extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 292121740660423480L;

    public static final String FIELD_PITB_ID = "pitbId";
    public static final String FIELD_INGOT_TYPE = "ingotType";
    public static final String FIELD_INGOT_LEN = "ingotLen";
    public static final String FIELD_INGOT_WT = "ingotWt";
    public static final String FIELD_INGOT_HEAD_THICK = "ingotHeadThick";
    public static final String FIELD_INGOT_HEAD_WIDTH = "ingotHeadWidth";
    public static final String FIELD_INGOT_BOTT_THICK = "ingotBottThick";
    public static final String FIELD_INGOT_BOTT_WIDTH = "ingotBottWidth";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long pitbId;

    @ApiModelProperty(value = "锭坯型", required = true)
    @NotBlank
    private String ingotType;

    @ApiModelProperty(value = "钢锭长度", required = true)
    @NotNull
    private BigDecimal ingotLen;

    @ApiModelProperty(value = "钢锭重量", required = true)
    @NotNull
    private BigDecimal ingotWt;

    @ApiModelProperty(value = "头部厚度")
    private BigDecimal ingotHeadThick;

    @ApiModelProperty(value = "头部宽度")
    private BigDecimal ingotHeadWidth;

    @ApiModelProperty(value = "尾部厚度")
    private BigDecimal ingotBottThick;

    @ApiModelProperty(value = "尾部宽度")
    private BigDecimal ingotBottWidth;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
