package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 低碳钢坯加余量基准表(PmMidSlabAddvBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-25 15:18:47
 */

@Getter
@Setter
@ApiModel("低碳钢坯加余量基准表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_MID_SLAB_ADDV_BT")
public class PmMidSlabAddvBt extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 196728098315849091L;

    public static final String FIELD_PMSAB_ID = "pmsabId";
    public static final String FIELD_ROLL_LINE_NO = "rollLineNo";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_PLATE_THICK_FROM = "plateThickFrom";
    public static final String FIELD_PLATE_THICK_TO = "plateThickTo";
    public static final String FIELD_LEN_WIDTH_DIFF = "lenWidthDiff";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_START_ROLL_TEMP2_AIM = "startRollTemp2Aim";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long pmsabId;

    @ApiModelProperty(value = "轧制产线号", required = true)
    @NotBlank
    private String rollLineNo;

    @ApiModelProperty(value = "内部钢种", required = true)
    @NotBlank
    private String stNo;

    @ApiModelProperty(value = "标准牌号", required = true)
    @NotBlank
    private String sgSign;

    @ApiModelProperty(value = "钢板厚度起")
    private BigDecimal plateThickFrom;

    @ApiModelProperty(value = "钢板厚度止")
    private BigDecimal plateThickTo;

    @ApiModelProperty(value = "允许长宽差")
    private BigDecimal lenWidthDiff;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "精轧开轧温度（取质量二阶段开轧温度，借用开始轧制温度字段，小于等于）")
    private String startRollTemp2Aim;


}
