package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


/**
 * 最小轧制厚度公差范围基准表(PmMinThickTolBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 11:11:38
 */

@Getter
@Setter
@ApiModel("最小轧制厚度公差范围基准表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_MIN_THICK_TOL_BT")
public class PmMinThickTolBt extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 361558485766077325L;

    public static final String FIELD_PMTTB_ID = "pmttbId";
    public static final String FIELD_PLATE_THICK_FROM = "plateThickFrom";
    public static final String FIELD_PLATE_THICK_TO = "plateThickTo";
    public static final String FIELD_MIN_THICK_TOL = "minThickTol";
    public static final String FIELD_ROLL_LINE_NO = "rollLineNo";
    public static final String FIELD_TENANT_ID = "tenantId";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long pmttbId;

    @ApiModelProperty(value = "钢板厚度起", required = true)
    @NotNull
    private BigDecimal plateThickFrom;

    @ApiModelProperty(value = "钢板厚度止", required = true)
    @NotNull
    private BigDecimal plateThickTo;

    @ApiModelProperty(value = "最小公差交集", required = true)
    @NotNull
    private BigDecimal minThickTol;

    @ApiModelProperty(value = "轧制产线号", required = true)
    @NotBlank
    private String rollLineNo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;


}
