package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 结晶器规格基准表-履历表(PmMoldSpecBtTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-22 15:25:00
 */

@Getter
@Setter
@ApiModel("结晶器规格基准表-履历表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_MOLD_SPEC_BT_TRA")
public class PmMoldSpecBtTra extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 591898951026536794L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_PMSB_ID = "pmsbId";
    public static final String FIELD_CC_TYPE = "ccType";
    public static final String FIELD_CC_DESC = "ccDesc";
    public static final String FIELD_CAST_THICK = "castThick";
    public static final String FIELD_CAST_WIDTH = "castWidth";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull
    private Long pmsbId;

    @ApiModelProperty(value = "连铸机类型", required = true)
    @NotBlank
    private String ccType;

    @ApiModelProperty(value = "连铸机描述", required = true)
    @NotBlank
    private String ccDesc;

    @ApiModelProperty(value = "铸造厚", required = true)
    @NotNull
    private BigDecimal castThick;

    @ApiModelProperty(value = "铸造宽", required = true)
    @NotNull
    private BigDecimal castWidth;

    @ApiModelProperty(value = "设计产线号", required = true)
    @NotBlank
    private String mscLineNo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
