package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


/**
 * 组板常数基准表履历表(PmPdConstBtTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:08:42
 */

@Getter
@Setter
@ApiModel("组板常数基准表履历表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PD_CONST_BT_TRA")
public class PmPdConstBtTra extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -16115164118728459L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_PPCB_ID = "ppcbId";
    public static final String FIELD_ROLL_LINE_NO = "rollLineNo";
    public static final String FIELD_MAX_TURN_LEN = "maxTurnLen";
    public static final String FIELD_MIN_FOMR_PRESS_DOWN = "minFomrPressDown";
    public static final String FIELD_COOL_BOX_MAX_LEN = "coolBoxMaxLen";
    public static final String FIELD_SLAB_CUT_GAP = "slabCutGap";
    public static final String FIELD_MIN_THICK_FORM_MAS = "minThickFormMas";
    public static final String FIELD_MIN_THICK_BROAD_MAS = "minThickBroadMas";
    public static final String FIELD_MIN_BROAD_RATIO_MAS = "minBroadRatioMas";
    public static final String FIELD_MIN_P_THICK_EDGER = "minPThickEdger";
    public static final String FIELD_MAX_P_THICK_EDGER = "maxPThickEdger";
    public static final String FIELD_MAX_P_WIDTH_EDGER = "maxPWidthEdger";
    public static final String FIELD_MIN_P_WIDTH_EDGER = "minPWidthEdger";
    public static final String FIELD_MIN_S_THICK_EDGER = "minSThickEdger";
    public static final String FIELD_MAX_S_THICK_EDGER = "maxSThickEdger";
    public static final String FIELD_MAX_S_WIDTH_EDGER = "maxSWidthEdger";
    public static final String FIELD_MIN_S_WIDTH_EDGER = "minSWidthEdger";
    public static final String FIELD_MAX_THIN_P_THICK_NOEDGER = "maxThinPThickNoedger";
    public static final String FIELD_SLAB_LEN_RS0_RS1 = "slabLenRs0Rs1";
    public static final String FIELD_HPM_MIN_P_LEN = "hpmMinPLen";
    public static final String FIELD_HPM_MAX_P_LEN = "hpmMaxPLen";
    public static final String FIELD_HPM_MIN_P_WIDTH = "hpmMinPWidth";
    public static final String FIELD_HPM_MAX_P_WIDTH = "hpmMaxPWidth";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull
    private Long ppcbId;

    @ApiModelProperty(value = "轧制产线号", required = true)
    @NotBlank
    private String rollLineNo;

    @ApiModelProperty(value = "厚板回转可能最大长度", required = true)
    private BigDecimal maxTurnLen;

    @ApiModelProperty(value = "最小成形量", required = true)
    @NotNull
    private BigDecimal minFomrPressDown;

    @ApiModelProperty(value = "进缓冷坑钢板最大长度", required = true)
    @NotNull
    private BigDecimal coolBoxMaxLen;

    @ApiModelProperty(value = "长板坯充当短板坯之间切缝宽度", required = true)
    @NotNull
    private BigDecimal slabCutGap;

    @ApiModelProperty(value = "成形MAS适用钢板最小厚度", required = true)
    @NotNull
    private BigDecimal minThickFormMas;

    @ApiModelProperty(value = "展宽MAS适用钢板最小厚度", required = true)
    @NotNull
    private BigDecimal minThickBroadMas;

    @ApiModelProperty(value = "展宽MAS适用最小展宽比", required = true)
    @NotNull
    private BigDecimal minBroadRatioMas;

    @ApiModelProperty(value = "立辊轧机适用钢板最小厚度", required = true)
    @NotNull
    private BigDecimal minPThickEdger;

    @ApiModelProperty(value = "立辊轧机适用钢板最大厚度", required = true)
    @NotNull
    private BigDecimal maxPThickEdger;

    @ApiModelProperty(value = "立辊轧机适用钢板最大宽度", required = true)
    @NotNull
    private BigDecimal maxPWidthEdger;

    @ApiModelProperty(value = "立辊轧机适用钢板最小宽度", required = true)
    @NotNull
    private BigDecimal minPWidthEdger;

    @ApiModelProperty(value = "立辊轧机适用板坯最小厚度", required = true)
    @NotNull
    private BigDecimal minSThickEdger;

    @ApiModelProperty(value = "立辊轧机适用板坯最大厚度", required = true)
    @NotNull
    private BigDecimal maxSThickEdger;

    @ApiModelProperty(value = "立辊轧机适用板坯最大宽度", required = true)
    @NotNull
    private BigDecimal maxSWidthEdger;

    @ApiModelProperty(value = "立辊轧机适用板坯最小宽度", required = true)
    @NotNull
    private BigDecimal minSWidthEdger;

    @ApiModelProperty(value = "立辊轧机不适用薄材最大厚度", required = true)
    @NotNull
    private BigDecimal maxThinPThickNoedger;

    @ApiModelProperty(value = "RS0与RS1分界的板坯长度常数", required = true)
    private BigDecimal slabLenRs0Rs1;

    @ApiModelProperty(value = "厚板设备限制轧制大板最小长度", required = true)
    @NotNull
    private BigDecimal hpmMinPLen;

    @ApiModelProperty(value = "厚板设备限制轧制大板最大长度", required = true)
    @NotNull
    private BigDecimal hpmMaxPLen;

    @ApiModelProperty(value = "厚板设备限制轧制大板最小宽度", required = true)
    @NotNull
    private BigDecimal hpmMinPWidth;

    @ApiModelProperty(value = "厚板设备限制轧制大板最大宽度", required = true)
    @NotNull
    private BigDecimal hpmMaxPWidth;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
