package com.xisc.pm.domain.entity;

import java.math.BigDecimal;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 大板粗切位置表
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-02 08:02:38
 */
@Setter
@Getter
@ApiModel("大板粗切位置表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PD_PLATE_CUT")
public class PmPdPlateCut extends AuditDomain {

    public static final String FIELD_CUT_ID = "cutId";
    public static final String FIELD_PD_MAT_NO = "pdMatNo";
    public static final String FIELD_CUT_TYPE = "cutType";
    public static final String FIELD_POSITION_TYPE = "positionType";
    public static final String FIELD_POSITION_SEQ = "positionSeq";
    public static final String FIELD_CUT_LENGTH = "cutLength";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_OBJECT_VERSION_NUMBER = "objectVersionNumber";
    public static final String FIELD_CREATION_DATE = "creationDate";
    public static final String FIELD_CREATED_BY = "createdBy";
    public static final String FIELD_LAST_UPDATED_BY = "lastUpdatedBy";
    public static final String FIELD_LAST_UPDATE_DATE = "lastUpdateDate";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

//
// 业务方法(按public protected private顺序排列)
// ------------------------------------------------------------------------------

//
// 数据库字段
// ------------------------------------------------------------------------------

    @ApiModelProperty("表ID，主键")
    @Id
    @GeneratedValue
    private Long cutId;
    @ApiModelProperty(value = "组板材料号", required = true)
    @NotBlank
    private String pdMatNo;
    @ApiModelProperty(value = "粗切类型（M:搬送用；D:异宽用；P：命令用；H：热分切用）")
    private String cutType;
    @ApiModelProperty(value = "粗切位置（F:固定侧，M:移动侧）")
    private String positionType;
    @ApiModelProperty(value = "位置序号")
    private Long positionSeq;
    @ApiModelProperty(value = "大板粗切长度")
    private BigDecimal cutLength;
    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;
    @ApiModelProperty(value = "行版本号，用来处理锁", required = true)
    @NotNull
    private Long objectVersionNumber;
    @ApiModelProperty(value = "")
    private String attribute1;
    @ApiModelProperty(value = "")
    private String attribute2;
    @ApiModelProperty(value = "")
    private String attribute3;
    @ApiModelProperty(value = "")
    private String attribute4;
    @ApiModelProperty(value = "")
    private String attribute5;

}
