package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 组板板坯表-履历表(PmPdSlabTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 11:12:46
 */

@Getter
@Setter
@ApiModel("组板板坯表-履历表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PD_SLAB_TRA")
public class PmPdSlabTra extends AuditDomain {
    private static final long serialVersionUID = 319207188443567051L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_PM_PD_SLAB_TRA_ID = "pmPdSlabTraId";
    public static final String FIELD_VIRTUAL_SLAB_NO = "virtualSlabNo";
    public static final String FIELD_MAT_DESIGN_KIND = "matDesignKind";
    public static final String FIELD_SLAB_NO = "slabNo";
    public static final String FIELD_PONO = "pono";
    public static final String FIELD_SLAB_DIV_NO = "slabDivNo";
    public static final String FIELD_PD_STATUS_HP = "pdStatusHp";
    public static final String FIELD_PD_RESP = "pdResp";
    public static final String FIELD_FORM_PLATE_MODE = "formPlateMode";
    public static final String FIELD_PICK_MODE_LEN_DIR = "pickModeLenDir";
    public static final String FIELD_PICK_MODE_WID_DIR = "pickModeWidDir";
    public static final String FIELD_FUR_TYPE = "furType";
    public static final String FIELD_IG_MAT_DESIGN_KIND = "igMatDesignKind";
    public static final String FIELD_INGOT_TYPE = "ingotType";
    public static final String FIELD_AUTO_MANUAL_FLAG = "autoManualFlag";
    public static final String FIELD_ORDER_REMAIN_DIV = "orderRemainDiv";
    public static final String FIELD_CAN_DEL_FLAG = "canDelFlag";
    public static final String FIELD_ORDER_NUM_IN_PLATE = "orderNumInPlate";
    public static final String FIELD_TOT_SMALL_PLATE_NUM = "totSmallPlateNum";
    public static final String FIELD_AD_TYPE_CODE = "adTypeCode";
    public static final String FIELD_AD_MODE_CODE = "adModeCode";
    public static final String FIELD_ULT_CODE = "ultCode";
    public static final String FIELD_ULT_DETECT_METHOD_CODE = "ultDetectMethodCode";
    public static final String FIELD_COOL_CODE = "coolCode";
    public static final String FIELD_CTRL_ROLL_CODE = "ctrlRollCode";
    public static final String FIELD_WITH_SIDE_FLAG = "withSideFlag";
    public static final String FIELD_CUT_MODE_CODE = "cutModeCode";
    public static final String FIELD_HEAD_CUT = "headCut";
    public static final String FIELD_TAIL_CUT = "tailCut";
    public static final String FIELD_URG_ORDER_FLAG = "urgOrderFlag";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_ST_NO1 = "stNo1";
    public static final String FIELD_ST_NO2 = "stNo2";
    public static final String FIELD_ST_NO3 = "stNo3";
    public static final String FIELD_ST_NO4 = "stNo4";
    public static final String FIELD_ST_NO5 = "stNo5";
    public static final String FIELD_ST_NO6 = "stNo6";
    public static final String FIELD_ST_NO7 = "stNo7";
    public static final String FIELD_ST_NO8 = "stNo8";
    public static final String FIELD_ST_NO9 = "stNo9";
    public static final String FIELD_OUT_SG_NO = "outSgNo";
    public static final String FIELD_SG_DECIDE_TIME = "sgDecideTime";
    public static final String FIELD_TWO_ROLL_INTERIM_FLAG = "twoRollInterimFlag";
    public static final String FIELD_PRE_CLEAN_SLAB_THICK = "preCleanSlabThick";
    public static final String FIELD_PRE_CLEAN_SLAB_WIDTH = "preCleanSlabWidth";
    public static final String FIELD_PRE_CLEAN_SLAB_LEN = "preCleanSlabLen";
    public static final String FIELD_PRE_CLEAN_SLAB_MAX_LEN = "preCleanSlabMaxLen";
    public static final String FIELD_PRE_CLEAN_SLAB_MIN_LEN = "preCleanSlabMinLen";
    public static final String FIELD_PRE_CLEAN_SLAB_WT = "preCleanSlabWt";
    public static final String FIELD_PRE_CLEAN_SLAB_MAX_WT = "preCleanSlabMaxWt";
    public static final String FIELD_PRE_CLEAN_SLAB_MIN_WT = "preCleanSlabMinWt";
    public static final String FIELD_INFUR_SLAB_THICK = "infurSlabThick";
    public static final String FIELD_INFUR_SLAB_WID = "infurSlabWid";
    public static final String FIELD_INFUR_SLAB_LEN = "infurSlabLen";
    public static final String FIELD_INFUR_SLAB_MAX_LEN = "infurSlabMaxLen";
    public static final String FIELD_INFUR_SLAB_MIN_LEN = "infurSlabMinLen";
    public static final String FIELD_INFUR_SLAB_WT = "infurSlabWt";
    public static final String FIELD_INFUR_SLAB_MAX_WT = "infurSlabMaxWt";
    public static final String FIELD_INFUR_SLAB_MIN_WT = "infurSlabMinWt";
    public static final String FIELD_NEED_SLAB_LEN = "needSlabLen";
    public static final String FIELD_NEED_SLAB_WT = "needSlabWt";
    public static final String FIELD_FIX_SLAB_LEN_FLAG = "fixSlabLenFlag";
    public static final String FIELD_FIX_SLAB_LEN = "fixSlabLen";
    public static final String FIELD_SLAB_CLEAN_WT_LOSS_RATE_ST = "slabCleanWtLossRateSt";
    public static final String FIELD_SLAB_CLEAN_WT_LOSS_RATE_FR = "slabCleanWtLossRateFr";
    public static final String FIELD_HP_FLAME_CLEAN_DIV = "hpFlameCleanDiv";
    public static final String FIELD_SLAB_FINISH_CODE = "slabFinishCode";
    public static final String FIELD_SLAB_PLACE_CODE = "slabPlaceCode";
    public static final String FIELD_ROLL_AIM_THICK = "rollAimThick";
    public static final String FIELD_ROLL_AIM_WIDTH = "rollAimWidth";
    public static final String FIELD_ROLL_AIM_LEN = "rollAimLen";
    public static final String FIELD_ORDER_THICK_AXIS = "orderThickAxis";
    public static final String FIELD_COMBINE_PLATE_WIDTH = "combinePlateWidth";
    public static final String FIELD_COMBINE_PLATE_LEN = "combinePlateLen";
    public static final String FIELD_ROLL_WT_HP = "rollWtHp";
    public static final String FIELD_ROLL_THICK_TOL_MAX = "rollThickTolMax";
    public static final String FIELD_ROLL_THICK_TOL_MIN = "rollThickTolMin";
    public static final String FIELD_NORM_YIELD = "normYield";
    public static final String FIELD_COMMAND_YIELD = "commandYield";
    public static final String FIELD_ROLL_YIELD = "rollYield";
    public static final String FIELD_EDGER_USE_FLAG = "edgerUseFlag";
    public static final String FIELD_BROAD_MAS_USE_FLAG = "broadMasUseFlag";
    public static final String FIELD_FORM_MAS_USE_FLAG = "formMasUseFlag";
    public static final String FIELD_ROLL_DIRECT_CODE = "rollDirectCode";
    public static final String FIELD_SAMPLE_LEN_HEAD = "sampleLenHead";
    public static final String FIELD_SAMPLE_LEN_TAIL = "sampleLenTail";
    public static final String FIELD_SAMPLE_LEN_MID = "sampleLenMid";
    public static final String FIELD_RS_CODE = "rsCode";
    public static final String FIELD_BROAD_FLAG = "broadFlag";
    public static final String FIELD_ORDER_NO_AXIS = "orderNoAxis";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_LAST_SLAB_FLAG = "lastSlabFlag";
    public static final String FIELD_ADD_SLAB_FLAG = "addSlabFlag";
    public static final String FIELD_SHP_CODE = "shpCode";
    public static final String FIELD_TAPER_ROLL_THICK1 = "taperRollThick1";
    public static final String FIELD_TAPER_ROLL_THICK_MAX1 = "taperRollThickMax1";
    public static final String FIELD_TAPER_ROLL_THICK_MIN1 = "taperRollThickMin1";
    public static final String FIELD_TAPER_ROLL_THICK2 = "taperRollThick2";
    public static final String FIELD_TAPER_ROLL_THICK_MAX2 = "taperRollThickMax2";
    public static final String FIELD_TAPER_ROLL_THICK_MIN2 = "taperRollThickMin2";
    public static final String FIELD_TAPER_ROLL_THICK3 = "taperRollThick3";
    public static final String FIELD_TAPER_ROLL_THICK_MAX3 = "taperRollThickMax3";
    public static final String FIELD_TAPER_ROLL_THICK_MIN3 = "taperRollThickMin3";
    public static final String FIELD_TAPER_ROLL_WIDTH = "taperRollWidth";
    public static final String FIELD_TAPER_ROLL_LEN1 = "taperRollLen1";
    public static final String FIELD_TAPER_ROLL_LEN2 = "taperRollLen2";
    public static final String FIELD_TAPER_ROLL_LEN3 = "taperRollLen3";
    public static final String FIELD_TAPER_ROLL_LEN4 = "taperRollLen4";
    public static final String FIELD_TAPER_ROLL_THICK4 = "taperRollThick4";
    public static final String FIELD_TAPER_ROLL_THICK_MAX4 = "taperRollThickMax4";
    public static final String FIELD_TAPER_ROLL_THICK_MIN4 = "taperRollThickMin4";
    public static final String FIELD_TAPER_ROLL_THICK5 = "taperRollThick5";
    public static final String FIELD_TAPER_ROLL_THICK_MAX5 = "taperRollThickMax5";
    public static final String FIELD_TAPER_ROLL_THICK_MIN5 = "taperRollThickMin5";
    public static final String FIELD_TAPER_ROLL_THICK6 = "taperRollThick6";
    public static final String FIELD_TAPER_ROLL_THICK_MAX6 = "taperRollThickMax6";
    public static final String FIELD_TAPER_ROLL_THICK_MIN6 = "taperRollThickMin6";
    public static final String FIELD_TAPER_ROLL_THICK7 = "taperRollThick7";
    public static final String FIELD_TAPER_ROLL_THICK_MAX7 = "taperRollThickMax7";
    public static final String FIELD_TAPER_ROLL_THICK_MIN7 = "taperRollThickMin7";
    public static final String FIELD_TAPER_ROLL_LEN6 = "taperRollLen6";
    public static final String FIELD_TAPER_ROLL_LEN7 = "taperRollLen7";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_TRANS_FLAG = "transFlag";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull
    private Long pmPdSlabTraId;

    @ApiModelProperty(value = "虚拟板坯号", required = true)
    @NotBlank
    private String virtualSlabNo;

    @ApiModelProperty(value = "材料设计种类")
    private String matDesignKind;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "制造命令号")
    private String pono;

    @ApiModelProperty(value = "板坯分割号")
    private Long slabDivNo;

    @ApiModelProperty(value = "厚板组板状态")
    private String pdStatusHp;

    @ApiModelProperty(value = "组板责任者")
    private String pdResp;

    @ApiModelProperty(value = "组板方式")
    private String formPlateMode;

    @ApiModelProperty(value = "取板方式_长度方向")
    private Long pickModeLenDir;

    @ApiModelProperty(value = "取板方式_宽度方向")
    private Long pickModeWidDir;

    @ApiModelProperty(value = "加热炉类型")
    private String furType;

    @ApiModelProperty(value = "钢锭材料设计种类")
    private String igMatDesignKind;

    @ApiModelProperty(value = "锭坯型", required = true)
    @NotBlank
    private String ingotType;

    @ApiModelProperty(value = "自动人工标记")
    private String autoManualFlag;

    @ApiModelProperty(value = "合同材/预备材区分")
    private String orderRemainDiv;

    @ApiModelProperty(value = "可否删除标记")
    private String canDelFlag;

    @ApiModelProperty(value = "板内合同个数")
    private Long orderNumInPlate;

    @ApiModelProperty(value = "大板内成品小板总块数")
    private Long totSmallPlateNum;

    @ApiModelProperty(value = "AD类型代码")
    private String adTypeCode;

    @ApiModelProperty(value = "AD控制模式代码")
    private String adModeCode;

    @ApiModelProperty(value = "超声探伤代码")
    private String ultCode;

    @ApiModelProperty(value = "探伤方式代码")
    private String ultDetectMethodCode;

    @ApiModelProperty(value = "钢板缓冷代码")
    private String coolCode;

    @ApiModelProperty(value = "控轧代码")
    private String ctrlRollCode;

    @ApiModelProperty(value = "毛边切边标记")
    private String withSideFlag;

    @ApiModelProperty(value = "切断方式代码")
    private String cutModeCode;

    @ApiModelProperty(value = "头部切舍量")
    private Long headCut;

    @ApiModelProperty(value = "尾部切舍量")
    private Long tailCut;

    @ApiModelProperty(value = "紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty(value = "牌号（钢级）")
    private String sgSign;

    @ApiModelProperty(value = "出钢记号")
    private String stNo;

    @ApiModelProperty(value = "副出钢记号1")
    private String stNo1;

    @ApiModelProperty(value = "副出钢记号2")
    private String stNo2;

    @ApiModelProperty(value = "副出钢记号3")
    private String stNo3;

    @ApiModelProperty(value = "副出钢记号4")
    private String stNo4;

    @ApiModelProperty(value = "副出钢记号5")
    private String stNo5;

    @ApiModelProperty(value = "副出钢记号6")
    private String stNo6;

    @ApiModelProperty(value = "副出钢记号7")
    private String stNo7;

    @ApiModelProperty(value = "副出钢记号8")
    private String stNo8;

    @ApiModelProperty(value = "副出钢记号9")
    private String stNo9;

    @ApiModelProperty(value = "输出出钢记号")
    private String outSgNo;

    @ApiModelProperty(value = "出钢记号决定时间")
    private Date sgDecideTime;

    @ApiModelProperty(value = "二次开坯标记", required = true)
    @NotNull
    private Long twoRollInterimFlag;

    @ApiModelProperty(value = "清理前板坯厚度")
    private Long preCleanSlabThick;

    @ApiModelProperty(value = "清理前板坯宽度")
    private Long preCleanSlabWidth;

    @ApiModelProperty(value = "清理前板坯长度")
    private Long preCleanSlabLen;

    @ApiModelProperty(value = "清理前板坯最大长度")
    private Long preCleanSlabMaxLen;

    @ApiModelProperty(value = "清理前板坯最小长度")
    private Long preCleanSlabMinLen;

    @ApiModelProperty(value = "清理前板坯重量")
    private Long preCleanSlabWt;

    @ApiModelProperty(value = "清理前板坯最大重量")
    private Long preCleanSlabMaxWt;

    @ApiModelProperty(value = "清理前板坯最小重量")
    private Long preCleanSlabMinWt;

    @ApiModelProperty(value = "进加热炉板坯厚度")
    private Long infurSlabThick;

    @ApiModelProperty(value = "进加热炉板坯宽度")
    private Long infurSlabWid;

    @ApiModelProperty(value = "进加热炉板坯长度")
    private Long infurSlabLen;

    @ApiModelProperty(value = "进加热炉板坯最大长度")
    private Long infurSlabMaxLen;

    @ApiModelProperty(value = "进加热炉板坯最小长度")
    private Long infurSlabMinLen;

    @ApiModelProperty(value = "进加热炉板坯重量")
    private Long infurSlabWt;

    @ApiModelProperty(value = "进加热炉板坯最大重量")
    private Long infurSlabMaxWt;

    @ApiModelProperty(value = "进加热炉板坯最小重量")
    private Long infurSlabMinWt;

    @ApiModelProperty(value = "必要板坯长度")
    private Long needSlabLen;

    @ApiModelProperty(value = "必要板坯重量")
    private Long needSlabWt;

    @ApiModelProperty(value = "固定板坯长度标记")
    private Long fixSlabLenFlag;

    @ApiModelProperty(value = "固定板坯长度")
    private Long fixSlabLen;

    @ApiModelProperty(value = "板坯清理重量减少率_静态表")
    private Long slabCleanWtLossRateSt;

    @ApiModelProperty(value = "板坯清理重量减少率_画面")
    private Long slabCleanWtLossRateFr;

    @ApiModelProperty(value = "厚板板坯火焰清理区分")
    private String hpFlameCleanDiv;

    @ApiModelProperty(value = "板坯精整基准代码")
    private String slabFinishCode;

    @ApiModelProperty(value = "板坯位置代码")
    private String slabPlaceCode;

    @ApiModelProperty(value = "轧制目标厚度")
    private Long rollAimThick;

    @ApiModelProperty(value = "轧制目标宽度")
    private Long rollAimWidth;

    @ApiModelProperty(value = "轧制目标长度")
    private Long rollAimLen;

    @ApiModelProperty(value = "轴合同订货厚度")
    private Long orderThickAxis;

    @ApiModelProperty(value = "组合板宽度")
    private Long combinePlateWidth;

    @ApiModelProperty(value = "组合板长度")
    private Long combinePlateLen;

    @ApiModelProperty(value = "厚板轧制重量")
    private Long rollWtHp;

    @ApiModelProperty(value = "轧制厚度公差上限")
    private Long rollThickTolMax;

    @ApiModelProperty(value = "轧制厚度公差下限")
    private Long rollThickTolMin;

    @ApiModelProperty(value = "基准收得率")
    private Long normYield;

    @ApiModelProperty(value = "命令收得率")
    private Long commandYield;

    @ApiModelProperty(value = "轧制收得率")
    private Long rollYield;

    @ApiModelProperty(value = "立辊使用标记")
    private String edgerUseFlag;

    @ApiModelProperty(value = "展宽MAS使用标记")
    private String broadMasUseFlag;

    @ApiModelProperty(value = "成形MAS使用标记")
    private String formMasUseFlag;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ApiModelProperty(value = "头部试材长度")
    private Long sampleLenHead;

    @ApiModelProperty(value = "尾部试材长度")
    private Long sampleLenTail;

    @ApiModelProperty(value = "中部试材长度")
    private Long sampleLenMid;

    @ApiModelProperty(value = "RS代码")
    private String rsCode;

    @ApiModelProperty(value = "展宽标记")
    private String broadFlag;

    @ApiModelProperty(value = "轴合同号")
    private String orderNoAxis;

    @ApiModelProperty(value = "产线号", required = true)
    @NotBlank
    private String mscLineNo;

    @ApiModelProperty(value = "最后短板坯标记")
    private Long lastSlabFlag;

    @ApiModelProperty(value = "附加板坯标记")
    private String addSlabFlag;

    @ApiModelProperty(value = "钢板形状代码")
    private String shpCode;

    @ApiModelProperty(value = "特殊形状板轧制厚度1")
    private Long taperRollThick1;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限1")
    private Long taperRollThickMax1;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限1")
    private Long taperRollThickMin1;

    @ApiModelProperty(value = "特殊形状板轧制厚度2")
    private Long taperRollThick2;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限2")
    private Long taperRollThickMax2;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限2")
    private Long taperRollThickMin2;

    @ApiModelProperty(value = "特殊形状板轧制厚度3")
    private Long taperRollThick3;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限3")
    private Long taperRollThickMax3;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限3")
    private Long taperRollThickMin3;

    @ApiModelProperty(value = "特殊形状板轧制宽度")
    private Long taperRollWidth;

    @ApiModelProperty(value = "特殊形状板轧制长度1")
    private Long taperRollLen1;

    @ApiModelProperty(value = "特殊形状板轧制长度2")
    private Long taperRollLen2;

    @ApiModelProperty(value = "特殊形状板轧制长度3")
    private Long taperRollLen3;

    @ApiModelProperty(value = "特殊形状板轧制长度4")
    private Long taperRollLen4;

    @ApiModelProperty(value = "特殊形状板轧制厚度4")
    private Long taperRollThick4;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限4")
    private Long taperRollThickMax4;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限4")
    private Long taperRollThickMin4;

    @ApiModelProperty(value = "特殊形状板轧制厚度5")
    private Long taperRollThick5;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限5")
    private Long taperRollThickMax5;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限5")
    private Long taperRollThickMin5;

    @ApiModelProperty(value = "特殊形状板轧制厚度6")
    private Long taperRollThick6;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限6")
    private Long taperRollThickMax6;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限6")
    private Long taperRollThickMin6;

    @ApiModelProperty(value = "特殊形状板轧制厚度7")
    private Long taperRollThick7;

    @ApiModelProperty(value = "特殊形状板轧制厚度上限7")
    private Long taperRollThickMax7;

    @ApiModelProperty(value = "特殊形状板轧制厚度下限7")
    private Long taperRollThickMin7;

    @ApiModelProperty(value = "特殊形状板轧制长度6")
    private Long taperRollLen6;

    @ApiModelProperty(value = "特殊形状板轧制长度7")
    private Long taperRollLen7;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "转置标记")
    private Long transFlag;


}

