package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;


/**
 * 策略信息扩展表(PmPolicyAttr)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:43:55
 */

@Getter
@Setter
@ApiModel("策略信息扩展表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_POLICY_ATTR")
@Deprecated
public class PmPolicyAttr extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 936519978226818201L;

    public static final String FIELD_POLICY_ATTR_ID = "policyAttrId";
    public static final String FIELD_POLICY_ID = "policyId";
    public static final String FIELD_DELIVY_DATE_TO = "delivyDateTo";
    public static final String FIELD_CONTRACT_ALLOWANCE = "contractAllowance";
    public static final String FIELD_REMAINING_PRIORITY_FLAG = "remainingPriorityFlag";
    public static final String FIELD_REMAINING_CLEAR_FLAG = "remainingClearFlag";
    public static final String FIELD_SINGLE_YIELD = "singleYield";
    public static final String FIELD_A2_WID_DEVIATION = "a2WidDeviation";
    public static final String FIELD_OVERCAST_QTY = "overcastQty";
    public static final String FIELD_OVERCAST_DELIVY_DATE_TO = "overcastDelivyDateTo";
    public static final String FIELD_DESIGN_LENGTH_MAX = "designLengthMax";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("策略信息扩展ID")
    @Id
    @GeneratedValue
    private Long policyAttrId;

    @ApiModelProperty(value = "策略ID", required = true)
    @NotNull
    private Long policyId;

    @ApiModelProperty(value = "交货期止", required = true)
    @NotNull
    private Date delivyDateTo;

    @ApiModelProperty(value = "合约欠量", required = true)
    @NotNull
    private Long contractAllowance;

    @ApiModelProperty(value = "尾量优先标识", required = true)
    @NotNull
    private Long remainingPriorityFlag;

    @ApiModelProperty(value = "尾量清零标识")
    private Long remainingClearFlag;

    @ApiModelProperty(value = "单板收得率")
    private Long singleYield;

    @ApiModelProperty(value = "A2板型宽度偏差")
    private Long a2WidDeviation;

    @ApiModelProperty(value = "允许超投件数")
    private Long overcastQty;

    @ApiModelProperty(value = "允许超投交货期止")
    private Date overcastDelivyDateTo;

    @ApiModelProperty(value = "指定长上限")
    private Long designLengthMax;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
