package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 炉重信息表(PmPonoWtInfo)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-12 17:02:30
 */

@Getter
@Setter
@ApiModel("炉重信息表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PONO_WT_INFO")
public class PmPonoWtInfo extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 309725770917499001L;

    public static final String FIELD_PM_PONO_WT_INFO_ID = "pmPonoWtInfoId";
    public static final String FIELD_MAIN_BACKLOG_CODE = "mainBacklogCode";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_CC_TYPE = "ccType";
    public static final String FIELD_ACT_AIM_INIT_WT = "actAimInitWt";
    public static final String FIELD_ACT_PONO_WT = "actPonoWt";
    public static final String FIELD_PONO_WT_PLUS = "ponoWtPlus";
    public static final String FIELD_PONO_WT_MINUS = "ponoWtMinus";
    public static final String FIELD_PREC_CAST_LOT_NO = "precCastLotNo";
    public static final String FIELD_PREC_PONO = "precPono";
    public static final String FIELD_USER_ID = "userId";
    public static final String FIELD_PONO_YIELD = "ponoYield";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @Id
    @GeneratedValue
    private Long pmPonoWtInfoId;

    @ApiModelProperty(value = "厂别")
    private String mainBacklogCode;

    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ApiModelProperty(value = "实际目标炉重")
    private BigDecimal actAimInitWt;

    @ApiModelProperty(value = "实际炉重")
    private BigDecimal actPonoWt;

    @ApiModelProperty(value = "炉重正公差")
    private BigDecimal ponoWtPlus;

    @ApiModelProperty(value = "炉重负公差")
    private BigDecimal ponoWtMinus;

    @ApiModelProperty(value = "预定CAST_LOT号")
    private String precCastLotNo;

    @ApiModelProperty(value = "预定制造命令号")
    private String precPono;

    @ApiModelProperty(value = "组炉责任者")
    private String userId;

    @ApiModelProperty(value = "炉次收得率")
    private BigDecimal ponoYield;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
