package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 炉重静态表(PmPonoWtStatic)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:12:13
 */

@Getter
@Setter
@ApiModel("炉重静态表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PONO_WT_STATIC")
public class PmPonoWtStatic extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -20881365129163484L;

    public static final String FIELD_PM_PONO_WT_STATIC_ID = "pmPonoWtStaticId";
    public static final String FIELD_WHOLE_BACKLOG_CODE = "wholeBacklogCode";
    public static final String FIELD_ST_NO_1ST = "stNo1st";
    public static final String FIELD_CC_TYPE = "ccType";
    public static final String FIELD_SLAB_THICK_FROM = "slabThickFrom";
    public static final String FIELD_SLAB_THICK_TO = "slabThickTo";
    public static final String FIELD_SLAB_WIDTH_FROM = "slabWidthFrom";
    public static final String FIELD_SLAB_WIDTH_TO = "slabWidthTo";
    public static final String FIELD_PONO_YIELD = "ponoYield";
    public static final String FIELD_STEEL_GRAVITY = "steelGravity";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键")
    @Id
    @GeneratedValue
    private Long pmPonoWtStaticId;

    @ApiModelProperty(value = "全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "出钢记号第一位")
    @Column(name = "ST_NO_1ST")
    private String stNo1st;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ApiModelProperty(value = "板坯厚度起")
    private BigDecimal slabThickFrom;

    @ApiModelProperty(value = "板坯厚度止")
    private BigDecimal slabThickTo;

    @ApiModelProperty(value = "板坯宽度起")
    private BigDecimal slabWidthFrom;

    @ApiModelProperty(value = "板坯宽度止")
    private BigDecimal slabWidthTo;

    @ApiModelProperty(value = "炉次收得率")
    private BigDecimal ponoYield;

    @ApiModelProperty(value = "钢水比重")
    private BigDecimal steelGravity;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
