package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 炉重静态表_钢锭(PmPonoWtStaticGd)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:41:25
 */

@Getter
@Setter
@ApiModel("炉重静态表_钢锭")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PONO_WT_STATIC_GD")
public class PmPonoWtStaticGd extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 587385077093262805L;

    public static final String FIELD_PM_PONO_WT_STATIC_GD_ID = "pmPonoWtStaticGdId";
    public static final String FIELD_WHOLE_BACKLOG_CODE = "wholeBacklogCode";
    public static final String FIELD_ST_NO_1ST = "stNo1st";
    public static final String FIELD_CC_TYPE = "ccType";
    public static final String FIELD_INGOT_TYPE = "ingotType";
    public static final String FIELD_INGOT_LEN = "ingotLen";
    public static final String FIELD_INGOT_WT = "ingotWt";
    public static final String FIELD_INGOT_HEAD_THICK = "ingotHeadThick";
    public static final String FIELD_INGOT_HEAD_WIDTH = "ingotHeadWidth";
    public static final String FIELD_INGOT_BOTT_THICK = "ingotBottThick";
    public static final String FIELD_INGOT_BOTT_WIDTH = "ingotBottWidth";
    public static final String FIELD_PONO_YIELD = "ponoYield";
    public static final String FIELD_STEEL_GRAVITY = "steelGravity";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @Id
    @GeneratedValue
    private Long pmPonoWtStaticGdId;

    @ApiModelProperty(value = "全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "出钢记号第一位")
    @Column(name = "ST_NO_1ST")
    private String stNo1st;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ApiModelProperty(value = "锭坯型")
    private String ingotType;

    @ApiModelProperty(value = "钢锭长度")
    private BigDecimal ingotLen;

    @ApiModelProperty(value = "钢锭重量")
    private BigDecimal ingotWt;

    @ApiModelProperty(value = "头部厚度")
    private BigDecimal ingotHeadThick;

    @ApiModelProperty(value = "头部宽度")
    private BigDecimal ingotHeadWidth;

    @ApiModelProperty(value = "尾部厚度")
    private BigDecimal ingotBottThick;

    @ApiModelProperty(value = "尾部宽度")
    private BigDecimal ingotBottWidth;

    @ApiModelProperty(value = "炉次收得率")
    private BigDecimal ponoYield;

    @ApiModelProperty(value = "钢水比重")
    private BigDecimal steelGravity;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    @ApiModelProperty(value = "炉支数")
    private Long furnaceNum;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
