package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 产线断面规格表(PmProdLineSectionSpec)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 09:36:42
 */

@Getter
@Setter
@ApiModel("产线断面规格表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PROD_LINE_SECTION_SPEC")
public class PmProdLineSectionSpec extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 405582826661896275L;

    public static final String FIELD_PROD_LINE_SECTION_ID = "prodLineSectionId";
    public static final String FIELD_PROD_LINE_SECTION_SPEC_ID = "prodLineSectionSpecId";
    public static final String FIELD_THICK_FROM = "thickFrom";
    public static final String FIELD_THICK_TO = "thickTo";
    public static final String FIELD_WID_FROM = "widFrom";
    public static final String FIELD_WID_TO = "widTo";
    public static final String FIELD_LENGTH_FROM = "lengthFrom";
    public static final String FIELD_LENGTH_TO = "lengthTo";
    public static final String FIELD_STEEL_SPECIFICATION_WEIGHT = "steelSpecificationWeight";
    public static final String FIELD_VALID_FLAG = "validFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("产线断面规格ID")
    @Id
    @GeneratedValue
    private Long prodLineSectionSpecId;

    @ApiModelProperty(value = "产线断面关系ID", required = true)
    @NotNull
    private Long prodLineSectionId;

    @ApiModelProperty(value = "厚度规格起", required = true)
    @NotNull
    private BigDecimal thickFrom;

    @ApiModelProperty(value = "厚度规格止", required = true)
    @NotNull
    private BigDecimal thickTo;

    @ApiModelProperty(value = "宽度规格起", required = true)
    @NotNull
    private BigDecimal widFrom;

    @ApiModelProperty(value = "宽度规格止", required = true)
    @NotNull
    private BigDecimal widTo;

    @ApiModelProperty(value = "长度规格起", required = true)
    @NotNull
    private BigDecimal lengthFrom;

    @ApiModelProperty(value = "长度规格止", required = true)
    @NotNull
    private BigDecimal lengthTo;

    @ApiModelProperty(value = "钢种规格重量", required = true)
    @NotNull
    private BigDecimal steelSpecificationWeight;

    @ApiModelProperty(value = "生效标记", required = true)
    @NotNull
    private Long validFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


    @Transient
    @ApiModelProperty(value = "操作人名称")
    private String createdByName;

    @Transient
    @ApiModelProperty(value = "更新人名称")
    private String lastUpdatedByName;


}
