package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 生产线表(PmProductionLine)实体类
 *
 * @author jie.yang04@hand-china.com
 * @since 2024-10-09 09:42:01
 */

@Getter
@Setter
@ApiModel("生产线表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_PRODUCTION_LINE")
public class PmProductionLine extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 452185567131382412L;

    public static final String FIELD_PROD_LINE_ID = "prodLineId";
    public static final String FIELD_PROD_LINE_CODE = "prodLineCode";
    public static final String FIELD_PROD_LINE_NAME = "prodLineName";
    public static final String FIELD_TM_ROLL_PL = "tmRollPl";
    public static final String FIELD_PRIORITY = "priority";
    public static final String FIELD_PROD_LINE_PRODUCTIVITY = "prodLineProductivity";
    public static final String FIELD_VALID_FLAG = "validFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("生产线ID")
    @Id
    @GeneratedValue
    private Long prodLineId;

    @ApiModelProperty(value = "设计产线编码", required = true)
    @NotBlank
    private String prodLineCode;

    @ApiModelProperty(value = "设计产线名称", required = true)
    @NotBlank
    private String prodLineName;

    @ApiModelProperty(value = "轧制产线编码", required = true)
    @NotBlank
    private String tmRollPl;

    @ApiModelProperty(value = "优先级", required = true)
    @NotNull
    private Long priority;

    @ApiModelProperty(value = "生产线产能")
    private BigDecimal prodLineProductivity;

    @ApiModelProperty(value = "生效标记", required = true)
    @NotNull
    private Long validFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}

