package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 组炉过程记录表(PmRecordPonoProc)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-18 17:07:44
 */

@Getter
@Setter
@ApiModel("组炉过程记录表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_RECORD_PONO_PROC")
public class PmRecordPonoProc extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -76779384104567497L;

    public static final String FIELD_ID = "id";
    public static final String FIELD_PREC_PONO = "precPono";
    public static final String FIELD_EVENT = "event";
    public static final String FIELD_REASON = "reason";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @Id
    @GeneratedValue
    private Long id;

    @ApiModelProperty(value = "预定制造命令号")
    private String precPono;

    @ApiModelProperty(value = "事件")
    private String event;

    @ApiModelProperty(value = "原因")
    private String reason;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
