package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 预留试样基表(PmSampleReserveBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-12-18 15:13:04
 */

@Getter
@Setter
@ApiModel("预留试样基表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SAMPLE_RESERVE_BT")
public class PmSampleReserveBt extends AuditDomain {
    private static final long serialVersionUID = 469882297881356958L;

    public static final String FIELD_PSRB_ID = "psrbId";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_SAMPLE_LEN_HEAD = "sampleLenHead";
    public static final String FIELD_SAMPLE_LEN_TAIL = "sampleLenTail";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long psrbId;

    @ApiModelProperty(value = "内部钢种", required = true)
    @NotBlank
    private String stNo;

    @ApiModelProperty(value = "头部试样长", required = true)
    @NotNull
    private BigDecimal sampleLenHead;

    @ApiModelProperty(value = "尾部试样长", required = true)
    @NotNull
    private BigDecimal sampleLenTail;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    @Transient
    @ApiModelProperty(value = "创建人")
    private String createdByName;

    @Transient
    @ApiModelProperty(value = "更新人")
    private String updateByName;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}

