package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 剖分组板设备规格限制表(PmSdivSpecLimitBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:34:17
 */

@Getter
@Setter
@ApiModel("剖分组板设备规格限制表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SDIV_SPEC_LIMIT_BT")
public class PmSdivSpecLimitBt extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -49575003504790083L;

    public static final String FIELD_PSSLB_ID = "psslbId";
    public static final String FIELD_ROLL_LINE_NO = "rollLineNo";
    public static final String FIELD_S_PD_FIX_WIDTH_MIN = "sPdFixWidthMin";
    public static final String FIELD_S_PD_FIX_WIDTH_MAX = "sPdFixWidthMax";
    public static final String FIELD_S_PD_MOVE_WIDTH_MIN = "sPdMoveWidthMin";
    public static final String FIELD_S_PD_MOVE_WIDTH_MAX = "sPdMoveWidthMax";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long psslbId;

    @ApiModelProperty(value = "轧制产线号", required = true)
    @NotBlank
    private String rollLineNo;

    @ApiModelProperty(value = "S型组板固定侧最小宽度", required = true)
    @NotNull
    private BigDecimal sPdFixWidthMin;

    @ApiModelProperty(value = "S型组板固定侧最大宽度", required = true)
    @NotNull
    private BigDecimal sPdFixWidthMax;

    @ApiModelProperty(value = "S型组板移动侧最小宽度", required = true)
    @NotNull
    private BigDecimal sPdMoveWidthMin;

    @ApiModelProperty(value = "S型组板移动侧最大宽度", required = true)
    @NotNull
    private BigDecimal sPdMoveWidthMax;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
