package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 剖分组板钢种限制表(PmSdivStLimitBt)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-27 16:51:37
 */

@Getter
@Setter
@ApiModel("剖分组板钢种限制表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SDIV_ST_LIMIT_BT")
public class PmSdivStLimitBt extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 649570099636245888L;

    public static final String FIELD_PSSLB_ID = "psslbId";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_VALID_FLAG = "validFlag";
    public static final String FIELD_REMARK = "remark";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_SLAB_THICK_FROM = "slabThickFrom";
    public static final String FIELD_SLAB_THICK_TO = "slabThickTo";
    public static final String FIELD_SLAB_WIDTH_FROM = "slabWidthFrom";
    public static final String FIELD_SLAB_WIDTH_TO = "slabWidthTo";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long psslbId;

    @ApiModelProperty(value = "当前内部钢种", required = true)
    @NotBlank
    private String stNo;

    @ApiModelProperty(value = "当前外部牌号", required = true)
    @NotBlank
    private String sgSign;

    @ApiModelProperty(value = "生效标记", required = true)
    @NotBlank
    private String validFlag;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "板坯厚度起")
    private BigDecimal slabThickFrom;

    @ApiModelProperty(value = "板坯厚度止")
    private BigDecimal slabThickTo;

    @ApiModelProperty(value = "板坯宽度起")
    private BigDecimal slabWidthFrom;

    @ApiModelProperty(value = "板坯宽度止")
    private BigDecimal slabWidthTo;


}
