package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 组炉编制历史表(PmSlabEstaPlanHis)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2025-01-03 14:02:24
 */

@Getter
@Setter
@ApiModel("组炉编制历史表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SLAB_ESTA_PLAN_HIS")
public class PmSlabEstaPlanHis extends AuditDomain {
    private static final long serialVersionUID = -84841547213750631L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_SLAB_ESTA_PLAN_ID = "slabEstaPlanId";
    public static final String FIELD_VIRTUAL_SLAB_NO = "virtualSlabNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_USER_ID = "userId";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_STEEL_APP_DATE = "steelAppDate";
    public static final String FIELD_ROLL_APP_DATE = "rollAppDate";
    public static final String FIELD_WHOLE_BACKLOG_CODE = "wholeBacklogCode";
    public static final String FIELD_MAIN_BACKLOG_CODE = "mainBacklogCode";
    public static final String FIELD_PREC_CAST_LOT_NO = "precCastLotNo";
    public static final String FIELD_PREC_PONO = "precPono";
    public static final String FIELD_TMP_SLAB_NO = "tmpSlabNo";
    public static final String FIELD_LSLAB_DESIGN_FLAG = "lslabDesignFlag";
    public static final String FIELD_LSLAB_T_B_FLAG = "lslabTBFlag";
    public static final String FIELD_SLAB_SEQ_FLOW = "slabSeqFlow";
    public static final String FIELD_SLAB_SEQ_HEAT = "slabSeqHeat";
    public static final String FIELD_CAST_LOT_NO = "castLotNo";
    public static final String FIELD_CAST_LOT_DIV_NO = "castLotDivNo";
    public static final String FIELD_PONO = "pono";
    public static final String FIELD_PREC_SLAB_NO = "precSlabNo";
    public static final String FIELD_ROLL_PLAN_NO = "rollPlanNo";
    public static final String FIELD_MAT_SEQ_NO = "matSeqNo";
    public static final String FIELD_YEAR_ID = "yearId";
    public static final String FIELD_PLAN_ROLL_TIME = "planRollTime";
    public static final String FIELD_STEEL_START_TIME = "steelStartTime";
    public static final String FIELD_STEEL_END_TIME = "steelEndTime";
    public static final String FIELD_CC_NUM = "ccNum";
    public static final String FIELD_CC_TYPE = "ccType";
    public static final String FIELD_MOLD_WID = "moldWid";
    public static final String FIELD_MOLD_THICK = "moldThick";
    public static final String FIELD_APP_TYPE = "appType";
    public static final String FIELD_CS_PREC_PLAN_STATUS = "csPrecPlanStatus";
    public static final String FIELD_HS_PREC_PLAN_STATUS = "hsPrecPlanStatus";
    public static final String FIELD_SLAB_THICK = "slabThick";
    public static final String FIELD_SLAB_WIDTH = "slabWidth";
    public static final String FIELD_SLAB_LEN = "slabLen";
    public static final String FIELD_SLAB_WT = "slabWt";
    public static final String FIELD_APP_WT = "appWt";
    public static final String FIELD_APP_NUM = "appNum";
    public static final String FIELD_ACT_HOT_CHARGE_FLAG = "actHotChargeFlag";
    public static final String FIELD_HEAT_CONFM_FLAG = "heatConfmFlag";
    public static final String FIELD_BILLET_TYPE = "billetType";
    public static final String FIELD_DESCRIPTION = "description";
    public static final String FIELD_REFINE_ROUTE_CODE = "refineRouteCode";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_PLAN_TYPE = "planType";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "编制表主键", required = true)
    @NotNull
    private Long slabEstaPlanId;

    @ApiModelProperty(value = "虚拟板坯号")
    private String virtualSlabNo;

    @ApiModelProperty(value = "轴合同号")
    private String orderNo;

    @ApiModelProperty(value = "组炉责任者", required = true)
    @NotBlank
    private String userId;

    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "炼钢申请日期")
    private Date steelAppDate;

    @ApiModelProperty(value = "轧制申请日期")
    private Date rollAppDate;

    @ApiModelProperty(value = "全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "厂别")
    private String mainBacklogCode;

    @ApiModelProperty(value = "预定CAST_LOT号")
    private String precCastLotNo;

    @ApiModelProperty(value = "预定制造命令号")
    private String precPono;

    @ApiModelProperty(value = "临时命令板坯号")
    private String tmpSlabNo;

    @ApiModelProperty(value = "长坯设计标记")
    private Long lslabDesignFlag;

    @ApiModelProperty(value = "长坯头尾标记")
    private String lslabTBFlag;

    @ApiModelProperty(value = "流内板坯顺序号")
    private Long slabSeqFlow;

    @ApiModelProperty(value = "炉内板坯顺序号")
    private Long slabSeqHeat;

    @ApiModelProperty(value = "CAST_LOT号")
    private String castLotNo;

    @ApiModelProperty(value = "浇次分割号")
    private Long castLotDivNo;

    @ApiModelProperty(value = "制造命令号")
    private String pono;

    @ApiModelProperty(value = "命令板坯号")
    private String precSlabNo;

    @ApiModelProperty(value = "轧制计划号")
    private String rollPlanNo;

    @ApiModelProperty(value = "材料顺序号")
    private Long matSeqNo;

    @ApiModelProperty(value = "年", required = true)
    @NotNull
    private Long yearId;

    @ApiModelProperty(value = "计划轧制时间")
    private Date planRollTime;

    @ApiModelProperty(value = "炼钢开始时间")
    private Date steelStartTime;

    @ApiModelProperty(value = "炼钢结束时间")
    private Date steelEndTime;

    @ApiModelProperty(value = "炉数")
    private Long ccNum;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ApiModelProperty(value = "结晶器宽度")
    private BigDecimal moldWid;

    @ApiModelProperty(value = "结晶器厚度")
    private BigDecimal moldThick;

    @ApiModelProperty(value = "材料申请类型")
    private String appType;

    @ApiModelProperty(value = "连铸预定计划状态")
    private String csPrecPlanStatus;

    @ApiModelProperty(value = "热轧预定计划状态")
    private String hsPrecPlanStatus;

    @ApiModelProperty(value = "板坯厚度")
    private BigDecimal slabThick;

    @ApiModelProperty(value = "板坯宽度")
    private BigDecimal slabWidth;

    @ApiModelProperty(value = "板坯长度")
    private BigDecimal slabLen;

    @ApiModelProperty(value = "板坯重量")
    private BigDecimal slabWt;

    @ApiModelProperty(value = "需申请重量")
    private BigDecimal appWt;

    @ApiModelProperty(value = "申请件数")
    private Long appNum;

    @ApiModelProperty(value = "实际热装标记")
    private String actHotChargeFlag;

    @ApiModelProperty(value = "炉次确定标记")
    private String heatConfmFlag;

    @ApiModelProperty(value = "钢坯类型")
    private String billetType;

    @ApiModelProperty(value = "无委坯说明")
    private String description;

    @ApiModelProperty(value = "精炼区分")
    private String refineRouteCode;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "计划类型")
    private String planType;


}
