package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 板坯热处理去向表(PmTpssmHot)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-19 14:48:28
 */

@Getter
@Setter
@ApiModel("板坯热处理去向表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SLAB_HEAT_DEST")
public class PmSlabHeatDest extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -63395120717199884L;

    public static final String FIELD_PSHD_ID = "pshdId";
    public static final String FIELD_SLAB_NO = "slabNo";
    public static final String FIELD_HEAT_TREATMENT_MODE = "heatTreatmentMode";
    public static final String FIELD_DEFAULT_DEST = "defaultDest";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @Id
    @GeneratedValue
    private Long pshdId;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "热处理模式")
    private String heatTreatmentMode;

    @ApiModelProperty(value = "默认热处理去向")
    private String defaultDest;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

}
