package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


/**
 * 生产线组板方式表(PmSlabMethod)实体类
 *
 * @author jie.yang04@hand-china.com
 * @since 2024-10-09 09:43:33
 */

@Getter
@Setter
@ApiModel("生产线组板方式表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SLAB_METHOD")
public class PmSlabMethod extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 895486128448495269L;

    public static final String FIELD_PROD_LINE_STATS_ID = "prodLineStatsId";
    public static final String FIELD_PROD_LINE_ID = "prodLineId";
    public static final String FIELD_COMBO_SLAB_METHOD = "comboSlabMethod";
    public static final String FIELD_PRIORITY = "priority";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("ID")
    @Id
    @GeneratedValue
    private Long prodLineStatsId;

    @ApiModelProperty(value = "生产线ID", required = true)
    @NotNull
    private Long prodLineId;

    @ApiModelProperty(value = "组板方式", required = true)
    @NotBlank
    private String comboSlabMethod;

    @ApiModelProperty(value = "优先级", required = true)
    @NotNull
    private Long priority;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "生产线编码", required = true)
    @Transient
    private String prodLineCode;

}

