package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


/**
 * 连铸板坯生产规格基准表-履历表(PmSlabSpecBtTra)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-09 17:26:07
 */

@Getter
@Setter
@ApiModel("连铸板坯生产规格基准表-履历表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SLAB_SPEC_BT_TRA")
public class PmSlabSpecBtTra extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 677201145325784194L;

    public static final String FIELD_TRA_ID = "traId";
    public static final String FIELD_OPERATION_TYPE = "operationType";
    public static final String FIELD_OPERATION_USER = "operationUser";
    public static final String FIELD_OPERATION_TIME = "operationTime";
    public static final String FIELD_PSSB_ID = "pssbId";
    public static final String FIELD_ROLL_DIRECT_CODE = "rollDirectCode";
    public static final String FIELD_SLAB_THICK_FROM = "slabThickFrom";
    public static final String FIELD_SLAB_THICK_TO = "slabThickTo";
    public static final String FIELD_SLAB_WIDTH_FROM = "slabWidthFrom";
    public static final String FIELD_SLAB_WIDTH_TO = "slabWidthTo";
    public static final String FIELD_CC_TYPE = "ccType";
    public static final String FIELD_PLATE_THICK_FROM = "plateThickFrom";
    public static final String FIELD_PLATE_THICK_TO = "plateThickTo";
    public static final String FIELD_ROLL_LINE_NO = "rollLineNo";
    public static final String FIELD_BROAD_RATIO_MAX = "broadRatioMax";
    public static final String FIELD_MIN_ROLL_THICK = "minRollThick";
    public static final String FIELD_SLAB_MIN_LEN = "slabMinLen";
    public static final String FIELD_SLAB_MAX_LEN = "slabMaxLen";
    public static final String FIELD_FUR_TYPE = "furType";
    public static final String FIELD_SLAB_GRAVITY = "slabGravity";
    public static final String FIELD_CAST_SPEED = "castSpeed";
    public static final String FIELD_CAN_ROLL_WIDTH_MIN = "canRollWidthMin";
    public static final String FIELD_DZ_FLAG = "dzFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("履历主键ID")
    @Id
    @GeneratedValue
    private Long traId;

    @ApiModelProperty(value = "操作类型(I:插入，U:修改，D:删除)", required = true)
    @NotBlank
    private String operationType;

    @ApiModelProperty(value = "操作者", required = true)
    @NotBlank
    private String operationUser;

    @ApiModelProperty(value = "操作时间", required = true)
    @NotNull
    private Date operationTime;

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull
    private Long pssbId;

    @ApiModelProperty(value = "轧制方向代码，分为C是横轧、L是纵轧", required = true)
    @NotNull
    private String rollDirectCode;

    @ApiModelProperty(value = "板坯厚度起", required = true)
    @NotNull
    private BigDecimal slabThickFrom;

    @ApiModelProperty(value = "板坯厚度止", required = true)
    @NotNull
    private BigDecimal slabThickTo;

    @ApiModelProperty(value = "板坯宽度起", required = true)
    @NotNull
    private BigDecimal slabWidthFrom;

    @ApiModelProperty(value = "板坯宽度止", required = true)
    @NotNull
    private BigDecimal slabWidthTo;

    @ApiModelProperty(value = "连铸机类型", required = true)
    @NotBlank
    private String ccType;

    @ApiModelProperty(value = "轧制产线号", required = true)
    @NotBlank
    private String rollLineNo;

    @ApiModelProperty(value = "最大展宽比", required = true)
    @NotNull
    private BigDecimal broadRatioMax;

    @ApiModelProperty(value = "精轧最小厚度", required = true)
    @NotNull
    private BigDecimal minRollThick;

    @ApiModelProperty(value = "加热炉板坯长度最小值", required = true)
    @NotNull
    private BigDecimal slabMinLen;

    @ApiModelProperty(value = "加热炉板坯长度最大值", required = true)
    @NotNull
    private BigDecimal slabMaxLen;

    @ApiModelProperty(value = "加热炉类型", required = true)
    @NotBlank
    private String furType;

    @ApiModelProperty(value = "板坯比重", required = true)
    @NotNull
    private BigDecimal slabGravity;

    @ApiModelProperty(value = "浇铸速度", required = true)
    @NotNull
    private BigDecimal castSpeed;

    @ApiModelProperty(value = "可轧制宽度下限", required = true)
    @NotNull
    private BigDecimal canRollWidthMin;

    @ApiModelProperty(value = "倒置标记")
    private String dzFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
