package com.xisc.pm.domain.entity;

import java.math.BigDecimal;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 组板小板位置表
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-02 08:02:39
 */
@Setter
@Getter
@ApiModel("组板小板位置表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SMALL_PLT_POS")
public class PmSmallPltPos extends AuditDomain {

    public static final String FIELD_PSPP_ID = "psppId";
    public static final String FIELD_PD_MAT_NO = "pdMatNo";
    public static final String FIELD_SMALL_PLATE_DIV_NO = "smallPlateDivNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_PRO_CONT_ID = "proContId";
    public static final String FIELD_ORDER_SEQ_NO = "orderSeqNo";
    public static final String FIELD_SLAB_NO = "slabNo";
    public static final String FIELD_PLATE_NO = "plateNo";
    public static final String FIELD_PICK_MODE_WID_DIR = "pickModeWidDir";
    public static final String FIELD_PICK_MODE_LEN_DIR = "pickModeLenDir";
    public static final String FIELD_ORDER_THICK = "orderThick";
    public static final String FIELD_ORDER_WIDTH = "orderWidth";
    public static final String FIELD_ORDER_LEN = "orderLen";
    public static final String FIELD_ORDER_LEN_MIN = "orderLenMin";
    public static final String FIELD_ORDER_LEN_MAX = "orderLenMax";
    public static final String FIELD_SMALL_PLATE_THICK = "smallPlateThick";
    public static final String FIELD_SMALL_PLATE_WIDTH = "smallPlateWidth";
    public static final String FIELD_SMALL_PLATE_LEN = "smallPlateLen";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_OBJECT_VERSION_NUMBER = "objectVersionNumber";
    public static final String FIELD_CREATION_DATE = "creationDate";
    public static final String FIELD_CREATED_BY = "createdBy";
    public static final String FIELD_LAST_UPDATED_BY = "lastUpdatedBy";
    public static final String FIELD_LAST_UPDATE_DATE = "lastUpdateDate";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    public static final String[] SMALL_PLATE_DIV_NO = {"100","200", "300", "400", "500", "600", "700", "800", "900"
            ,"A00", "B00", "C00", "D00", "E00", "F00", "G00", "H00", "J00", "K00", "L00", "M00", "N00", "P00", "Q00", "R00", "S00", "T00", "U00", "V00", "W00", "X00"
            ,"Y10", "Y20", "Y30", "Y40", "Y50", "Y60", "Y70", "Y80", "Y90"
            ,"YA0", "YB0", "YC0", "YD0", "YE0", "YF0", "YG0", "YH0", "YJ0", "YK0", "YL0", "YM0", "YN0", "YP0", "YQ0", "YR0", "YS0", "YT0", "YU0", "YV0", "YW0", "YX0", "YY0", "YZ0"
            ,"Z10", "Z20", "Z30", "Z40", "Z50", "Z60","Z70", "Z80", "Z90"
            ,"ZA0", "ZB0", "ZC0", "ZD0", "ZE0", "ZF0", "ZG0", "ZH0", "ZJ0", "ZK0", "ZL0", "ZM0", "ZN0", "ZP0", "ZQ0", "ZR0", "ZS0", "ZT0", "ZU0", "ZV0", "ZW0", "ZX0", "ZY0", "ZZ0"};

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long psppId;
    @ApiModelProperty(value = "组板材料号")
    private String pdMatNo;
    @ApiModelProperty(value = "小板分割号")
    private String smallPlateDivNo;
    @ApiModelProperty(value = "合同号")
    private String orderNo;
    @ApiModelProperty(value = "生产合同主表主键", required = true)
    @NotNull
    private Long proContId;
    @ApiModelProperty(value = "合同顺序号")
    private Long orderSeqNo;
    @ApiModelProperty(value = "板坯号")
    private String slabNo;
    @ApiModelProperty(value = "钢板号")
    private String plateNo;
    @ApiModelProperty(value = "取板方式_宽度方向")
    private Long pickModeWidDir;
    @ApiModelProperty(value = "取板方式_长度方向")
    private Long pickModeLenDir;
    @ApiModelProperty(value = "订货厚度", required = true)
    @NotNull
    private BigDecimal orderThick;
    @ApiModelProperty(value = "订货宽度", required = true)
    @NotNull
    private BigDecimal orderWidth;
    @ApiModelProperty(value = "订货长度", required = true)
    @NotNull
    private BigDecimal orderLen;
    @ApiModelProperty(value = "订货长度下限", required = true)
    @NotNull
    private BigDecimal orderLenMin;
    @ApiModelProperty(value = "订货长度上限", required = true)
    @NotNull
    private BigDecimal orderLenMax;
    @ApiModelProperty(value = "小板厚度", required = true)
    @NotNull
    private BigDecimal smallPlateThick;
    @ApiModelProperty(value = "小板宽度", required = true)
    @NotNull
    private BigDecimal smallPlateWidth;
    @ApiModelProperty(value = "小板长度", required = true)
    @NotNull
    private BigDecimal smallPlateLen;
    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;
    @ApiModelProperty(value = "行版本号，用来处理锁", required = true)
    @NotNull
    private Long objectVersionNumber;
    
    @ApiModelProperty(value = "")
    private String attribute1;
    @ApiModelProperty(value = "")
    private String attribute2;
    @ApiModelProperty(value = "")
    private String attribute3;
    @ApiModelProperty(value = "")
    private String attribute4;
    @ApiModelProperty(value = "")
    private String attribute5;

}
