package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 合同结构规格表(PmSpecTableColumn)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-12 09:10:23
 */

@Getter
@Setter
@ApiModel("合同结构规格表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_SPEC_TABLE_COLUMN")
public class PmSpecTableColumn extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -80626556025294514L;

    public static final String FIELD_ORDER_STRUCTURE_ID = "orderStructureId";
    public static final String FIELD_HEADER_COLUMN_NUM = "headerColumnNum";
    public static final String FIELD_THICK_FROM = "thickFrom";
    public static final String FIELD_THICK_TO = "thickTo";
    public static final String FIELD_WID_FROM = "widFrom";
    public static final String FIELD_WID_TO = "widTo";
    public static final String FIELD_LENGTH_FROM = "lengthFrom";
    public static final String FIELD_LENGTH_TO = "lengthTo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("合同结构规格ID")
    @Id
    @GeneratedValue
    private Long orderStructureId;

    @ApiModelProperty(value = "表头列号", required = true)
    private Long headerColumnNum;

    @ApiModelProperty(value = "厚度规格起")
    private BigDecimal thickFrom;

    @ApiModelProperty(value = "厚度规格止")
    private BigDecimal thickTo;

    @ApiModelProperty(value = "宽度规格起")
    private BigDecimal widFrom;

    @ApiModelProperty(value = "宽度规格止")
    private BigDecimal widTo;

    @ApiModelProperty(value = "长度规格起")
    private BigDecimal lengthFrom;

    @ApiModelProperty(value = "长度规格止")
    private BigDecimal lengthTo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
