package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;


/**
 * 钢种组信息维护(PmSteelTypeGroup)实体类
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 13:31:26
 */

@Getter
@Setter
@ApiModel("钢种组信息维护")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_STEEL_TYPE_GROUP")
public class PmSteelTypeGroup extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -49641620533856100L;

    public static final String FIELD_STEEL_GROUP_ID = "steelGroupId";
    public static final String FIELD_STEEL_GROUP_CODE = "steelGroupCode";
    public static final String FIELD_VALID_FLAG = "validFlag";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("钢种组ID")
    @Id
    @GeneratedValue
    private Long steelGroupId;

    @ApiModelProperty(value = "钢种组编码", required = true)
    @NotBlank
    private String steelGroupCode;

    @ApiModelProperty(value = "生效标记", required = true)
    @NotNull
    private Long validFlag;

    @ApiModelProperty(value = "内部钢种", required = true)
    @NotBlank
    private String stNo;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @Transient
    @ApiModelProperty(value = "内部钢种")
    private List<String> stNoList;

    @Transient
    @ApiModelProperty(value = "操作人名称")
    private String createdByName;

    @Transient
    @ApiModelProperty(value = "更新人名称")
    private String lastUpdatedByName;

}
