package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.MmSlab;

import java.util.List;

/**
 * 板坯主数据主表(MmSlab)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-15 08:52:42
 */
public interface MmSlabRepository extends BaseRepository<MmSlab> {
    /**
     * 查询
     *
     * @param mmSlab 查询条件
     * @return 返回值
     */
    List<MmSlab> selectList(MmSlab mmSlab);

    /**
     * 根据主键查询（可关联表）
     *
     * @param slabId 主键
     * @return 返回值
     */
    MmSlab selectByPrimary(Long slabId);

    /**
     * 余材板坯充当材料信息列表
     * @param mmSlab
     * @return
     */
    List<MmSlab> surplusSlabList(MmSlab mmSlab);

    /**
     * 通过板坯号查询板坯主数据
     * @param slabNo
     * @param tenantId
     * @return
     */
    MmSlab selectBySlabNo(String slabNo, Long tenantId);
    
    /**
     * 通过命令板坯号查询板坯信息
     * @param ponoSlabNo
     * @param tenantId
     * @return
     */
    MmSlab selectByPonoSlabNo(String ponoSlabNo , Long tenantId);
}
