package com.xisc.pm.domain.repository;

import java.util.List;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmAutoPdPosition;

/**
 * 板坯子板位置表资源库
 *
 * @author jun.zeng 2024-11-21 11:05:34
 */
public interface PmAutoPdPositionRepository extends BaseRepository<PmAutoPdPosition> {
    
    /**
     * 通过虚拟板坯号，查询小板位置
     * @param virtualSlabNo
     * @param tenantId
     * @return
     */
    List<PmAutoPdPosition> selectList(String virtualSlabNo , Long tenantId);

    int deleteByRequestId(List<Long> requestIds);

    /**
     * 通过虚拟板坯号查询小板位置表
     * @param requestId
     * @param savingSlabNoList
     * @param version
     * @param organizationId
     * @return
     */
    List<PmAutoPdPosition> selectByVirtualSlabNoList(List<String> virtualSlabNoList, Long organizationId);

}
