package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmCmdCont;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 命令参数表(PmCmdCont)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-01 10:25:08
 */
public interface PmCmdContRepository extends BaseRepository<PmCmdCont> {
    /**
     * 查询
     *
     * @param pmCmdCont 查询条件
     * @return 返回值
     */
    List<PmCmdCont> selectList(PmCmdCont pmCmdCont);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmCmdContId 主键
     * @return 返回值
     */
    PmCmdCont selectByPrimary(Long pmCmdContId);

    /**
     * 根据命令板坯号查询
     *
     * @param ponoSlabList
     * @param tenantId
     * @return
     */
    List<PmCmdCont> selectByPonoSlabList(List<String> ponoSlabList, Long tenantId);

    /**
     * 根据临时命令板坯号查询
     *
     * @param tmpSlabNoList
     * @param tenantId
     * @return
     */
    List<PmCmdCont> selectByTmpSlabNoList(List<String> tmpSlabNoList, Long tenantId);

    /**
     * 根据钢板号和命令板坯号查询
     *
     * @param ponoSlabNoList
     * @param plateNoList
     * @param tenantId
     * @return
     */
    List<PmCmdCont> selectByPonoAndPlateNo(List<String> ponoSlabNoList, List<String> plateNoList, Long tenantId);
}
