package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmCmdCont;
import com.xisc.pm.domain.entity.PmCmdContTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 命令参数表(PmCmdContTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-28 17:20:51
 */
public interface PmCmdContTraRepository extends BaseRepository<PmCmdContTra> {
    /**
     * 查询
     *
     * @param pmCmdContTra 查询条件
     * @return 返回值
     */
    List<PmCmdContTra> selectList(PmCmdContTra pmCmdContTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmCmdContTra selectByPrimary(Long traId);

    /**
     * 创建履历表
     *
     * @param pmCmdContList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmCmdContTra> buildPmCmdContTraList(List<PmCmdCont> pmCmdContList, String operationType, Date operationTime, String operationUser);

    /**
     * 根据命令板坯号获取最新的一条
     *
     * @param ponoSlabList
     * @param tenantId
     * @return
     */
    List<PmCmdContTra> selectByPonoSlabList(List<String> ponoSlabList, Long tenantId);
}
