package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmCmdSlab;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 命令板坯表(PmCmdSlab)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-01 10:24:07
 */
public interface PmCmdSlabRepository extends BaseRepository<PmCmdSlab> {
    /**
     * 查询
     *
     * @param pmCmdSlab 查询条件
     * @return 返回值
     */
    List<PmCmdSlab> selectList(PmCmdSlab pmCmdSlab);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmCmdSlabId 主键
     * @return 返回值
     */
    PmCmdSlab selectByPrimary(Long pmCmdSlabId);
    
    /**
     * 通过虚拟板坯号查询命令板坯数据
     * @param virtualSlabNo
     * @param tenantId
     * @return
     */
    PmCmdSlab selectByPonoSlabNo(String ponoSlabNo , Long tenantId);

    /**
     * 根据命令板坯号查询
     *
     * @param ponoSlabList
     * @param tenantId
     * @return
     */
    List<PmCmdSlab>  selectByPonoSlabList(List<String> ponoSlabList, Long tenantId);

    /**
     * 根据临时命令板坯号查询
     *
     * @param tmpSlabNoList
     * @param tenantId
     * @return
     */
    List<PmCmdSlab> selectByTmpSlabNoList(List<String> tmpSlabNoList, Long tenantId);

    /**
     * 根据虚拟板坯号查询
     * @param virtualNoList
     * @param tenantId
     * @return
     */
    List<PmCmdSlab> selectByVirtualSlabNoList(List<String> virtualNoList, Long tenantId);

    /**
     * 根据板坯号查询
     *
     * @param slabNoList
     * @param tenantId
     * @return
     */
    List<PmCmdSlab> selectBySlabNoList(List<String> slabNoList, Long tenantId);
}
