package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmCmdSmallPlt;
import com.xisc.pm.domain.entity.PmCmdSmallPltTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 命令小板表(PmCmdSmallPltTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-28 17:20:09
 */
public interface PmCmdSmallPltTraRepository extends BaseRepository<PmCmdSmallPltTra> {
    /**
     * 查询
     *
     * @param pmCmdSmallPltTra 查询条件
     * @return 返回值
     */
    List<PmCmdSmallPltTra> selectList(PmCmdSmallPltTra pmCmdSmallPltTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmCmdSmallPltTra selectByPrimary(Long traId);

    /**
     * 创建履历表
     *
     * @param pmCmdSmallPltList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmCmdSmallPltTra> buildPmCmdSmallPltTraList(List<PmCmdSmallPlt> pmCmdSmallPltList, String operationType, Date operationTime, String operationUser);

    /**
     * 根据命令板坯号查询最新的一条
     *
     * @param ponoSlabList
     * @param tenantId
     * @return
     */
    List<PmCmdSmallPltTra> selectByPonoSlabList(List<String> ponoSlabList, Long tenantId);
}
