package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmCompositeSlabList;
import com.xisc.pm.domain.entity.PmProContProdTtr;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 复合/叠轧坯明细信息表(PmCompositeSlabList)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-01 15:40:18
 */
public interface PmCompositeSlabListRepository extends BaseRepository<PmCompositeSlabList> {
    /**
     * 查询
     *
     * @param pmCompositeSlabList 查询条件
     * @return 返回值
     */
    List<PmCompositeSlabList> selectList(PmCompositeSlabList pmCompositeSlabList);

    /**
     * 根据主键查询（可关联表）
     *
     * @param listId 主键
     * @return 返回值
     */
    PmCompositeSlabList selectByPrimary(Long listId);

    /**
     * 查询合同属性表合同未编计划数
     *
     * @param orderNoList 合同号集合
     * @param tenantId    租户
     * @return
     */
    List<PmProContProdTtr> queryOrderAttrByOrderNo(List<String> orderNoList, Long tenantId);

    /**
     * 通过复合板坯查询第一层基材
     * @param tenantId
     * @param slabId
     * @return
     */
    PmCompositeSlabList selectFirstLayer(Long tenantId, Long slabId);

    /**
     * 根据复合坯id
     *
     * @param slabIdList
     * @param tenantId
     * @return
     */
    List<PmCompositeSlabList> selectBySlabIdList(List<Long> slabIdList, Long tenantId);

    /**
     * 根据基材号查询
     *
     * @param list
     * @param tenantId
     * @return
     */
    List<PmCompositeSlabList> selectByBaseMatNoList(List<String> list, Long tenantId);
}
