package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;

import com.xisc.pm.api.dto.PmCutPlaceDTO;
import com.xisc.pm.domain.entity.PmCutPlaceBt;
import com.xisc.pm.domain.entity.PmProContProdTtr;
import com.xisc.pm.infra.enums.FormPlateMode;

import java.util.List;

/**
 * 粗切位置决定基准表(PmCutPlaceBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 08:40:38
 */
public interface PmCutPlaceBtRepository extends BaseRepository<PmCutPlaceBt> {
    /**
     * 查询
     *
     * @param pmCutPlaceBt 查询条件
     * @return 返回值
     */
    List<PmCutPlaceBt> selectList(PmCutPlaceBt pmCutPlaceBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pcpbId 主键
     * @return 返回值
     */
    PmCutPlaceBt selectByPrimary(Long pcpbId);
    
    /**
     * 
     * @param formPlateMode 组板类型
     * @param rollLineNo    轧制产线号
     * @param axisPmProContProdTtr 主合同
     * @param tenantId 租户
     * @return
     */
    PmCutPlaceDTO queryCutPlace(FormPlateMode formPlateMode , String rollLineNo ,PmProContProdTtr axisPmProContProdTtr , Long tenantId);
}
