package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmHotDest;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢炉次计划热处理去向表(PmTpssmHot)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-19 14:48:29
 */
public interface PmHotDestRepository extends BaseRepository<PmHotDest> {
    /**
     * 查询
     *
     * @param pmHotDest 查询条件
     * @return 返回值
     */
    List<PmHotDest> selectList(PmHotDest pmHotDest);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmHotDest selectByPrimary(Long id);

    /**
     * 根据炉号查询
     *
     * @param tenantId
     * @param ponoList
     * @return
     */
    List<PmHotDest> selectByPonoList(Long tenantId, List<String> ponoList);
}
