package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmIngotYieldBt;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 钢锭收得率基准表(PmIngotYieldBt)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-05 15:20:29
 */
public interface PmIngotYieldBtRepository extends BaseRepository<PmIngotYieldBt> {
    /**
     * 查询
     *
     * @param pmIngotYieldBt 查询条件
     * @return 返回值
     */
    List<PmIngotYieldBt> selectList(PmIngotYieldBt pmIngotYieldBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param piybId 主键
     * @return 返回值
     */
    PmIngotYieldBt selectByPrimary(Long piybId);

    /**
     * 通过锭坯类型获取收得率配置
     * @param ingotType
     * @param tenantId
     * @return
     */
    PmIngotYieldBt selectByIngotType(String ingotType, Long tenantId);
}
