package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSampleReserveBt;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 预留试样基表(PmSampleReserveBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-12-18 15:13:05
 */
public interface PmSampleReserveBtRepository extends BaseRepository<PmSampleReserveBt> {
    /**
     * 查询
     *
     * @param pmSampleReserveBt 查询条件
     * @return 返回值
     */
    List<PmSampleReserveBt> selectList(PmSampleReserveBt pmSampleReserveBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param psrbId 主键
     * @return 返回值
     */
    PmSampleReserveBt selectByPrimary(Long psrbId);


    /**
     * 根据内部钢种查询
     *
     * @param stNoList
     * @param tenantId
     * @return
     */
    List<PmSampleReserveBt> selectByStNoList(List<String> stNoList, Long tenantId);
}
