package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSlabPoolIn;
import com.xisc.pm.domain.vo.CtMainVO;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 组炉收池表(PmSlabPoolIn)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-07 17:11:27
 */
public interface PmSlabPoolInRepository extends BaseRepository<PmSlabPoolIn> {
    /**
     * 查询
     *
     * @param pmSlabPoolIn 查询条件
     * @return 返回值
     */
    List<PmSlabPoolIn> selectList(PmSlabPoolIn pmSlabPoolIn);

    /**
     * 根据主键查询（可关联表）
     *
     * @param slabPoolInId 主键
     * @return 返回值
     */
    PmSlabPoolIn selectByPrimary(Long slabPoolInId);

    /**
     * 根据虚拟板坯号查询
     *
     * @param virtualNoList
     * @param tenantId
     * @return
     */
    List<PmSlabPoolIn> selectByVirtualSlabNoList(List<String> virtualNoList, Long tenantId);

    /**
     * 根据合同号查询CT_MAIN
     * @param orderNoList
     * @param tenantId
     * @return
     */
    List<CtMainVO> selectCtMainByOrderNoList(List<String> orderNoList, Long tenantId);
}
