package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSpeStAddvBt;

import java.math.BigDecimal;
import java.util.List;

/**
 * 特殊钢种余量增加表(PmSpeStAddvBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:50:16
 */
public interface PmSpeStAddvBtRepository extends BaseRepository<PmSpeStAddvBt> {
    /**
     * 查询
     *
     * @param pmSpeStAddvBt 查询条件
     * @return 返回值
     */
    List<PmSpeStAddvBt> selectList(PmSpeStAddvBt pmSpeStAddvBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pssabId 主键
     * @return 返回值
     */
    PmSpeStAddvBt selectByPrimary(Long pssabId);

    /**
     * 获取特殊钢种余量
     * @param tenantId 租户ID
     * @param rollLineNo 轧制产线号
     * @param stNo 内部钢种
     * @param sgSign 外部牌号
     * @param moldThick 结晶器厚度
     * @param taim 目标厚度
     * @return
     */
    List<PmSpeStAddvBt> selectSlabAddv(Long tenantId , String rollLineNo, String stNo, String sgSign, BigDecimal moldThick, BigDecimal taim);
}
