package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSteelCastFlow;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢连铸制造命令铸机流表(PmSteelCastFlow)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-15 11:11:18
 */
public interface PmSteelCastFlowRepository extends BaseRepository<PmSteelCastFlow> {
    /**
     * 查询
     *
     * @param pmSteelCastFlow 查询条件
     * @return 返回值
     */
    List<PmSteelCastFlow> selectList(PmSteelCastFlow pmSteelCastFlow);

    /**
     * 根据主键查询（可关联表）
     *
     * @param steelCastFlowId 主键
     * @return 返回值
     */
    PmSteelCastFlow selectByPrimary(Long steelCastFlowId);

    /**
     * 制造命令号
     *
     * @param ponoList
     * @param tenantId
     * @return
     */
    List<PmSteelCastFlow> selectByPonoList(List<String> ponoList, Long tenantId);
}
