package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSteelCastLot;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢连铸制造命令LOT表(PmSteelCastLot)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-16 08:25:59
 */
public interface PmSteelCastLotRepository extends BaseRepository<PmSteelCastLot> {
    /**
     * 查询
     *
     * @param pmSteelCastLot 查询条件
     * @return 返回值
     */
    List<PmSteelCastLot> selectList(PmSteelCastLot pmSteelCastLot);

    /**
     * 根据主键查询（可关联表）
     *
     * @param steelCastLotId 主键
     * @return 返回值
     */
    PmSteelCastLot selectByPrimary(Long steelCastLotId);

    /**
     * 根据浇次号查询
     *
     * @param castLotNoList
     * @param tenantId
     */
    List<PmSteelCastLot> selectByCastLotNoList(List<String> castLotNoList, Long tenantId);
}
