package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/10/22 14:26
 * @description
 */
@Data
public class ErpInterfaceVO implements Serializable {
    private static final long serialVersionUID = 1864683303499459821L;

    @ApiModelProperty(value = "记录创建责任者", required = true)
    @NotBlank
    private String recCreator;

    @ApiModelProperty(value = "记录创建时刻", required = true)
    @NotBlank
    private String recCreateTime;

    @ApiModelProperty(value = "记录修改责任者", required = true)
    @NotBlank
    private String recRevisor;

    @ApiModelProperty(value = "记录修改时刻", required = true)
    @NotBlank
    private String recReviseTime;

    @ApiModelProperty(value = "归档标记")
    private String archiveFlag;

    @ApiModelProperty(value = "产线代码")
    private String appCode;

    @ApiModelProperty(value = "公司(帐套)代码")
    private String companyCode;

    @ApiModelProperty(value = "公司(帐套)中文")
    private String companyName;

    @ApiModelProperty(value = "成本帐套代码")
    private String acAccount;

    @ApiModelProperty(value = "会计期")
    private String acctPeriodNo;

    @ApiModelProperty(value = "在线抛AI帐合格标志")
    private String appThrowAiOk;

    @ApiModelProperty(value = "AP抛AI键值")
    private String appThrowAiMode;

    @ApiModelProperty(value = "成本中心")
    private String costCenter;

    @ApiModelProperty(value = "账务代码")
    private String accountTitleItem;

    @ApiModelProperty(value = "产副品代码")
    private String productCode;

    @ApiModelProperty(value = "产副品代码一")
    private String productCode1;

    @ApiModelProperty(value = "产副品代码二")
    private String productCode2;

    @ApiModelProperty(value = "产副品代码三")
    private String productCode3;

    @ApiModelProperty(value = "产副品代码四")
    private String productCode4;

    @ApiModelProperty(value = "产副品代码五")
    private String productCode5;

    @ApiModelProperty(value = "辅助核算对象_子1")
    private String baObjectSub1;

    @ApiModelProperty(value = "辅助核算对象_子2")
    private String baObjectSub2;

    @ApiModelProperty(value = "辅助核算对象_子3")
    private String baObjectSub3;

    @ApiModelProperty(value = "辅助核算对象_子4")
    private String baObjectSub4;

    @ApiModelProperty(value = "辅助核算对象_子5")
    private String baObjectSub5;

    @ApiModelProperty(value = "处置标记")
    private String dealFlag;

    @ApiModelProperty(value = "成本处理反馈")
    private String acRemark;

    @ApiModelProperty(value = "AP抛AI日期(业务发生日期)")
    private String appThrowAiDate;

    @ApiModelProperty(value = "AP抛AI时间(业务发生时刻)")
    private String appThrowAiTime;

    @ApiModelProperty(value = "履历序号")
    private String resumeSeqNo;

    @ApiModelProperty(value = "事件关联号")
    private String eventRelatedId;

    @ApiModelProperty(value = "事件标识")
    private String eventId;

    @ApiModelProperty(value = "事件中文名")
    private String eventName;

    @ApiModelProperty(value = "交易种类")
    private String transactionCode;

    @ApiModelProperty(value = "功能代码")
    private String functionCodeAc;

    @ApiModelProperty(value = "材料号")
    private String matNo;

    @ApiModelProperty(value = "物料种类")
    private String matKind;

    @ApiModelProperty(value = "机组代码")
    private String unitCode;

    @ApiModelProperty(value = "材料形态标志")
    private String matShapeFlag;

    @ApiModelProperty(value = "原料来源")
    private String rawOrigin;

    @ApiModelProperty(value = "材料来源大类")
    private String matOrigin;

    @ApiModelProperty(value = "材料厚度")
    private Long matThick;

    @ApiModelProperty(value = "材料宽度")
    private Long matWidth;

    @ApiModelProperty(value = "材料长度")
    private Long matLen;

    @ApiModelProperty(value = "材料实际厚度")
    private Long matActThick;

    @ApiModelProperty(value = "材料实际宽度")
    private Long matActWidth;

    @ApiModelProperty(value = "材料实际长度")
    private Long matActLen;

    @ApiModelProperty(value = "材料实际内径")
    private Long matActInnerDia;

    @ApiModelProperty(value = "材料实际外径")
    private Long matActOuterDia;

    @ApiModelProperty(value = "材料件数(根数)")
    private Long matNum;

    @ApiModelProperty(value = "材料重量")
    private Long matWt;

    @ApiModelProperty(value = "包装类型代码")
    private String packTypeCode;

    @ApiModelProperty(value = "熔炼号")
    private String heatNo;

    @ApiModelProperty(value = "轧制计划号")
    private String rollPlanNo;

    @ApiModelProperty(value = "出钢记号")
    private String stNo;

    @ApiModelProperty(value = "生产时刻")
    private String prodTime;

    @ApiModelProperty(value = "生产班次")
    private String prodShiftNo;

    @ApiModelProperty(value = "生产班组")
    private String prodShiftGroup;

    @ApiModelProperty(value = "产品大类代码")
    private String prodClassCode;

    @ApiModelProperty(value = "品名代码")
    private String prodCode;

    @ApiModelProperty(value = "产品规范码")
    private String psc;

    @ApiModelProperty(value = "牌号（钢级）")
    private String sgSign;

    @ApiModelProperty(value = "库区号")
    private String stockNo;

    @ApiModelProperty(value = "存储厂别")
    private String storeFactory;

    @ApiModelProperty(value = "抛帐区分")
    private String acFlag;

    @ApiModelProperty(value = "准发确认标记")
    private String confmFlag;

    @ApiModelProperty(value = "成本产出机组")
    private String unitCodeAc;

    @ApiModelProperty(value = "成本前道机组")
    private String unitCodeAcPre;

    @ApiModelProperty(value = "抛帐类型")
    private String acType;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "炉次号")
    private String pono;

    @ApiModelProperty(value = "质量码")
    private String qualityCode;

    @ApiModelProperty(value = "余长标记")
    private String surplusFlag;

    @ApiModelProperty(value = "经过DSS标志")
    private String passDssOk;

    @ApiModelProperty(value = "第一阶段控制轧制点厚度")
    private Long ctrlRollThick1;

    @ApiModelProperty(value = "新试产品加工协议号")
    private String newProdAgreeNo;

    @ApiModelProperty(value = "持续生产时间")
    private Long persistProdTime;

    @ApiModelProperty(value = "轧制异常代码")
    private String rollAbnCode;

    @ApiModelProperty(value = "控轧代码")
    private String ctrlRollCode;

    @ApiModelProperty(value = "加热模式")
    private String heatMode;

    @ApiModelProperty(value = "涂漆标记")
    private String paintFlag;

    @ApiModelProperty(value = "热送区分")
    private String hotSendDiv;

    @ApiModelProperty(value = "实绩热送标记")
    private String hotSendFlagAct;

    @ApiModelProperty(value = "热处理工序履历")
    private String heatProcLog;

    @ApiModelProperty(value = "AD控制模式代码")
    private String adModeCode;

    @ApiModelProperty(value = "充当板标记")
    private String oaPlateFlag;

    @ApiModelProperty(value = "轧制板坯厚度")
    private Long rollSlabThick;

    @ApiModelProperty(value = "轧制板坯宽度")
    private Long rollSlabWidth;

    @ApiModelProperty(value = "轧制板坯长度")
    private Long rollSlabLen;

    @ApiModelProperty(value = "轧制钢板厚度")
    private Long rollPltThick;

    @ApiModelProperty(value = "轧制钢板宽度")
    private Long rollPltWidth;

    @ApiModelProperty(value = "轧制钢板长度")
    private Long rollPltLen;

    @ApiModelProperty(value = "材料跟踪号")
    private String matTrackNo;

    @ApiModelProperty(value = "钢坯去向")
    private String destId;

    @ApiModelProperty(value = "模连铸标志")
    private String icCcFlag;

    @ApiModelProperty(value = "产品最终用途码")
    private String apn;

    @ApiModelProperty(value = "合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty(value = "会检机关")
    private String accpAuthCode;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ApiModelProperty(value = "轧制道次数")
    private Long rollCycNum;

    @ApiModelProperty(value = "出钢时板坯平均温度")
    private Long tapSlabTempAve;

    @ApiModelProperty(value = "备用代码-1")
    private String backCode1;

    @ApiModelProperty(value = "备用代码-2")
    private String backCode2;

    @ApiModelProperty(value = "备用代码-3")
    private String backCode3;

    @ApiModelProperty(value = "备用代码-4")
    private String backCode4;

    @ApiModelProperty(value = "备用代码-5")
    private String backCode5;

    @ApiModelProperty(value = "备用代码-6")
    private String backCode6;

    @ApiModelProperty(value = "备用代码-7")
    private String backCode7;

    @ApiModelProperty(value = "备用代码-8")
    private String backCode8;

    @ApiModelProperty(value = "备用代码-9")
    private String backCode9;

    @ApiModelProperty(value = "备用代码-10")
    private String backCode10;

    @ApiModelProperty(value = "材料号id", required = true)
    private Long matId;
}
