package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 二级接口xbhe08 vo
 *
 * @author 汉得-杨杰
 * @date 2024/10/15
 */
@Data
public class InterfaceXBHE08VO {

    @ApiModelProperty(value = "主工序代码")
    @JsonProperty("MAIN_BACKLOG_CODE")
    private String mainBacklogCode;

    @ApiModelProperty(value = "实物板坯号")
    @JsonProperty("SLAB_NO")
    private String slabNo;

    @ApiModelProperty(value = "铸件批次号")
    @JsonProperty("CAST_LOT_NO")
    private String castLotNo;

    @ApiModelProperty(value = "制造命令号")
    @JsonProperty("PONO")
    private String pono;

    @ApiModelProperty(value = "流号")
    @JsonProperty("STRAND_NO")
    private String strandNo;

    @ApiModelProperty(value = "钢坯类型")
    @JsonProperty("BILLET_TYPE")
    private String billetType;

    @ApiModelProperty(value = "板坯组号")
    @JsonProperty("SLAB_GROUP_NO")
    private Long slabGroupNo;

    @ApiModelProperty(value = "板坯块数")
    @JsonProperty("SLAB_NUM")
    private String slabNum;

    @ApiModelProperty(value = "品种代码")
    @JsonProperty("VARIETY_CODE")
    private String varietyCode;

    @ApiModelProperty(value = "钢种代码")
    @JsonProperty("STEEL_CODE")
    private String steelCode;

    @ApiModelProperty(value = "板坯厚度")
    @JsonProperty("SLAB_THICK")
    private BigDecimal slabThick;

    @ApiModelProperty(value = "板坯宽度")
    @JsonProperty("SLAB_WIDTH")
    private BigDecimal slabWidth;

    @ApiModelProperty(value = "板坯长度")
    @JsonProperty("SLAB_LEN")
    private String slabLen;

    @ApiModelProperty(value = "板坯长度最大值")
    @JsonProperty("SLAB_MAX_LEN")
    private String slabMaxLen;

    @ApiModelProperty(value = "板坯长度最小值")
    @JsonProperty("SLAB_MIN_LEN")
    private String slabMinLen;

    @ApiModelProperty(value = "板坯重量")
    @JsonProperty("SLAB_WT")
    private BigDecimal slabWt;

    @ApiModelProperty(value = "板坯重量最大值")
    @JsonProperty("SLAB_MAX_WT")
    private BigDecimal slabMaxWt;

    @ApiModelProperty(value = "板坯重量最小值")
    @JsonProperty("SLAB_MIN_WT")
    private BigDecimal slabMinWt;

    @ApiModelProperty(value = "订货长度上限")
    @JsonProperty("ORDER_LEN_MAX")
    private String orderLenMax;

    @ApiModelProperty(value = "订货长度下限")
    @JsonProperty("ORDER_LEN_MIN")
    private String orderLenMin;

    @ApiModelProperty(value = "订货最大短尺")
    @JsonProperty("ORDER_SHORT_MAX")
    private String orderShortMax;

    @ApiModelProperty(value = "订货最小短尺")
    @JsonProperty("ORDER_SHORT_MIN")
    private String orderShortMin;

    @ApiModelProperty(value = "订货短尺率")
    @JsonProperty("ORDER_SHORT_RATE")
    private BigDecimal orderShortRate;

    @ApiModelProperty(value = "进加热炉板坯宽度")
    @JsonProperty("INFUR_SLAB_WID")
    private BigDecimal infurSlabWid;

    @ApiModelProperty(value = "进加热炉板坯长度")
    @JsonProperty("INFUR_SLAB_LEN")
    private String infurSlabLen;

    @ApiModelProperty(value = "进加热炉板坯最大长度")
    @JsonProperty("INFUR_SLAB_MAX_LEN")
    private String infurSlabMaxLen;

    @ApiModelProperty(value = "进加热炉板坯最小长度")
    @JsonProperty("INFUR_SLAB_MIN_LEN")
    private String infurSlabMinLen;

    @ApiModelProperty(value = "进加热炉板坯重量")
    @JsonProperty("INFUR_SLAB_WT")
    private BigDecimal infurSlabWt;

    @ApiModelProperty(value = "进加热炉板坯最大重量")
    @JsonProperty("INFUR_SLAB_MAX_WT")
    private BigDecimal infurSlabMaxWt;

    @ApiModelProperty(value = "进加热炉板坯最小重量")
    @JsonProperty("INFUR_SLAB_MIN_WT")
    private BigDecimal infurSlabMinWt;

    @ApiModelProperty(value = "合同号")
    @JsonProperty("ORDER_NO")
    private String orderNo;

    @ApiModelProperty(value = "计划类型")
    @JsonProperty("PLAN_TYPE")
    private String planType;

    @ApiModelProperty(value = "板坯去向")
    @JsonProperty("SLAB_DEST")
    private String slabDest;

    @ApiModelProperty(value = "热送标记")
    @JsonProperty("HOT_SEND_FLAG")
    private String hotSendFlag;

    @ApiModelProperty(value = "热装标记")
    @JsonProperty("HOT_CHARGE_FLAG")
    private String hotChargeFlag;

    @ApiModelProperty(value = "修磨标志")
    @JsonProperty("MEND_FLAG")
    private String mendFlag;

    @ApiModelProperty(value = "板坯精整基准代码")
    @JsonProperty("SLAB_FINISH_CODE")
    private String slabFinishCode;

    @ApiModelProperty(value = "火焰清理区分")
    @JsonProperty("FLAME_CLEAN_DIV")
    private String flameCleanDiv;

    @ApiModelProperty(value = "新试号")
    @JsonProperty("NEW_TEST_NO")
    private String newTestNo;

    @ApiModelProperty(value = "短尺坯切割标记")
    @JsonProperty("SHORT_CUT_FLAG")
    private String shortCutFlag;

    @ApiModelProperty(value = "预定轧制计划号")
    @JsonProperty("PREC_ROLL_PLAN_NO")
    private String precRollPlanNo;

    @ApiModelProperty(value = "预定轧制计划顺序号")
    @JsonProperty("PREC_ROLL_SEQ_NO")
    private String precRollSeqNo;

    @ApiModelProperty(value = "板坯冷却基准代码")
    @JsonProperty("SLAB_COOL_CODE")
    private String slabCoolCode;

    @ApiModelProperty(value = "合同材/预备材区分")
    @JsonProperty("ORDER_REMAIN_DIV")
    private String orderRemainDiv;

    @ApiModelProperty(value = "炼钢最晚结束日期")
    @JsonProperty("STEEL_LATEST_DATE")
    private String steelLatestDate;
}
