package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 二级接口xbhe11 vo
 *
 * @author 汉得-杨杰
 * @date 2024/10/15
 */
@Data
public class InterfaceXBHE11VO {

    @ApiModelProperty(value = "主工序代码")
    @JsonProperty("MAIN_BACKLOG_CODE")
    private String mainBacklogCode;

    @ApiModelProperty(value = "铸坯号")
    @JsonProperty("CAST_LOT_NO")
    private String castLotNo;

    @ApiModelProperty(value = "出钢记号")
    @JsonProperty("ST_NO")
    private String stNo;

    @ApiModelProperty(value = "牌号（钢级）")
    @JsonProperty("SG_SIGN")
    private String sgSign;

    @ApiModelProperty(value = "LOT状态")
    @JsonProperty("LOT_STATUS")
    private Long lotStatus;

    @ApiModelProperty(value = "连铸机类型")
    @JsonProperty("CC_TYPE")
    private String ccType;

    @ApiModelProperty(value = "连铸计划类型")
    @JsonProperty("CC_PLAN_MODE")
    private String ccPlanMode;

    @ApiModelProperty(value = "紧急合同标志")
    @JsonProperty("URGENCY_ORDER_MARK")
    private String urgencyOrderMark;

    @ApiModelProperty(value = "材料申请类型")
    @JsonProperty("APP_TYPE")
    private String appType;

    @ApiModelProperty(value = "钢坯类型")
    @JsonProperty("BILLET_TYPE")
    private String billetType;

    @ApiModelProperty(value = "板坯组数")
    @JsonProperty("SLAB_GROUP_SUM")
    private Long slabGroupSum;

    @ApiModelProperty(value = "板坯厚度")
    @JsonProperty("SLAB_THICK")
    private BigDecimal slabThick;

    @ApiModelProperty(value = "板坯块数")
    @JsonProperty("SLAB_NUM")
    private Long slabNum;

}
