package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:46:47
 */
@Data
public class QdToLineupResultRollingVO implements Serializable {
    private static final long serialVersionUID = 438152858808960264L;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "全程工序途径码顺序号")
    private Long wholeBacklogNo;

    @ApiModelProperty(value = "全程工序顺序号")
    private Long wholeBacklogSeq;

    @ApiModelProperty(value = "全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "厚板流向代码")
    private String plateDtCode;

    @ApiModelProperty(value = "板坯厚度下限")
    private String slabThkMin;

    @ApiModelProperty(value = "板坯厚度上限")
    private String slabThkMax;

    @ApiModelProperty(value = "控轧代码")
    private String ctrlRollCode;

    @ApiModelProperty(value = "轧制方式")
    private String rollMode;

    @ApiModelProperty(value = "第二阶段厚度")
    private BigDecimal scdThick;

    @ApiModelProperty(value = "第二阶段开始温度")
    private BigDecimal scdBgTemp;

    @ApiModelProperty(value = "第二阶段结束温度")
    private BigDecimal scdEndTemp;

    @ApiModelProperty(value = "TMCP代码")
    private String tmcpCode;

    @ApiModelProperty(value = "中间冷却模式")
    private String middleCoolMode;

    @ApiModelProperty(value = "中间冷却最大冷却速度")
    private BigDecimal maxMiddleCoolSpeed;

    @ApiModelProperty(value = "开始轧制温度")
    private BigDecimal beginRollTemp;

    @ApiModelProperty(value = "第一控轧点厚度最小值")
    private BigDecimal minCr1Thick;

    @ApiModelProperty(value = "第一控轧点厚度下限倍数")
    private BigDecimal gaugeMulMin1;

    @ApiModelProperty(value = "第一控轧点温度代码")
    private String cr1TempCode;

    @ApiModelProperty(value = "第一控轧点温度目标值")
    private BigDecimal cr1TempAim;

    @ApiModelProperty(value = "第一控轧点温度最小值")
    private BigDecimal minCr1Temp;

    @ApiModelProperty(value = "第一控轧点温度最大值")
    private BigDecimal maxCr1Temp;

    @ApiModelProperty(value = "第一控轧点前最后道次的最小压下量")
    private BigDecimal minPressBefcr1;

    @ApiModelProperty(value = "第二控轧点厚度最小值")
    private BigDecimal minCr2Thick;

    @ApiModelProperty(value = "第二控轧点温度代码")
    private String cr2TempCode;

    @ApiModelProperty(value = "第二控轧点温度目标值")
    private BigDecimal cr2TempAim;

    @ApiModelProperty(value = "第二控轧点温度最小值")
    private BigDecimal minCr2Temp;

    @ApiModelProperty(value = "第二控轧点温度最大值")
    private BigDecimal maxCr2Temp;

    @ApiModelProperty(value = "第二控轧点前最后道次的最小压下量")
    private BigDecimal minPressBefcr2;

    @ApiModelProperty(value = "终轧温度代码")
    private String afftTempCode;

    @ApiModelProperty(value = "终轧温度目标值")
    private BigDecimal afftTempAim;

    @ApiModelProperty(value = "终轧温度最小值")
    private BigDecimal minAfftTemp;

    @ApiModelProperty(value = "终轧温度最大值")
    private BigDecimal maxAfftTemp;

    @ApiModelProperty(value = "延伸轧制阶段最小压下量")
    private BigDecimal minPressLast;

    @ApiModelProperty(value = "轧制方向代码")
    private String rollDirectCode;

    @ApiModelProperty(value = "成品轧制方向代码")
    private String finRollDirectCode;

    @ApiModelProperty(value = "机架使用标志")
    private String standFlag;

    @ApiModelProperty(value = "热矫可否")
    private String hotRectifyFlag;

    @ApiModelProperty(value = "预矫可否")
    private String hotRectifyMethodCode;

    @ApiModelProperty(value = "AD类型代码")
    private String adTypeCode;

    @ApiModelProperty(value = "AD控制模式代码")
    private String adModeCode;

    @ApiModelProperty(value = "ACC冷却开始温度")
    private BigDecimal accTempStart;

    @ApiModelProperty(value = "ACC冷却结束温度")
    private BigDecimal accTempEnd;

    @ApiModelProperty(value = "钢板表面温度最小值")
    private BigDecimal plateSurfTempMin;

    @ApiModelProperty(value = "ACC冷却速率")
    private BigDecimal accColdV;

    @ApiModelProperty(value = "ACC冷却开始等待时间上限")
    private BigDecimal maxAccWaitTime;

    @ApiModelProperty(value = "ACC冷却开始等待时间下限")
    private BigDecimal minAccWaitTime;

    @ApiModelProperty(value = "快冷开始温度目标值")
    private BigDecimal fastBgTempAim;

    @ApiModelProperty(value = "快冷开始温度上限")
    private BigDecimal maxFastBgTemp;

    @ApiModelProperty(value = "快冷开始温度下限")
    private BigDecimal minFastBgTemp;

    @ApiModelProperty(value = "快冷速率目标值")
    private BigDecimal fastSpAim;

    @ApiModelProperty(value = "快冷速率上限")
    private BigDecimal maxFastSp;

    @ApiModelProperty(value = "快冷速率下限")
    private BigDecimal minFastSp;

    @ApiModelProperty(value = "快冷结束温度目标值")
    private BigDecimal fastEndTempAim;

    @ApiModelProperty(value = "快冷结束温度上限")
    private BigDecimal maxFastEndTemp;

    @ApiModelProperty(value = "快冷结束温度下限")
    private BigDecimal minFastEndTemp;

    @ApiModelProperty(value = "慢冷开始温度1目标值")
    private BigDecimal slow1TBgTempAim;

    @ApiModelProperty(value = "慢冷开始温度1上限")
    private BigDecimal maxSlow1BgTemp;

    @ApiModelProperty(value = "慢冷开始温度1下限")
    private BigDecimal minSlow1BgTemp;

    @ApiModelProperty(value = "慢冷速率1目标值")
    private BigDecimal slow1SpAim;

    @ApiModelProperty(value = "慢冷速率1上限")
    private BigDecimal maxSlow1Sp;

    @ApiModelProperty(value = "慢冷速率1下限")
    private BigDecimal minSlow1Sp;

    @ApiModelProperty(value = "慢冷结束温度1目标值")
    private BigDecimal slow1EndTempAim;

    @ApiModelProperty(value = "慢冷结束温度1上限")
    private BigDecimal maxSlow1EndTemp;

    @ApiModelProperty(value = "慢冷结束温度1下限")
    private BigDecimal minSlow1EndTemp;

    @ApiModelProperty(value = "慢冷开始温度2目标值")
    private BigDecimal slow2TBgTempAim;

    @ApiModelProperty(value = "慢冷开始温度2上限")
    private BigDecimal maxSlow2BgTemp;

    @ApiModelProperty(value = "慢冷开始温度2下限")
    private BigDecimal minSlow2BgTemp;

    @ApiModelProperty(value = "慢冷速率2目标值")
    private BigDecimal slow2SpAim;

    @ApiModelProperty(value = "慢冷速率2上限")
    private BigDecimal maxSlow2Sp;

    @ApiModelProperty(value = "慢冷速率2下限")
    private BigDecimal minSlow2Sp;

    @ApiModelProperty(value = "慢冷结束温度2目标值")
    private BigDecimal slow2EndTempAim;

    @ApiModelProperty(value = "慢冷结束温度2上限")
    private BigDecimal maxSlow2EndTemp;

    @ApiModelProperty(value = "慢冷结束温度2下限")
    private BigDecimal minSlow2EndTemp;

    @ApiModelProperty(value = "冷矫可否")
    private String coldRectifyFlag;

    @ApiModelProperty(value = "温矫可否")
    private String warmRectifyFlag;

    @ApiModelProperty(value = "压平可否")
    private String canPressFlag;

    @ApiModelProperty(value = "温压可否")
    private String warmPressFlag;

    @ApiModelProperty(value = "带温压平开始温度下限")
    private BigDecimal wpTempMin;

    @ApiModelProperty(value = "展宽比下限")
    private BigDecimal widenMin;

    @ApiModelProperty(value = "压缩比下限")
    private BigDecimal compressMin;

    @ApiModelProperty(value = "大压下指定")
    private String pressAppoint;

    @ApiModelProperty(value = "轧制倍尺可否")
    private String multiPlateFlag;

    @ApiModelProperty(value = "抗氧化处理")
    private String resistOx;

    @ApiModelProperty(value = "磁粉探伤要否")
    private String magDetectFlag;

    @ApiModelProperty(value = "浸透探伤要否")
    private String mtDetectFlag;

    @ApiModelProperty(value = "板坯抛丸要否")
    private String btShotFlag;

    @ApiModelProperty(value = "装入代码")
    private String loadCode;

    @ApiModelProperty(value = "除鳞模式2")
    private String descaleMode;

    @ApiModelProperty(value = "计划类型")
    private String planType;

    @ApiModelProperty(value = "C炉钢种区分代码")
    private String steelDiviCCode;

    @ApiModelProperty(value = "C炉温度指定代码")
    private String tempAppoCCode;

    @ApiModelProperty(value = "B炉钢种区分代码")
    private String steelDiviBCode;

    @ApiModelProperty(value = "B炉温度指定代码")
    private String tempAppoBCode;

    @ApiModelProperty(value = "T炉钢种区分代码")
    private String steelDiviTCode;

    @ApiModelProperty(value = "T炉温度指定代码")
    private String tempAppoTCode;

    @ApiModelProperty(value = "粗轧压下率")
    private String roughRollReducRate;

    @ApiModelProperty(value = "中间坯厚度类型")
    private String midSlabThkType;

    @ApiModelProperty(value = "中间坯厚度下限")
    private String midSlabThkMin;

    @ApiModelProperty(value = "中间坯厚度上限")
    private String midSlabThkMax;

    @ApiModelProperty(value = "中间坯厚度目标")
    private String midSlabThkAim;

    @ApiModelProperty(value = "中间坯水冷要求")
    private String middleSlabWaterCool;

    @ApiModelProperty(value = "开冷温度下限")
    private String coolOnMin;

    @ApiModelProperty(value = "开冷温度上限")
    private String coolOnMax;

    @ApiModelProperty(value = "冷却速度下限")
    private String coolSpeedMin;

    @ApiModelProperty(value = "冷却速度上限")
    private String coolSpeedMax;

    @ApiModelProperty(value = "返红温度下限")
    private BigDecimal rednessTempMin;

    @ApiModelProperty(value = "返红温度上限")
    private BigDecimal rednessTempMax;

    @ApiModelProperty(value = "板材堆冷时间下限")
    private String boardCoolReqMin;

    @ApiModelProperty(value = "冷却方式")
    private String coolType;

}
