package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:56:20
 */

@Getter
@Setter
@ApiModel("合同处理精整工艺标准")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "QD_TO_LINEUP_RESULT_SIZING")
public class QdToLineupResultSizingVO1 extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 802208453467605498L;

    @ApiModelProperty("表ID，主键")
    @Id
    private Long lrsId;

    @ApiModelProperty(value = "合同号", required = true)
    @NotBlank
    private String orderNo;

    @ApiModelProperty(value = "全程工序途径码顺序号")
    private Long wholeBacklogNo;

    @ApiModelProperty(value = "全程工序顺序号")
    private Long wholeBacklogSeq;

    @ApiModelProperty(value = "全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty(value = "产线号", required = true)
    @NotBlank
    private String mscLineNo;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "工场作业特别要求")
    private String workSpecialReq;

    @ApiModelProperty(value = "尾部有无试样")
    private String tailTestMark;

    @ApiModelProperty(value = "取样方式代码")
    private String sampleModeCode;

    @ApiModelProperty(value = "钢板缓冷代码")
    private String coolCode;

    @ApiModelProperty(value = "探伤方式代码")
    private String ultDetectMethodCode;

    @ApiModelProperty(value = "超声波探伤灵敏度")
    private String ultDetectSst;

    @ApiModelProperty(value = "标准试块")
    private Long stdTestBlock;

    @ApiModelProperty(value = "耦合介质")
    private String couplingMedia;

    @ApiModelProperty(value = "超声探头类型")
    private String ultDetectorType;

    @ApiModelProperty(value = "探伤装置")
    private String ultDetectEquip;

    @ApiModelProperty(value = "超声探伤代码")
    private String ultCode;

    @ApiModelProperty(value = "超声探伤位置代码")
    private String ultPosCode;

    @ApiModelProperty(value = "超声探伤扫查模式代码")
    private String ultCheckCode;

    @ApiModelProperty(value = "超声探伤时期代码")
    private String ultPdCode;

    @ApiModelProperty(value = "探伤图要否")
    private String utPic;

    @ApiModelProperty(value = "探伤报告")
    private String ultDetectReport;

    @ApiModelProperty(value = "超声管理区分")
    private String ultDetectManage;

    @ApiModelProperty(value = "磁粉探伤标准代码")
    private String magDetectStdCode;

    @ApiModelProperty(value = "磁粉探伤位置代码")
    private String magDetectPosCode;

    @ApiModelProperty(value = "浸透探伤标准代码")
    private String mtDetectStdCode;

    @ApiModelProperty(value = "浸透探伤位置代码")
    private String mtDetectPosCode;

    @ApiModelProperty(value = "切断方式代码")
    private String cutModeCode;

    @ApiModelProperty(value = "气切可否")
    private String gFlag;

    @ApiModelProperty(value = "CS可否")
    private String csFlag;

    @ApiModelProperty(value = "DSS可否")
    private String dssFlag;

    @ApiModelProperty(value = "SS可否")
    private String ssFlag;

    @ApiModelProperty(value = "DS可否")
    private String dsFlag;

    @ApiModelProperty(value = "带温切割代码")
    private String warmCutCode;

    @ApiModelProperty(value = "头部切舍量")
    private Long headCut;

    @ApiModelProperty(value = "尾部切舍量")
    private Long tailCut;

    @ApiModelProperty(value = "表面修磨可否")
    private String sfRepairFlag;

    @ApiModelProperty(value = "表面修磨砂轮粒度")
    private Long grindingWheel;

    @ApiModelProperty(value = "表面修磨方式")
    private String surfMode;

    @ApiModelProperty(value = "表面修磨面积")
    private Long surfArea;

    @ApiModelProperty(value = "表面修磨深度")
    private Long surfDepth;

    @ApiModelProperty(value = "表面修磨基准代码")
    private String surfNormCode;

    @ApiModelProperty(value = "焊接修补可否")
    private String weldRpFlag;

    @ApiModelProperty(value = "精检指示")
    private String checkDir;

    @ApiModelProperty(value = "表面检查基准")
    private String surfCheckNorm;

    @ApiModelProperty(value = "断面检查基准")
    private String cutCheckNorm;

    @ApiModelProperty(value = "不平度检查基准")
    private String flatCheckNorm;

    @ApiModelProperty(value = "同板差上限")
    private Long lmtTolMax;

    @ApiModelProperty(value = "平坦度测量模式代码")
    private String platMeasureModeCode;

    @ApiModelProperty(value = "平坦度测量长度代码")
    private String platMeasureLenCode;

    @ApiModelProperty(value = "平坦度方向代码")
    private String platDirectCode;

    @ApiModelProperty(value = "平坦度指标")
    private Long platIndex;

    @ApiModelProperty(value = "平坦度测量模式代码2")
    private String platMeasureModeCode2;

    @ApiModelProperty(value = "平坦度测量长度代码2")
    private String platMeasureLenCode2;

    @ApiModelProperty(value = "平坦度方向代码2")
    private String platDirectCode2;

    @ApiModelProperty(value = "平坦度指标2")
    private Long platIndex2;

    @ApiModelProperty(value = "钢板凸度")
    private Long plateCrown;

    @ApiModelProperty(value = "正负标志")
    private String plusFlag;

    @ApiModelProperty(value = "平面直角度测量模式代码")
    private String paMeasureModeCode;

    @ApiModelProperty(value = "平面直角度指标")
    private Long paIndex;

    @ApiModelProperty(value = "断面直角度测量模式代码")
    private String daMeasureModeCode;

    @ApiModelProperty(value = "断面直角度指标")
    private Long daIndex;

    @ApiModelProperty(value = "镰刀弯最大值")
    private Long maxLateralBend;

    @ApiModelProperty(value = "测量长度最大值")
    private Long maxMeasureLen;

    @ApiModelProperty(value = "测量长度最小值")
    private Long minMeasureLen;

    @ApiModelProperty(value = "对角线下限")
    private Long diagonalMin;

    @ApiModelProperty(value = "对角线上限")
    private Long diagonalMax;

    @ApiModelProperty(value = "单位塔形度上限")
    private Long unitTowerMax;

    @ApiModelProperty(value = "总塔形度上限")
    private Long totalTowerMax;

    @ApiModelProperty(value = "标贴位置代码")
    private String labelPlaceCode;

    @ApiModelProperty(value = "喷印模式")
    private String printMode;

    @ApiModelProperty(value = "侧喷模式")
    private String pSideSprayMode;

    @ApiModelProperty(value = "公英制标志")
    private String metricOrEngFlag;

    @ApiModelProperty(value = "国内外标志")
    private String domeExptMark;

    @ApiModelProperty(value = "喷印方式", required = true)
    @NotNull
    private Long printType;

    @ApiModelProperty(value = "面喷第一行")
    private String facePrintDetailA;

    @ApiModelProperty(value = "面喷第二行")
    private String facePrintDetailB;

    @ApiModelProperty(value = "面喷第三行")
    private String facePrintDetailC;

    @ApiModelProperty(value = "面喷第四行")
    private String facePrintDetailD;

    @ApiModelProperty(value = "面喷第五行")
    private String facePrintDetailE;

    @ApiModelProperty(value = "面喷第六行")
    private String facePrintDetailF;

    @ApiModelProperty(value = "面喷第七行")
    private String facePrintDetailG;

    @ApiModelProperty(value = "面喷第八行")
    private String facePrintDetailH;

    @ApiModelProperty(value = "侧喷第一行")
    private String sidePrintDetailA;

    @ApiModelProperty(value = "侧喷第二行")
    private String sidePrintDetailB;

    @ApiModelProperty(value = "刻印第一行")
    private String stampPrintDetailA;

    @ApiModelProperty(value = "刻印第二行")
    private String stampPrintDetailB;

    @ApiModelProperty(value = "刻印第三行")
    private String stampPrintDetailC;

    @ApiModelProperty(value = "刻印第四行")
    private String stampPrintDetailD;

    @ApiModelProperty(value = "屈服强度代表值")
    private Long ysStand;

    @ApiModelProperty(value = "屈服强度说明")
    private String ysRemark;

    @ApiModelProperty(value = "抗拉强度代表值")
    private Long tsStand;

    @ApiModelProperty(value = "抗拉强度说明")
    private String tsRemark;

    @ApiModelProperty(value = "抗拉强度最大值")
    private Long tsMax;

    @ApiModelProperty(value = "抗拉强度最小值")
    private Long tsMin;

    @ApiModelProperty(value = "硬度目标值")
    private Long hardnessAim;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
