package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;


/**
 * 合同处理产线组合(QdToPoLineComb)实体类
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:45:45
 */

@Getter
@Setter
@ApiModel("合同处理产线组合")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "QD_TO_PO_LINE_COMB")
public class QdToPoLineCombVO1 extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 353557994057085337L;

    public static final String FIELD_POLC_ID = "polcId";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_WHOLE_BACKLOG_NO = "wholeBacklogNo";
    public static final String FIELD_WHOLE_BACKLOG = "wholeBacklog";
    public static final String FIELD_MSC_LINE_TYPE = "mscLineType";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_APN = "apn";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_ST_GRADE = "stGrade";
    public static final String FIELD_MAT_DESIGN_FLAG = "matDesignFlag";
    public static final String FIELD_ROLL_LEN_MAX_TNO = "rollLenMaxTno";
    public static final String FIELD_PREP_NUM = "prepNum";
    public static final String FIELD_DEFAULT_FLAG = "defaultFlag";
    public static final String FIELD_HOLD_FLAG = "holdFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("表ID，主键")
    @Id
    @GeneratedValue
    private Long polcId;

    @ApiModelProperty(value = "合同号", required = true)
    @NotBlank
    private String orderNo;

    @ApiModelProperty(value = "全程工序途径码顺序号")
    private Long wholeBacklogNo;

    @ApiModelProperty(value = "全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty(value = "产线类型", required = true)
    @NotBlank
    private String mscLineType;

    @ApiModelProperty(value = "产线号", required = true)
    @NotBlank
    private String mscLineNo;

    @ApiModelProperty(value = "最终用途")
    private String apn;

    @ApiModelProperty(value = "内部钢种", required = true)
    @NotBlank
    private String stNo;

    @ApiModelProperty(value = "钢级代码", required = true)
    @NotBlank
    private String stGrade;

    @ApiModelProperty(value = "人工材料设计标记")
    private String matDesignFlag;

    @ApiModelProperty(value = "最大轧件长表号")
    private String rollLenMaxTno;

    @ApiModelProperty(value = "预备板块数")
    private Long prepNum;

    @ApiModelProperty(value = "默认标记")
    private String defaultFlag;

    @ApiModelProperty(value = "封锁标记")
    private String holdFlag;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
