package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/9 8:59
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class QdToPoOrderVO implements Serializable {
    private static final long serialVersionUID = 8730533838860798850L;

    @ApiModelProperty("合约号")
    private String pactNo;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty("订货重量")
    private BigDecimal orderWt;

    @ApiModelProperty("订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty("订货长度")
    private BigDecimal orderLen;

    @ApiModelProperty("船体分段号")
    private String hullSectionNo;

    @ApiModelProperty("奉送样标记")
    private String giveSampleFlag;

    @ApiModelProperty("是否分段管理")
    private String sectionManage;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

    @ApiModelProperty("合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty("合同单重")
    private BigDecimal orderUnitAimWt;

    @ApiModelProperty("是否探伤")
    private String isUt;
    
    private String shotFlag;

    @ApiModelProperty("超声探伤标准1")
    private String ultDetectStd1;

    @ApiModelProperty("超声探伤标准2")
    private String ultDetectStd2;

    @ApiModelProperty("超声探伤标准3")
    private String ultDetectStd3;

    @ApiModelProperty("产品规范码")
    private String psc;

    @ApiModelProperty("冶金规范码")
    private String msc;

    @ApiModelProperty("产品最终用途码")
    private String apn;

    @ApiModelProperty("标准")
    private String sgStd;

    @ApiModelProperty("厚板品种代码")
    private String prodCodeHp;

    @ApiModelProperty("钢种")
    private String stNo;

    @ApiModelProperty("全程工序途经码")
    private String wholeBacklog;

    @ApiModelProperty("厚板流向代码")
    private String plateDtCode;

    @ApiModelProperty("钢级")
    private String stGrade;

    @ApiModelProperty("计重方式代码")
    private String wtMethodCode;

    @ApiModelProperty("产线")
    private String mscLineNo;
}
