package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * MES合同主档(QdToPoOrder)实体类
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:44:30
 */

@Getter
@Setter
@ApiModel("MES合同主档")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "QD_TO_PO_ORDER")
public class QdToPoOrderVO1 extends AuditDomain implements Serializable {
    public static final String FIELD_POM_ID = "pomId";
    public static final String FIELD_PACT_NO = "pactNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_SEND_NUM = "sendNum";
    public static final String FIELD_ORDER_TYPE_CODE = "orderTypeCode";
    public static final String FIELD_ORDER_NO_ERP = "orderNoErp";
    public static final String FIELD_ORDER_NO_CUSTOM = "orderNoCustom";
    public static final String FIELD_MERG_ORDER_NO = "mergOrderNo";
    public static final String FIELD_ORDER_CREATE_TIME = "orderCreateTime";
    public static final String FIELD_ORDER_RECV_TIME = "orderRecvTime";
    public static final String FIELD_DELIVY_DATE = "delivyDate";
    public static final String FIELD_DELIVY_DATE_PERD = "delivyDatePerd";
    public static final String FIELD_DELIVY_DATE_ACCU = "delivyDateAccu";
    public static final String FIELD_DELIVY_DATE_USER = "delivyDateUser";
    public static final String FIELD_PROD_READY_DATE = "prodReadyDate";
    public static final String FIELD_URG_ORDER_FLAG = "urgOrderFlag";
    public static final String FIELD_DELIVY_QTY_FLAG = "delivyQtyFlag";
    public static final String FIELD_FIN_CUST_CODE = "finCustCode";
    public static final String FIELD_FIN_CUST_ENAME = "finCustEname";
    public static final String FIELD_FIN_CUST_CNAME = "finCustCname";
    public static final String FIELD_ORDER_CUST_CODE = "orderCustCode";
    public static final String FIELD_ORDER_CUST_ENAME = "orderCustEname";
    public static final String FIELD_ORDER_CUST_CNAME = "orderCustCname";
    public static final String FIELD_CONSIGN_USER_CODE = "consignUserCode";
    public static final String FIELD_CONSIGN_CUST_ENAME = "consignCustEname";
    public static final String FIELD_CONSIGN_CUST_CNAME = "consignCustCname";
    public static final String FIELD_BALANCE_USER_CODE = "balanceUserCode";
    public static final String FIELD_BALANCE_USER_CNAME = "balanceUserCname";
    public static final String FIELD_BALANCE_USER_ENAME = "balanceUserEname";
    public static final String FIELD_PSC = "psc";
    public static final String FIELD_APN = "apn";
    public static final String FIELD_MSC = "msc";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_SG_STD = "sgStd";
    public static final String FIELD_SURFACE_ACCU = "surfaceAccu";
    public static final String FIELD_SURFACE_ACCU_CLASS_CODE = "surfaceAccuClassCode";
    public static final String FIELD_SURFACE_ACCU_CODE = "surfaceAccuCode";
    public static final String FIELD_CUST_STD_CODE = "custStdCode";
    public static final String FIELD_CUST_STD = "custStd";
    public static final String FIELD_CUST_SG_CODE = "custSgCode";
    public static final String FIELD_CUST_SG = "custSg";
    public static final String FIELD_PROD_CODE = "prodCode";
    public static final String FIELD_PROD_ENAME = "prodEname";
    public static final String FIELD_PROD_ENAME_OTHER = "prodEnameOther";
    public static final String FIELD_PROD_CNAME = "prodCname";
    public static final String FIELD_PROD_CNAME_OTHER = "prodCnameOther";
    public static final String FIELD_CERTI_NUM = "certiNum";
    public static final String FIELD_METRIC_OR_ENG_FLAG = "metricOrEngFlag";
    public static final String FIELD_CHN_OR_ENG_FLAG = "chnOrEngFlag";
    public static final String FIELD_ORDER_THICK = "orderThick";
    public static final String FIELD_ORDER_ENG_THICK = "orderEngThick";
    public static final String FIELD_ORDER_WIDTH = "orderWidth";
    public static final String FIELD_ORDER_ENG_WIDTH = "orderEngWidth";
    public static final String FIELD_ORDER_LEN = "orderLen";
    public static final String FIELD_ORDER_ENG_LEN = "orderEngLen";
    public static final String FIELD_ORDER_MIN_LEN = "orderMinLen";
    public static final String FIELD_ORDER_MAX_LEN = "orderMaxLen";
    public static final String FIELD_ORDER_ENG_MIN_LEN = "orderEngMinLen";
    public static final String FIELD_ORDER_ENG_MAX_LEN = "orderEngMaxLen";
    public static final String FIELD_ORDER_WT = "orderWt";
    public static final String FIELD_DELIVY_WT_TOL_PLUS = "delivyWtTolPlus";
    public static final String FIELD_DELIVY_WT_TOL_MINUS = "delivyWtTolMinus";
    public static final String FIELD_ORDER_UNIT_AIM_WT = "orderUnitAimWt";
    public static final String FIELD_ORDER_UNIT_MIN_WT = "orderUnitMinWt";
    public static final String FIELD_ORDER_UNIT_MAX_WT = "orderUnitMaxWt";
    public static final String FIELD_ORDER_SHORT_RATE = "orderShortRate";
    public static final String FIELD_ORDER_SHORT_MAX = "orderShortMax";
    public static final String FIELD_ORDER_SHORT_MIN = "orderShortMin";
    public static final String FIELD_ORDER_UNIT_CODE = "orderUnitCode";
    public static final String FIELD_ORDER_QTY = "orderQty";
    public static final String FIELD_ORDER_NUM = "orderNum";
    public static final String FIELD_DELIVY_NUM_TOL_PLUS = "delivyNumTolPlus";
    public static final String FIELD_DELIVY_NUM_TOL_MINUS = "delivyNumTolMinus";
    public static final String FIELD_WT_METHOD_CODE = "wtMethodCode";
    public static final String FIELD_WT_METHOD_NAME = "wtMethodName";
    public static final String FIELD_PACK_TYPE_CODE = "packTypeCode";
    public static final String FIELD_MARK_TYPE_CODE = "markTypeCode";
    public static final String FIELD_MARK_TYPE_DESC = "markTypeDesc";
    public static final String FIELD_MARK_POS_CODE = "markPosCode";
    public static final String FIELD_MARK_POS_DESC = "markPosDesc";
    public static final String FIELD_ORDER_SPECIAL = "orderSpecial";
    public static final String FIELD_NEW_TEST_NO = "newTestNo";
    public static final String FIELD_EXPORT_FLAG = "exportFlag";
    public static final String FIELD_TRNP_MODE_CODE = "trnpModeCode";
    public static final String FIELD_DELIVY_PLACE_CODE = "delivyPlaceCode";
    public static final String FIELD_DELIVY_PLACE_NAME = "delivyPlaceName";
    public static final String FIELD_PROD_DIF = "prodDif";
    public static final String FIELD_PROD_CODE_HP = "prodCodeHp";
    public static final String FIELD_PROD_DENSITY = "prodDensity";
    public static final String FIELD_PROD_AUTH = "prodAuth";
    public static final String FIELD_BETTER_SURF_WARD_CODE = "betterSurfWardCode";
    public static final String FIELD_WT_AIM = "wtAim";
    public static final String FIELD_CHECK_METHOD_CODE = "checkMethodCode";
    public static final String FIELD_ACCPT_MODE_CODE = "accptModeCode";
    public static final String FIELD_ACCP_AUTH_CODE = "accpAuthCode";
    public static final String FIELD_ACCPT_STD = "accptStd";
    public static final String FIELD_CHECK_AUTH_CODE = "checkAuthCode";
    public static final String FIELD_DELIVY_DATE_TRNP = "delivyDateTrnp";
    public static final String FIELD_USER_APPO_THICK = "userAppoThick";
    public static final String FIELD_TWO_ROLL_ORDER_MARK = "twoRollOrderMark";
    public static final String FIELD_TWO_ROLL_MARK = "twoRollMark";
    public static final String FIELD_ORDER_MODI_QMARK = "orderModiQmark";
    public static final String FIELD_PROJECT_CODE = "projectCode";
    public static final String FIELD_PROJECT_NAME = "projectName";
    public static final String FIELD_SHP_CODE = "shpCode";
    public static final String FIELD_WIDTH_DIV = "widthDiv";
    public static final String FIELD_WIDTH_MIN = "widthMin";
    public static final String FIELD_WIDTH_MAX = "widthMax";
    public static final String FIELD_LEN_DIV = "lenDiv";
    public static final String FIELD_LEN_AIM = "lenAim";
    public static final String FIELD_WT_THICK_ADD = "wtThickAdd";
    public static final String FIELD_GAUGE_COMP = "gaugeComp";
    public static final String FIELD_USER_MANAGE_NM = "userManageNm";
    public static final String FIELD_SHOT_FLAG = "shotFlag";
    public static final String FIELD_SHOT_PAINT_CODE = "shotPaintCode";
    public static final String FIELD_TOP_PAINT_CODE = "topPaintCode";
    public static final String FIELD_BOT_PAINT_CODE = "botPaintCode";
    public static final String FIELD_STACK_MARK = "stackMark";
    public static final String FIELD_STACK_MARK_SIZE = "stackMarkSize";
    public static final String FIELD_TRIM_FLAG = "trimFlag";
    public static final String FIELD_PRIVATE_ROUTE_CODE = "privateRouteCode";
    public static final String FIELD_PRIVATE_ROUTE_NAME = "privateRouteName";
    public static final String FIELD_GIVE_SAMPLE_FLAG = "giveSampleFlag";
    public static final String FIELD_GIVE_SAMPLE_SHARP = "giveSampleSharp";
    public static final String FIELD_GIVE_SAMPLE_LEN = "giveSampleLen";
    public static final String FIELD_SETTLE_CODE = "settleCode";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_CERTI_STD = "certiStd";
    public static final String FIELD_SPECIAL_PRINT = "specialPrint";
    public static final String FIELD_SECTION_MANAGE = "sectionManage";
    public static final String FIELD_HULL_SECTION_NO = "hullSectionNo";
    public static final String FIELD_MIN_THICK = "minThick";
    public static final String FIELD_MAX_THICK = "maxThick";
    public static final String FIELD_NUCEAR_PART_NO = "nucearPartNo";
    public static final String FIELD_DELIVERY_DATE = "deliveryDate";
    public static final String FIELD_PUR_ORDER = "purOrder";
    public static final String FIELD_INGOT_ROLL = "ingotRoll";
    public static final String FIELD_SCALE_THICK = "scaleThick";
    public static final String FIELD_NEED_LECQUERING = "needLecquering";
    public static final String FIELD_WITNESS_PRO_NO = "witnessProNo";
    public static final String FIELD_WITNESS_TYPE = "witnessType";
    public static final String FIELD_START_WORK_FILE_FLAG = "startWorkFileFlag";
    public static final String FIELD_THICK_TOL_MAX = "thickTolMax";
    public static final String FIELD_THICK_TOL_MIN = "thickTolMin";
    public static final String FIELD_PRODUCT_TARG_THICK = "productTargThick";
    public static final String FIELD_WIDTH_TOL_MAX = "widthTolMax";
    public static final String FIELD_WIDTH_TOL_MIN = "widthTolMin";
    public static final String FIELD_LEN_TOL_MAX = "lenTolMax";
    public static final String FIELD_LEN_TOL_MIN = "lenTolMin";
    public static final String FIELD_THICK_ADDV = "thickAddv";
    public static final String FIELD_WIDTH_ADDV = "widthAddv";
    public static final String FIELD_LEN_ADDV = "lenAddv";
    public static final String FIELD_MAT_DESIGN_FLAG = "matDesignFlag";
    public static final String FIELD_UOE_FLAG = "uoeFlag";
    public static final String FIELD_SAMPLE_LEN_HEAD = "sampleLenHead";
    public static final String FIELD_SAMPLE_LEN_TAIL = "sampleLenTail";
    public static final String FIELD_RAIN_DELV_FLAG = "rainDelvFlag";
    public static final String FIELD_ULT_DETECT_STD1 = "ultDetectStd1";
    public static final String FIELD_ULT_DETECT_STD2 = "ultDetectStd2";
    public static final String FIELD_ULT_DETECT_STD3 = "ultDetectStd3";
    public static final String FIELD_ULT_DETECT_STD4 = "ultDetectStd4";
    public static final String FIELD_ULT_DETECT_STD5 = "ultDetectStd5";
    public static final String FIELD_BACKLOG_UT_MARK = "backlogUtMark";
    public static final String FIELD_BACKLOG_N_MARK = "backlogNMark";
    public static final String FIELD_BACKLOG_Q_MARK = "backlogQMark";
    public static final String FIELD_BACKLOG_T_MARK = "backlogTMark";
    public static final String FIELD_BACKLOG_A_MARK = "backlogAMark";
    public static final String FIELD_BACKLOG_DEMAG_MARK = "backlogDemagMark";
    public static final String FIELD_BACKLOG_PT_MARK = "backlogPtMark";
    public static final String FIELD_BACKLOG_MT_MARK = "backlogMtMark";
    public static final String FIELD_BACKLOG_TMCP_MARK = "backlogTmcpMark";
    public static final String FIELD_PROD_SR_MARK = "prodSrMark";
    public static final String FIELD_PROD_SIDE_MARK = "prodSideMark";
    public static final String FIELD_PROD_SHOT_MARK = "prodShotMark";
    public static final String FIELD_PROD_N_MARK = "prodNMark";
    public static final String FIELD_PROD_Q_MARK = "prodQMark";
    public static final String FIELD_PROD_T_MARK = "prodTMark";
    public static final String FIELD_PROD_A_MARK = "prodAMark";
    public static final String FIELD_C_DIV = "cDiv";
    public static final String FIELD_ALLOY_DIV = "alloyDiv";
    public static final String FIELD_SLAB_MIN_LEN_RATE = "slabMinLenRate";
    public static final String FIELD_SLAB_MAX_LEN_RATE = "slabMaxLenRate";
    public static final String FIELD_SLAB_MIN_WT_RATE = "slabMinWtRate";
    public static final String FIELD_PICK_PATTERN_CODE = "pickPatternCode";
    public static final String FIELD_SAMPLE_MODE_CODE = "sampleModeCode";
    public static final String FIELD_PLATE_CROWN = "plateCrown";
    public static final String FIELD_PLUS_FLAG = "plusFlag";
    public static final String FIELD_DELIVERY_STATE = "deliveryState";
    public static final String FIELD_PLANER_FLAG = "planerFlag";
    public static final String FIELD_STAINLESS_THK = "stainlessThk";
    public static final String FIELD_COMP_BOARD_DENSITY = "compBoardDensity";
    public static final String FIELD_PROD_CLASS_CODE = "prodClassCode";
    public static final String FIELD_PAY_CODE = "payCode";
    public static final String FIELD_PROV_CODE = "provCode";
    public static final String FIELD_PRINT_TYPE = "printType";
    public static final String FIELD_FACE_PRINT_DETAIL_A = "facePrintDetailA";
    public static final String FIELD_FACE_PRINT_DETAIL_B = "facePrintDetailB";
    public static final String FIELD_FACE_PRINT_DETAIL_C = "facePrintDetailC";
    public static final String FIELD_FACE_PRINT_DETAIL_D = "facePrintDetailD";
    public static final String FIELD_FACE_PRINT_DETAIL_E = "facePrintDetailE";
    public static final String FIELD_FACE_PRINT_DETAIL_F = "facePrintDetailF";
    public static final String FIELD_FACE_PRINT_DETAIL_G = "facePrintDetailG";
    public static final String FIELD_FACE_PRINT_DETAIL_H = "facePrintDetailH";
    public static final String FIELD_SIDE_PRINT_DETAIL_A = "sidePrintDetailA";
    public static final String FIELD_SIDE_PRINT_DETAIL_B = "sidePrintDetailB";
    public static final String FIELD_STAMP_PRINT_DETAIL_A = "stampPrintDetailA";
    public static final String FIELD_STAMP_PRINT_DETAIL_B = "stampPrintDetailB";
    public static final String FIELD_STAMP_PRINT_DETAIL_C = "stampPrintDetailC";
    public static final String FIELD_STAMP_PRINT_DETAIL_D = "stampPrintDetailD";
    public static final String FIELD_YS_STAND = "ysStand";
    public static final String FIELD_YS_REMARK = "ysRemark";
    public static final String FIELD_TS_STAND = "tsStand";
    public static final String FIELD_TS_REMARK = "tsRemark";
    public static final String FIELD_TS_MAX = "tsMax";
    public static final String FIELD_TS_MIN = "tsMin";
    public static final String FIELD_HARDNESS_AIM = "hardnessAim";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_RALLY_FLAG = "rallyFlag";
    public static final String FIELD_AXIAL_ROLL_MARK = "axialRollMark";
    private static final long serialVersionUID = 310601336725254804L;
    @ApiModelProperty("表ID，主键")
    @Id
    @GeneratedValue
    private Long pomId;

    @ApiModelProperty(value = "合约号")
    private String pactNo;

    @ApiModelProperty(value = "合同号", required = true)
    @NotBlank
    private String orderNo;

    @ApiModelProperty(value = "发送次数")
    private Long sendNum;

    @ApiModelProperty(value = "合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty(value = "合同号(ERP系统)")
    private String orderNoErp;

    @ApiModelProperty(value = "合同的客户订单编号")
    private String orderNoCustom;

    @ApiModelProperty(value = "归并合同号")
    private String mergOrderNo;

    @ApiModelProperty(value = "合同创建时间")
    private Date orderCreateTime;

    @ApiModelProperty(value = "合同接收时间")
    private Date orderRecvTime;

    @ApiModelProperty(value = "交货日期")
    private String delivyDate;

    @ApiModelProperty(value = "交货日期期别")
    private String delivyDatePerd;

    @ApiModelProperty(value = "交货日期精度")
    private String delivyDateAccu;

    @ApiModelProperty(value = "用户期望交货日期")
    private String delivyDateUser;

    @ApiModelProperty(value = "生产备妥日期")
    private Date prodReadyDate;

    @ApiModelProperty(value = "紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty(value = "按量发货标志")
    private String delivyQtyFlag;

    @ApiModelProperty(value = "最终用户代码")
    private String finCustCode;

    @ApiModelProperty(value = "最终用户英文名称")
    private String finCustEname;

    @ApiModelProperty(value = "最终用户中文名称")
    private String finCustCname;

    @ApiModelProperty(value = "订货用户代码")
    private String orderCustCode;

    @ApiModelProperty(value = "订货用户英文名称")
    private String orderCustEname;

    @ApiModelProperty(value = "订货用户中文名称")
    private String orderCustCname;

    @ApiModelProperty(value = "收货用户代码")
    private String consignUserCode;

    @ApiModelProperty(value = "收货用户英文名称")
    private String consignCustEname;

    @ApiModelProperty(value = "收货用户中文名称")
    private String consignCustCname;

    @ApiModelProperty(value = "结算用户代码")
    private String balanceUserCode;

    @ApiModelProperty(value = "结算用户中文全称")
    private String balanceUserCname;

    @ApiModelProperty(value = "结算用户英文全称")
    private String balanceUserEname;

    @ApiModelProperty(value = "产品规范码")
    private String psc;

    @ApiModelProperty(value = "产品最终用途码")
    private String apn;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "标准牌号")
    private String sgSign;

    @ApiModelProperty(value = "执行标准")
    private String sgStd;

    @ApiModelProperty(value = "表面精度")
    private String surfaceAccu;

    @ApiModelProperty(value = "表面精度大类代码")
    private String surfaceAccuClassCode;

    @ApiModelProperty(value = "表面精度代码")
    private String surfaceAccuCode;

    @ApiModelProperty(value = "用户标准代码")
    private String custStdCode;

    @ApiModelProperty(value = "用户标准")
    private String custStd;

    @ApiModelProperty(value = "用户牌号代码")
    private String custSgCode;

    @ApiModelProperty(value = "用户牌号代码")
    private String custSg;

    @ApiModelProperty(value = "品名代码")
    private String prodCode;

    @ApiModelProperty(value = "品名英文")
    private String prodEname;

    @ApiModelProperty(value = "品名英文别名")
    private String prodEnameOther;

    @ApiModelProperty(value = "品名中文")
    private String prodCname;

    @ApiModelProperty(value = "品名中文别名")
    private String prodCnameOther;

    @ApiModelProperty(value = "质保书份数")
    private Long certiNum;

    @ApiModelProperty(value = "公英制标志")
    private String metricOrEngFlag;

    @ApiModelProperty(value = "中英文标志")
    private String chnOrEngFlag;

    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty(value = "订货英制厚度")
    private String orderEngThick;

    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty(value = "订货英制宽度")
    private String orderEngWidth;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;

    @ApiModelProperty(value = "订货英制长度")
    private String orderEngLen;

    @ApiModelProperty(value = "订货最小长度")
    private BigDecimal orderMinLen;

    @ApiModelProperty(value = "订货最大长度")
    private BigDecimal orderMaxLen;

    @ApiModelProperty(value = "订货英制最小长度")
    private String orderEngMinLen;

    @ApiModelProperty(value = "订货英制最大长度")
    private String orderEngMaxLen;

    @ApiModelProperty(value = "订货重量")
    private BigDecimal orderWt;

    @ApiModelProperty(value = "交货重量正公差")
    private BigDecimal delivyWtTolPlus;

    @ApiModelProperty(value = "交货重量负公差")
    private BigDecimal delivyWtTolMinus;

    @ApiModelProperty(value = "订货重量单件目标值")
    private BigDecimal orderUnitAimWt;

    @ApiModelProperty(value = "订货重量单件最小值")
    private BigDecimal orderUnitMinWt;

    @ApiModelProperty(value = "订货重量单件最大值")
    private BigDecimal orderUnitMaxWt;

    @ApiModelProperty(value = "订货短尺率")
    private BigDecimal orderShortRate;

    @ApiModelProperty(value = "订货最大短尺")
    private BigDecimal orderShortMax;

    @ApiModelProperty(value = "订货最小短尺")
    private BigDecimal orderShortMin;

    @ApiModelProperty(value = "订货计量单位代码")
    private String orderUnitCode;

    @ApiModelProperty(value = "订货数量")
    private BigDecimal orderQty;

    @ApiModelProperty(value = "订货件数")
    private BigDecimal orderNum;

    @ApiModelProperty(value = "交货件数正公差")
    private BigDecimal delivyNumTolPlus;

    @ApiModelProperty(value = "交货件数负公差")
    private BigDecimal delivyNumTolMinus;

    @ApiModelProperty(value = "计重方式代码")
    private String wtMethodCode;

    @ApiModelProperty(value = "计重方式名称")
    private String wtMethodName;

    @ApiModelProperty(value = "包装类型代码")
    private String packTypeCode;

    @ApiModelProperty(value = "标记（唛头）类型代码")
    private String markTypeCode;

    @ApiModelProperty(value = "标记（唛头）类型说明")
    private String markTypeDesc;

    @ApiModelProperty(value = "标记位置代码")
    private String markPosCode;

    @ApiModelProperty(value = "标记位置说明")
    private String markPosDesc;

    @ApiModelProperty(value = "合同特殊要求")
    private String orderSpecial;

    @ApiModelProperty(value = "新试号")
    private String newTestNo;

    @ApiModelProperty(value = "出口标记")
    private String exportFlag;

    @ApiModelProperty(value = "运输方式代码")
    private String trnpModeCode;

    @ApiModelProperty(value = "交货地点代码")
    private String delivyPlaceCode;

    @ApiModelProperty(value = "交货地点名称")
    private String delivyPlaceName;

    @ApiModelProperty(value = "产品分类")
    private String prodDif;

    @ApiModelProperty(value = "厚板品种代码")
    private String prodCodeHp;

    @ApiModelProperty(value = "产品密度")
    private BigDecimal prodDensity;

    @ApiModelProperty(value = "产品认证")
    private String prodAuth;

    @ApiModelProperty(value = "好面朝向代码")
    private String betterSurfWardCode;

    @ApiModelProperty(value = "目标重量")
    private BigDecimal wtAim;

    @ApiModelProperty(value = "厚板会检方式代码")
    private String checkMethodCode;

    @ApiModelProperty(value = "验收方式代码")
    private String accptModeCode;

    @ApiModelProperty(value = "验收机关代码")
    private String accpAuthCode;

    @ApiModelProperty(value = "验收标准")
    private String accptStd;

    @ApiModelProperty(value = "会检机关代码")
    private String checkAuthCode;

    @ApiModelProperty(value = "船期交货日期")
    private String delivyDateTrnp;

    @ApiModelProperty(value = "用户指定厚度")
    private BigDecimal userAppoThick;

    @ApiModelProperty(value = "二次压本合同标记")
    private String twoRollOrderMark;

    @ApiModelProperty(value = "二次压母材合同标记")
    private String twoRollMark;

    @ApiModelProperty(value = "合同强制变更标志")
    private String orderModiQmark;

    @ApiModelProperty(value = "工程代码")
    private String projectCode;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ApiModelProperty(value = "钢板形状代码")
    private String shpCode;

    @ApiModelProperty(value = "宽度区分,0定尺,1非定尺")
    private String widthDiv;

    @ApiModelProperty(value = "宽度下限")
    private BigDecimal widthMin;

    @ApiModelProperty(value = "宽度上限")
    private BigDecimal widthMax;

    @ApiModelProperty(value = "长度区分,0定尺,1非定尺")
    private String lenDiv;

    @ApiModelProperty(value = "目标长度")
    private BigDecimal lenAim;

    @ApiModelProperty(value = "理论重量厚度添加量")
    private BigDecimal wtThickAdd;

    @ApiModelProperty(value = "厚度补偿量")
    private BigDecimal gaugeComp;

    @ApiModelProperty(value = "用户管理号")
    private String userManageNm;

    @ApiModelProperty(value = "抛丸要否")
    private String shotFlag;

    @ApiModelProperty(value = "抛丸涂漆代码")
    private String shotPaintCode;

    @ApiModelProperty(value = "上表面涂料代码")
    private String topPaintCode;

    @ApiModelProperty(value = "下表面涂料代码")
    private String botPaintCode;

    @ApiModelProperty(value = "堆垛记号")
    private String stackMark;

    @ApiModelProperty(value = "堆垛记号尺寸区分")
    private String stackMarkSize;

    @ApiModelProperty(value = "切边标记")
    private String trimFlag;

    @ApiModelProperty(value = "专用线代码")
    private String privateRouteCode;

    @ApiModelProperty(value = "专用线名称")
    private String privateRouteName;

    @ApiModelProperty(value = "奉送样标记")
    private String giveSampleFlag;

    @ApiModelProperty(value = "奉送样形状")
    private String giveSampleSharp;

    @ApiModelProperty(value = "奉送试材长度")
    private BigDecimal giveSampleLen;

    @ApiModelProperty(value = "付款条件代码")
    private String settleCode;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "质保书标准打印要否")
    private String certiStd;

    @ApiModelProperty(value = "特殊喷印要求")
    private String specialPrint;

    @ApiModelProperty(value = "是否分段管理 0 不进行分体管理  1 进行分段管理")
    private String sectionManage;

    @ApiModelProperty(value = "分段号")
    private String hullSectionNo;

    @ApiModelProperty(value = "厚度平均值下限")
    private BigDecimal minThick;

    @ApiModelProperty(value = "厚度平均值上限")
    private BigDecimal maxThick;

    @ApiModelProperty(value = "核电用钢零件号")
    private String nucearPartNo;

    @ApiModelProperty(value = "客户预计交期")
    private String deliveryDate;

    @ApiModelProperty(value = "采购订单号")
    private String purOrder;

    @ApiModelProperty(value = "是否钢锭轧制")
    private String ingotRoll;

    @ApiModelProperty(value = "是否多点测厚")
    private String scaleThick;

    @ApiModelProperty(value = "喷漆标志，0为不喷，1为厂内喷漆，2为厂外喷漆")
    private String needLecquering;

    @ApiModelProperty(value = "见证项目号", required = true)
    @NotBlank
    private String witnessProNo;

    @ApiModelProperty(value = "见证类型")
    private String witnessType;

    @ApiModelProperty(value = "开工文件审查标记")
    private String startWorkFileFlag;

    @ApiModelProperty(value = "厚度公差类型")
    private String thkTolType;

    @ApiModelProperty(value = "厚度公差上限")
    private BigDecimal thickTolMax;

    @ApiModelProperty(value = "厚度公差下限")
    private BigDecimal thickTolMin;

    @ApiModelProperty(value = "成品目标厚度")
    private BigDecimal productTargThick;

    @ApiModelProperty(value = "宽度公差上限")
    private BigDecimal widthTolMax;

    @ApiModelProperty(value = "宽度公差下限")
    private BigDecimal widthTolMin;

    @ApiModelProperty(value = "长度公差上限")
    private BigDecimal lenTolMax;

    @ApiModelProperty(value = "长度公差下限")
    private BigDecimal lenTolMin;

    @ApiModelProperty(value = "厚度余量")
    private BigDecimal thickAddv;

    @ApiModelProperty(value = "宽度余量")
    private BigDecimal widthAddv;

    @ApiModelProperty(value = "长度余量")
    private BigDecimal lenAddv;

    @ApiModelProperty(value = "人工材料设计标记")
    private String matDesignFlag;

    @ApiModelProperty(value = "UOE合同标记")
    private String uoeFlag;

    @ApiModelProperty(value = "头部试材长度")
    private BigDecimal sampleLenHead;

    @ApiModelProperty(value = "尾部试材长度")
    private BigDecimal sampleLenTail;

    @ApiModelProperty(value = "雨天出厂可否")
    private String rainDelvFlag;

    @ApiModelProperty(value = "超声探伤标准1")
    private String ultDetectStd1;

    @ApiModelProperty(value = "超声探伤标准2")
    private String ultDetectStd2;

    @ApiModelProperty(value = "超声探伤标准3")
    private String ultDetectStd3;

    @ApiModelProperty(value = "超声探伤标准4")
    private String ultDetectStd4;

    @ApiModelProperty(value = "超声探伤标准5")
    private String ultDetectStd5;

    @ApiModelProperty(value = "工序记号（超声探伤）")
    private String backlogUtMark;

    @ApiModelProperty(value = "工序记号（正火）")
    private String backlogNMark;

    @ApiModelProperty(value = "工序记号（淬火）")
    private String backlogQMark;

    @ApiModelProperty(value = "工序记号（回火）")
    private String backlogTMark;

    @ApiModelProperty(value = "工序记号（退火）")
    private String backlogAMark;

    @ApiModelProperty(value = "工序记号（脱磁）")
    private String backlogDemagMark;

    @ApiModelProperty(value = "工序记号（PT探伤）")
    private String backlogPtMark;

    @ApiModelProperty(value = "工序记号（MT探伤）")
    private String backlogMtMark;

    @ApiModelProperty(value = "工序记号（TMCP）")
    private String backlogTmcpMark;

    @ApiModelProperty(value = "制品记号（试验片SR）")
    private String prodSrMark;

    @ApiModelProperty(value = "制品记号（边部形态）")
    private String prodSideMark;

    @ApiModelProperty(value = "制品记号（抛丸涂漆）")
    private String prodShotMark;

    @ApiModelProperty(value = "制品记号（试验片正火）")
    private String prodNMark;

    @ApiModelProperty(value = "制品记号（试验片淬火）")
    private String prodQMark;

    @ApiModelProperty(value = "制品记号（试验片回火）")
    private String prodTMark;

    @ApiModelProperty(value = "制品记号（试验片退火）")
    private String prodAMark;

    @ApiModelProperty(value = "碳锈区分")
    private String cDiv;

    @ApiModelProperty(value = "合金区分")
    private String alloyDiv;

    @ApiModelProperty(value = "板坯最小长度系数")
    private BigDecimal slabMinLenRate;

    @ApiModelProperty(value = "板坯最大长度系数")
    private BigDecimal slabMaxLenRate;

    @ApiModelProperty(value = "板坯重量最小值系数")
    private BigDecimal slabMinWtRate;

    @ApiModelProperty(value = "试材采取方式代码")
    private String pickPatternCode;

    @ApiModelProperty(value = "取样方式代码")
    private String sampleModeCode;

    @ApiModelProperty(value = "钢板凸度")
    private BigDecimal plateCrown;

    @ApiModelProperty(value = "正负标志")
    private String plusFlag;

    @ApiModelProperty(value = "交货状态")
    private String deliveryState;

    @ApiModelProperty(value = "刨分标记,1允许刨分,0不允许刨分")
    private String planerFlag;

    @ApiModelProperty(value = "不锈钢厚度")
    private BigDecimal stainlessThk;

    @ApiModelProperty(value = "复合板密度")
    private BigDecimal compBoardDensity;

    @ApiModelProperty(value = "产品大类代码")
    private String prodClassCode;

    @ApiModelProperty(value = "付费标记")
    private String payCode;

    @ApiModelProperty(value = "销售区域")
    private String provCode;

    @ApiModelProperty(value = "喷印方式", required = true)
    @NotNull
    private String printType;

    @ApiModelProperty(value = "面喷第一行")
    private String facePrintDetailA;

    @ApiModelProperty(value = "面喷第二行")
    private String facePrintDetailB;

    @ApiModelProperty(value = "面喷第三行")
    private String facePrintDetailC;

    @ApiModelProperty(value = "面喷第四行")
    private String facePrintDetailD;

    @ApiModelProperty(value = "面喷第五行")
    private String facePrintDetailE;

    @ApiModelProperty(value = "面喷第六行")
    private String facePrintDetailF;

    @ApiModelProperty(value = "面喷第七行")
    private String facePrintDetailG;

    @ApiModelProperty(value = "面喷第八行")
    private String facePrintDetailH;

    @ApiModelProperty(value = "侧喷第一行")
    private String sidePrintDetailA;

    @ApiModelProperty(value = "侧喷第二行")
    private String sidePrintDetailB;

    @ApiModelProperty(value = "刻印第一行")
    private String stampPrintDetailA;

    @ApiModelProperty(value = "刻印第二行")
    private String stampPrintDetailB;

    @ApiModelProperty(value = "刻印第三行")
    private String stampPrintDetailC;

    @ApiModelProperty(value = "刻印第四行")
    private String stampPrintDetailD;

    @ApiModelProperty(value = "屈服强度代表值")
    private BigDecimal ysStand;

    @ApiModelProperty(value = "屈服强度说明")
    private String ysRemark;

    @ApiModelProperty(value = "抗拉强度代表值")
    private BigDecimal tsStand;

    @ApiModelProperty(value = "抗拉强度说明")
    private String tsRemark;

    @ApiModelProperty(value = "抗拉强度最大值")
    private BigDecimal tsMax;

    @ApiModelProperty(value = "抗拉强度最小值")
    private BigDecimal tsMin;

    @ApiModelProperty(value = "硬度目标值")
    private BigDecimal hardnessAim;

    @ApiModelProperty(value = "是否集结")
    private String rallyFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "合同状态")
    @Transient
    private String orderStatus;

    @ApiModelProperty(value = "差欠重量")
    @Transient
    private Long lackWgt;

    @ApiModelProperty(value = "全程工序途径码")
    @Transient
    private String wholeBacklog;

    @ApiModelProperty(value = "差欠件数")
    @Transient
    private Long lackNum;

   /* @ApiModelProperty(value = "产线号")
    @Transient
    private String mscLineNo;*/

    @ApiModelProperty(value = "探伤级别")
    @Transient
    private String rsltLevel;

    @ApiModelProperty(value = "探伤标准")
    @Transient
    private String ustStand;

    @ApiModelProperty(value = "订货厚度[起]")
    @Transient
    private BigDecimal orderThickFrom;

    @ApiModelProperty(value = "订货厚度[止]")
    @Transient
    private BigDecimal orderThickTo;

    @ApiModelProperty(value = "订货宽度[起]")
    @Transient
    private BigDecimal orderWidthFrom;

    @ApiModelProperty(value = "订货宽度[止]")
    @Transient
    private BigDecimal orderWidthTo;

    @ApiModelProperty(value = "合同状态[起]")
    @Transient
    private Long orderStatusFrom;

    @ApiModelProperty(value = "合同状态[止]")
    @Transient
    private Long orderStatusTo;

    @ApiModelProperty(value = "交货日期-起")
    @Transient
    private String delivyDateFrom;

    @ApiModelProperty(value = "交货日期-至")
    @Transient
    private String delivyDateTo;

    @ApiModelProperty(value = "合同号第一位")
    @Transient
    private String orderNoFirst;

    @ApiModelProperty(value = "切边标记", required = true)
    @Transient
    private String finalCutSurfaceCode;

    @ApiModelProperty(value = "轧制方向代码", required = true)
    @Transient
    private String rollDirectCode;

    @ApiModelProperty(value = "控轧代码", required = true)
    @Transient
    private String ctrlRollCode;

    @ApiModelProperty(value = "封锁小类", required = true)
    @Transient
    private String holdCauseCode;
    
    @ApiModelProperty(value = "封锁小类", required = true)
    @Transient
    private List<String> orderNoList ;

    @ApiModelProperty(value = "实际厚度")
    private BigDecimal actThk;

    @ApiModelProperty(value = "实际宽度")
    private BigDecimal actWid;

    @ApiModelProperty(value = "实际长度")
    private BigDecimal actLen;
    
    @ApiModelProperty(value = "是否允许纵轧展宽")
    private String axialRollMark;
    
    @ApiModelProperty(value = "是否进行试样添加")
    private Long sampleGenFlag ;

    @ApiModelProperty(value = "可组板数")
    @Transient
    private BigDecimal userdBoardNum;
}
