package com.xisc.pm.domain.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * WM_MAT_PILE 材料垛位信息表
 * @author jun.zeng
 *
 */
@Data
public class WmMatPileVo implements Serializable {
    
    private static final long serialVersionUID = -8795648848975226305L;

    @ApiModelProperty("表ID，主键")
    private Long matPileId;

    @ApiModelProperty(value = "材料ID", required = true)
    private Long matId;

    @ApiModelProperty(value = "材料号", required = true)
    private String matNo;

    @ApiModelProperty(value = "库区ID")
    private Long stockId;

    @ApiModelProperty(value = "垛位ID")
    private Long pileId;

    @ApiModelProperty(value = "库区代码", required = true)
    private String stockCode;

    @ApiModelProperty(value = "垛位号")
    private String pileNo;

    @ApiModelProperty(value = "层号")
    private Long layerNo;

    @ApiModelProperty(value = "卡车号")
    private String truckNo;

    @ApiModelProperty(value = "吊车号")
    private String craneNo;

    @ApiModelProperty(value = "入库时间")
    private Date inStockTime;

    @ApiModelProperty(value = "入垛时间")
    private Date inPileTime;

    @ApiModelProperty(value = "物料种类（HP CR HR SM WR EM）（钢板、板坯）")
    private String matKind;

    @ApiModelProperty(value = "转库计划标记（1：在途）")
    private String transferFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    private Long tenantId;
    
}
