package com.xisc.pm.infra.constant;

/**
 * 合同事件编码
 */
public class CtEventConstants {

    /**
     * 部长审批完成事件
     */
    public final static String EVENT_SO_MINISTERIAL_APPROVAL = "SO_MINISTERIAL_APPROVAL";

    /**
     * 合同处理成功事件
     */
    public final static String EVENT_QE_SUCCESS = "QE_CONTRACT_PROCESSING_SUCCESS";

    /**
     * 组板完成事件
     */
    public final static String EVENT_PM_BOARD_END = "PM_CONTRACT_BOARD_END";

    /**
     * 余材板坯组板-组板完成事件
     */
    public final static String PM_CONTRACT_RESIDUE_BOARD_END = "PM_CONTRACT_RESIDUE_BOARD_END";

    /**
     * 钢锭组板完成事件
     */
    public final static String PM_BLOOM_CONTRACT_BOARD_END = "PM_BLOOM_CONTRACT_BOARD_END";

    /**
     * 板坯产出事件
     */
    public final static String EVENT_MM_SLAB_PROD = "MM_SLAB_PROD";

    /**
     * 子板产出事件
     */
    public final static String EVENT_MM_ROLL_PLATE_PROD = "MM_ROLL_PLATE_PROD";

    /**
     * 钢板小工序实绩事件
     */
    public final static String EVENT_MM_PLATE_SM_PRC_RSLT = "MM_PLATE_SM_PRC_RSLT";

    /**
     * 原料确认事件-组炉组浇完成事件
     */
    public final static String EVENT_PM_SLAB_APPLY_CONFIRM = "PM_SLAB_APPLY_CONFIRM";

    /**
     * 材料形合确认事件
     */
    public final static String EVENT_QE_CONTRACT_PROCESSING_FAILURE = "QE_CONTRACT_PROCESSING_FAILURE";

    /**
     * 准发确认事件
     */
    public final static String EVENT_WM_PREPARE_SHIP_CONFIRM = "WM_PREPARE_SHIP_CONFIRM";

    /**
     * 码单生成事件
     */
    public final static String EVENT_WM_CODE_GENERATION = "WM_CODE_GENERATION";

    /**
     * 材料到港(发运完成)事件（销售物流）
     */
    public final static String EVENT_MATERIAL_CHANGE_TYPE = "MATERIAL_CHANGE_TYPE";

    /**
     * 材料到港(发运完成)事件（智慧物流）
     */
    public final static String EVENT_SMART_SHIPPING_TYPE = "SMART_SHIPPING_TYPE";

    /**
     * 合同录入事件
     */
    public final static String EVENT_SO_CONTRACT_ENTRY = "SO_CONTRACT_ENTRY";

    /**
     * 合同待处理事件
     */
    public final static String EVENT_QE_CONTRACT_REPROCESSING = "QE_CONTRACT_REPROCESSING";

    /**
     * 合同提交事件
     */
    public final static String EVENT_SO_CONTRACT_SUBMISSION = "SO_CONTRACT_SUBMISSION";

    /**
     * 主管审批通过事件
     */
    public final static String EVENT_SO_APPROVAL_BY_SUPERVISOR = "SO_APPROVAL_BY_SUPERVISOR";

    /**
     * 资源审批通过事件
     */
    public final static String EVENT_SO_RESOURCE_APPROVAL_APPROVAL = "SO_RESOURCE_APPROVAL_APPROVAL";

    /**
     * 配款完成事件
     */
    public final static String EVENT_SO_ALLOCATION_COMPLETION = "SO_ALLOCATION_COMPLETION";

    /**
     * 合同组板收池事件
     */
    public final static String EVENT_PM_CONTRACT_BOARD_REC = "PM_CONTRACT_BOARD_REC";

    /**
     * 合同组板解散事件
     */
    public final static String EVENT_PM_CONTRACT_BOARD_CONSUME = "PM_CONTRACT_BOARD_CONSUME";

    /**
     * 合同组板释放事件（原料申请工序最后做）
     */
    public final static String EVENT_PM_CONTRACT_BOARD_RELEASE = "PM_CONTRACT_BOARD_RELEASE";

    /**
     * 合同组板完成(余材) 事件
     */
    public final static String EVENT_PM_CONTRACT_RESIDUE_BOARD_END = "PM_CONTRACT_RESIDUE_BOARD_END";
    
    /**
     * 合同组板解散(余材) 事件
     */
    public final static String EVENT_PM_CONTRACT_RESIDUE_BOARD_CONSUME = "PM_CONTRACT_RESIDUE_BOARD_CONSUME";

    /**
     * 材料脱合同事件
     */
    public final static String EVENT_QE_MATERIAL_BREACH_OF_CONTRACT = "QE_MATERIAL_BREACH_OF_CONTRACT";

    /**
     * 材料材合取消事件
     */
    public final static String EVENT_QE_CANCELLATION_OF_MATERIAL_COMBINATION = "QE_CANCELLATION_OF_MATERIAL_COMBINATION";

    /**
     * 准发红冲事件
     */
    public final static String EVENT_WM_PREPARE_SHIP_CANCEL = "WM_PREPARE_SHIP_CANCEL";

    /**
     * 合同财务开票完成事件
     */
    public final static String EVENT_SO_CONTRACT_FINANCIAL_INVOICING_COMPLETION = "SO_CONTRACT_FINANCIAL_INVOICING_COMPLETION";

    /**
     * 合同资金结算完成事件
     */
    public final static String EVENT_SO_CONTRACT_FUND_SETTLEMENT_COMPLETION = "SO_CONTRACT_FUND_SETTLEMENT_COMPLETION";

    /**
     * 交期评审通过事件
     */
    public final static String EVENT_SO_DELIVERY_REVIEW_APPR = "SO_DELIVERY_REVIEW_APPR";

    /**
     * 交期评审失败事件
     */
    public final static String EVENT_SO_DELIVERY_REVIEW_FAILURE = "SO_DELIVERY_REVIEW_FAILURE";

    /**
     * 财务已审核事件
     */
    public final static String EVENT_SO_FINANCIAL_AUDITED = "SO_FINANCIAL_AUDITED";

    /**
     * 合同下发完成事件
     */
    public final static String EVENT_SO_SUCCESSFUL_CONTRACT_ISSUANCE = "SO_SUCCESSFUL_CONTRACT_ISSUANCE";

    /**
     * 合同变更封锁事件
     */
    public final static String EVENT_SO_ORDER_CHANGE = "SO_ORDER_CHANGE";

    /**
     * 合同结齐事件
     */
    public final static String EVENT_SO_CONTRACT_COMPLETION = "SO_CONTRACT_COMPLETION";

    /**
     * 合同生产强制结案事件
     */
    public final static String EVENT_CT_CONTRACT_PRODUCTION_FORCED_CLOSURE = "CT_CONTRACT_PRODUCTION_FORCED_CLOSURE";

    /**
     * 合同组板退池事件
     */
    public final static String EVENT_PM_CONTRACT_BOARD_REC_CANCEL = "PM_CONTRACT_BOARD_REC_CANCEL";

    /**
     * 码单红冲事件
     */
    public final static String EVENT_WM_CODE_GENERATION_CANCEL = "WM_CODE_GENERATION_CANCEL";

    /**
     * 超投事件
     */
    public static final String EVENT_PM_CONTRACT_BOARD_OVER = "PM_CONTRACT_BOARD_OVER";

    /**
     * 组炉组浇收池事件
     */
    public final static String EVENT_PM_SLAB_APPLY_MAKE = "PM_SLAB_APPLY_MAKE";

    /**
     * 外卖坯合同收池事件
     */
    public final static String EVENT_PM_TAKE_OUT_SLAB_APPLY_MAKE = "PM_TAKE_OUT_SLAB_APPLY_MAKE";

    /**
     *  备坯收池
     */
    public final static String EVENT_PM_PREPARATION_SLAB_APPLY_MAKE = "PM_PREPARATION_SLAB_APPLY_MAKE";

    /**
     * 备坯退池
     */
    public final static String EVENT_PM_PREPARATION_SLAB_APPLY_CANCEL = "PM_PREPARATION_SLAB_APPLY_CANCEL";

    /**
     * 组炉组浇退池事件
     */
    public final static String EVENT_PM_SLAB_APPLY_CANCEL = "PM_SLAB_APPLY_CANCEL";

    /**
     * 外卖坯合同退池事件
     */
    public final static String EVENT_PM_TAKE_OUT_SLAB_APPLY_CANCEL = "PM_TAKE_OUT_SLAB_APPLY_CANCEL";

    /**
     * 材料命令已生成事件
     */
    public final static String EVENT_PM_MATERIAL_COMMAND_GENERATED = "PM_MATERIAL_COMMAND_GENERATED";

    /**
     * 连铸预编制事件
     */
    public final static String EVENT_PM_PRE_CONTINUOUS_CASTING = "PM_PRE_CONTINUOUS_CASTING";

    /**
     * 解散到组距事件
     */
    public final static String EVENT_PM_DISSOLVE_GROUP_DISTANCE = "PM_DISSOLVE_GROUP_DISTANCE";

    /**
     * 解散到组板事件
     */
    public final static String EVENT_PM_DISSOLVE_GROUP_BOARD = "PM_DISSOLVE_GROUP_BOARD";


    /**
     * 复合坯组板事件
     */
    public final static String EVENT_PM_COMPOSITE_BOARD_ASSEMBLY_COMPLETED = "PM_COMPOSITE_BOARD_ASSEMBLY_COMPLETED";

    /**
     * 试样添加事件
     */
    public final static String PM_SAMPLE_ADDITION = "PM_SAMPLE_ADDITION";

    /**
     * 试样添加回退事件
     */
    public final static String  PM_SAMPLE_ADDITION_CANCEL = "PM_SAMPLE_ADDITION_CANCEL";

    /**
     * 二次设计事件
     */
    public final static String PM_SECONDARY_DESIGN = "PM_SECONDARY_DESIGN";

    /**
     * 试样添加回退事件
     */
    public final static String  PM_SECONDARY_DESIGN_CANCEL = "PM_SECONDARY_DESIGN_CANCEL";

    /**
     * 命令做成事件
     */
    public final static String  PM_COMMAND_MADE = "PM_COMMAND_MADE";


    /**
     * 无委充炉事件
     */
    public final static String PM_NO_COMMISSION_CHARGING_FURNACE = "PM_NO_COMMISSION_CHARGING_FURNACE";
    
    /**
     * 合同产线变更事件
     */
    public final static String PM_MATERIAL_PRODUCTION_LINE_CHANGE = "PM_MATERIAL_PRODUCTION_LINE_CHANGE";

    /**
     * 外卖坯超投事件
     */
    public final static String PM_OUT_SLAB_CONTRACT_BOARD_OVER = "PM_OUT_SLAB_CONTRACT_BOARD_OVER";

    /**
     * 外卖坯超投退池
     */
    public final static String PM_OUT_SLAB_CONTRACT_BOARD_OVER_CANCEL = "PM_OUT_SLAB_CONTRACT_BOARD_OVER_CANCEL";


}