package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmCmdContTra;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 命令参数表(PmCmdContTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-28 17:20:51
 */
public interface PmCmdContTraMapper extends BaseMapper<PmCmdContTra> {
    /**
     * 基础查询
     *
     * @param pmCmdContTra 查询条件
     * @return 返回值
     */
    List<PmCmdContTra> selectList(PmCmdContTra pmCmdContTra);

    /**
     * 根据命令板坯号获取最新的一条
     *
     * @param ponoSlabList
     * @param tenantId
     * @return
     */
    List<PmCmdContTra> selectByPonoSlabList(@Param("ponoSlabList")List<String> ponoSlabList, @Param("tenantId")Long tenantId);
}

