package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmCmdSmallPltTra;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 命令小板表(PmCmdSmallPltTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-28 17:20:09
 */
public interface PmCmdSmallPltTraMapper extends BaseMapper<PmCmdSmallPltTra> {
    /**
     * 基础查询
     *
     * @param pmCmdSmallPltTra 查询条件
     * @return 返回值
     */
    List<PmCmdSmallPltTra> selectList(PmCmdSmallPltTra pmCmdSmallPltTra);

    /**
     * 根据命令板坯号查询最新的一条
     *
     * @param ponoSlabList
     * @param tenantId
     * @return
     */
    List<PmCmdSmallPltTra> selectByPonoSlabList(@Param("ponoSlabList")List<String> ponoSlabList, Long tenantId);
}

