package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmCompositeSlabList;
import com.xisc.pm.domain.entity.PmProContProdTtr;
import com.xisc.pm.domain.vo.WmStockInfoVO1;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 复合/叠轧坯明细信息表(PmCompositeSlabList)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-01 15:40:17
 */
public interface PmCompositeSlabListMapper extends BaseMapper<PmCompositeSlabList> {
    /**
     * 基础查询
     *
     * @param pmCompositeSlabList 查询条件
     * @return 返回值
     */
    List<PmCompositeSlabList> selectList(PmCompositeSlabList pmCompositeSlabList);

    List<PmProContProdTtr> queryOrderAttrByOrderNo(@Param("orderNoList")List<String> orderNoList, @Param("tenantId")Long tenantId);

    /**
     * 根据临时命令板坯号查询复合坯库区代码
     *
     * @param tmpSlabNoList
     * @param tenantId
     */
    List<WmStockInfoVO1> selectStockCodeBySlabNo(@Param("tmpSlabNoList")List<String> tmpSlabNoList, @Param("tenantId")Long tenantId);
}

