package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;

import com.xisc.pm.api.dto.PmPdSlabSplitDTO;
import com.xisc.pm.domain.entity.PmPdSlab;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * 组板板坯表(PmPdSlab)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-31 16:30:30
 */
public interface PmPdSlabMapper extends BaseMapper<PmPdSlab> {
    /**
     * 基础查询
     *
     * @param pmPdSlab 查询条件
     * @return 返回值
     */
    List<PmPdSlab> selectList(PmPdSlab pmPdSlab);

    /**
     * 查询 MM_SLAB 模块信息
     * @param slabId
     * @param organizationId
     * @return
     */
    PmPdSlabSplitDTO selectMmSlabBySlabId(@Param("slabId") Long slabId,@Param("organizationId") Long organizationId);
    
    List<PmPdSlabSplitDTO> selectMmSlabBySlabNoList(@Param("slabNoList") List<String> slabNoList,@Param("organizationId") Long organizationId);
}

