package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmPolicyReqDTO;
import com.xisc.pm.domain.entity.PmPolicy;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 策略信息表(PmPolicy)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:43:05
 */
public interface PmPolicyMapper extends BaseMapper<PmPolicy> {
    /**
     * 查询
     *
     * @param dto      入参
     * @param tenantId 租户
     * @return
     */
    List<PmPolicy> selectList(@Param(value = "dto") PmPolicyReqDTO dto,@Param(value = "tenantId") Long tenantId,
                              @Param(value = "policyIdList") List<Long> policyIdList, @Param(value = "stNoList")List<String> stNoList);
    
    /**
     * 通过策略组查询策略
     * @param tenantId
     * @param policyGroupId
     * @return
     */
    List<PmPolicy> selectByPolicyGroupId(@Param(value = "tenantId") Long tenantId , @Param(value = "policyGroupId") Long policyGroupId);
    
}

