package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmProdLineCoarseSocre;
import com.xisc.pm.domain.vo.PmProdLineCoarseSocreVO;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 产线粗分表(PmProdLineCoarseSocre)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-11 09:06:09
 */
public interface PmProdLineCoarseSocreMapper extends BaseMapper<PmProdLineCoarseSocre> {
    /**
     * 基础查询
     *
     * @param pmProdLineCoarseSocre 查询条件
     * @return 返回值
     */
    List<PmProdLineCoarseSocre> selectList(PmProdLineCoarseSocre pmProdLineCoarseSocre);

    /**
     * 根据轧制产线号查询合同重量
     *
     * @param tmRollPlList 轧制产线号
     * @param tenantId     租户
     * @return
     */
    List<PmProdLineCoarseSocreVO> selectOrderWtByTmRollPl(List<String> tmRollPlList, Long tenantId);
}

